/////////////////////////////////////////////////////////////////////
//        2512
// 2512lib.dsl
/////////////////////////////////////////////////////////////////////
//
//    
// 2512lib.SetResultT
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             Mem90003  -  1
//             Mem90004  -  1
//             Mem90005  -  2
//             Mem90006  -  2
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//-------------------------------------------------------------------
//    
// 2512lib.GetResultT
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      :
//             Mem90003  -  1
//             Mem90004  -  1
//             Mem90005  -  2
//             Mem90006  -  2
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//-------------------------------------------------------------------
//      1  2
// 2512lib.GetTcurrent
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : Mem90004 -   1
//             Mem90005 -   2
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//             BMem90015 -     :
//                  0 -   1 -       
//                  1 -   1 -       
//
//-------------------------------------------------------------------
//
//     
// 2512lib.GetSensorType
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : Mem90006  -   1
//             Mem90007  -   2
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//-------------------------------------------------------------------
//   
// 2512LIB.GetSensorNameForCode
//      :  Mem90020  -   
//      : SMem90001 -   
// 
/////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////






/////////////////////////////////////////////////////////////////////
//
//    
// 2512lib.SetResultT
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             Mem90003  -  1
//             Mem90004  -  1
//             Mem90005  -  2
//             Mem90006  -  2
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `2512lib,Input1=>BMem90001
Alias `2512lib,Input2=>BMem90002
Alias `2512lib.Input3=>Mem90003
Alias `2512lib.Input4=>Mem90004
Alias `2512lib.Input5=>Mem90005
Alias `2512lib.Input6=>Mem90006
Alias `2512lib.FlagError=>BMem90010
Alias `2512lib.Prefix=>BMem90011
Alias `2512lib.Prefix1=>BMem90012
Alias `2512lib.Command=>BMem90013
Alias `2512lib.Command1=>BMem90014
Alias `2512lib,DeviceAddress=>Mem90001


:2512lib.SetResultT
         CriticalSection Begin
            Set `2512lib,DeviceAddress=DeviceAddress  //   
            Device `2512lib,Input1.`2512lib,Input2      //   () 
            Set `2512lib.Prefix=64
            Set `2512lib.Command=0
            Send <`2512lib.Prefix> <`2512lib.Command> <`2512lib.Input3> <`2512lib.Input4> <`2512lib.Input5> <`2512lib.Input6>
            Receive <`2512lib.Prefix1> <`2512lib.Command1> <`2512lib.Input3> <`2512lib.Input4> <`2512lib.Input5> <`2512lib.Input6>
            If TransferError Set `2512lib.FlagError=1
            If TransferError GoTo 2512lib.SkipSetResultT
            If `2512lib,Input1*256+`2512lib,Input2=0 GoTo 2512lib.SkipSetResultT_address
            If Whose<>`2512lib,Input1*256+`2512lib,Input2 Set `2512lib.FlagError=1
            If Whose<>`2512lib,Input1*256+`2512lib,Input2 GoTo 2512lib.SkipSetResultT
:2512lib.SkipSetResultT_address
            Set `2512lib.FlagError=0
            If TransferSize<>6 Set `2512lib.FlagError=2
            If 128+`2512lib.Prefix<>`2512lib.Prefix1 Set `2512lib.FlagError=2
            If `2512lib.Command<>`2512lib.Command1 Set `2512lib.FlagError=2
:2512lib.SkipSetResultT
            Device `2512lib,DeviceAddress  //    
         CriticalSection End
Return //SetResultT





/////////////////////////////////////////////////////////////////////
//    
// 2512lib.GetResultT
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      :
//             Mem90003  -  1
//             Mem90004  -  1
//             Mem90005  -  2
//             Mem90006  -  2
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `2512lib,Input1=>BMem90001
Alias `2512lib,Input2=>BMem90002
Alias `2512lib.Output1=>Mem90003
Alias `2512lib.Output2=>Mem90004
Alias `2512lib.Output3=>Mem90005
Alias `2512lib.Output4=>Mem90006
Alias `2512lib.FlagError=>BMem90010
Alias `2512lib.Prefix=>BMem90011
Alias `2512lib.Prefix1=>BMem90012
Alias `2512lib.Command=>BMem90013
Alias `2512lib.Command1=>BMem90014
Alias `2512lib,DeviceAddress=>Mem90001


:2512lib.GetResultT
         CriticalSection Begin
            Set `2512lib,DeviceAddress=DeviceAddress  //   
            Device `2512lib,Input1.`2512lib,Input2      //   () 
            Set `2512lib.Prefix=64
            Set `2512lib.Command=1
            Send <`2512lib.Prefix> <`2512lib.Command> 
            Receive <`2512lib.Prefix1> <`2512lib.Command1> <`2512lib.Output1> <`2512lib.Output2> <`2512lib.Output3> <`2512lib.Output4>
            If TransferError Set `2512lib.FlagError=1
            If TransferError GoTo 2512lib.SkipGetResultT
            If `2512lib,Input1*256+`2512lib,Input2=0 GoTo 2512lib.SkipGetResultT_address
            If Whose<>`2512lib,Input1*256+`2512lib,Input2 Set `2512lib.FlagError=1
            If Whose<>`2512lib,Input1*256+`2512lib,Input2 GoTo 2512lib.SkipGetResultT
:2512lib.SkipGetResultT_address
            Set `2512lib.FlagError=0
            If TransferSize<>6 Set `2512lib.FlagError=2
            If 128+`2512lib.Prefix<>`2512lib.Prefix1 Set `2512lib.FlagError=2
            If `2512lib.Command<>`2512lib.Command1 Set `2512lib.FlagError=2
:2512lib.SkipGetResultT
            Device `2512lib,DeviceAddress  //    
         CriticalSection End
Return //GetResultT




/////////////////////////////////////////////////////////////////////
//      1  2
// 2512lib.GetTcurrent
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : Mem90007 -  1
//             Mem90008 -  2
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//             BMem90015 -     :
//                  0 -   1 -       
//                  1 -   1 -       
/////////////////////////////////////////////////////////////////////

Alias `2512lib,Input1=>BMem90001
Alias `2512lib,Input2=>BMem90002
Alias `2512lib.Output1=>Mem90007
Alias `2512lib.Output2=>Mem90008
Alias `2512lib.FlagError=>BMem90010
Alias `2512lib.Prefix=>BMem90011
Alias `2512lib.Prefix1=>BMem90012
Alias `2512lib.Command=>BMem90013
Alias `2512lib.Command1=>BMem90014
Alias `2512lib.FlagError1=>BMem90015
Alias `2512lib,DeviceAddress=>Mem90001


:2512lib.GetTcurrent
         CriticalSection Begin
            Set `2512lib,DeviceAddress=DeviceAddress  //   
            Device `2512lib,Input1.`2512lib,Input2      //   () 
            Set `2512lib.Prefix=64
            Set `2512lib.Command=2
            Send <`2512lib.Prefix> <`2512lib.Command> 
            Receive <`2512lib.Prefix1> <`2512lib.Command1> <`2512lib.Output1> <`2512lib.Output2>
            If TransferError Set `2512lib.FlagError=1
            If TransferError GoTo 2512lib.SkipGetTcurrent
            If `2512lib,Input1*256+`2512lib,Input2=0 GoTo 2512lib.SkipGetTcurrent_address
            If Whose<>`2512lib,Input1*256+`2512lib,Input2 Set `2512lib.FlagError=1
            If Whose<>`2512lib,Input1*256+`2512lib,Input2 GoTo 2512lib.SkipGetTcurrent
:2512lib.SkipGetTcurrent_address
            Set `2512lib.FlagError=0
            If TransferSize<>4 Set `2512lib.FlagError=2
            If 128+`2512lib.Prefix<>`2512lib.Prefix1 Set `2512lib.FlagError=2
            If `2512lib.Command<>`2512lib.Command1 Set `2512lib.FlagError=2
            If `2512lib.FlagError<>0 GoTo 2512lib.SkipGetTcurrent
            Set `2512lib.FlagError1=0
            If InvalidTransfer3=1 Set  `2512lib.FlagError1=1
            If InvalidTransfer4=1 Set  `2512lib.FlagError1=`2512lib.FlagError1+2^1
            If `2512lib.FlagError1<>0 Set `2512lib.FlagError=3
:2512lib.SkipGetTcurrent
            Device `2512lib,DeviceAddress  //    
         CriticalSection End
Return //GetTcurrent





/////////////////////////////////////////////////////////////////////
//     
// 2512lib.GetSensorType
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : Mem90009  -   1
//             Mem90010  -   2
//                     0 -  (w=1.428)
//                     1 -  (w=1.391)
//                     2 -  (w=1.385)
//                     3 - 
//                     4 -  ()
//                     5 -  (L)
//                     6 -  (S)
//                     7 -  ()
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//
/////////////////////////////////////////////////////////////////////

Alias `2512lib,Input1=>BMem90001
Alias `2512lib,Input2=>BMem90002
Alias `2512lib.Output1=>Mem90009
Alias `2512lib.Output2=>Mem90010
Alias `2512lib.FlagError=>BMem90010
Alias `2512lib.Prefix=>BMem90011
Alias `2512lib.Prefix1=>BMem90012
Alias `2512lib.Command=>BMem90013
Alias `2512lib.Command1=>BMem90014
Alias `2512lib,DeviceAddress=>Mem90001


:2512lib.GetSensorType
         CriticalSection Begin
            Set `2512lib,DeviceAddress=DeviceAddress  //   
            Device `2512lib,Input1.`2512lib,Input2      //   () 
            Set `2512lib.Prefix=64
            Set `2512lib.Command=3
            Send <`2512lib.Prefix> <`2512lib.Command> 
            Receive <`2512lib.Prefix1> <`2512lib.Command1> <`2512lib.Output1> <`2512lib.Output2> 
            If TransferError Set `2512lib.FlagError=1
            If TransferError GoTo 2512lib.SkipGetSensorType
            If `2512lib,Input1*256+`2512lib,Input2=0 GoTo 2512lib.SkipGetSensorType_address
            If Whose<>`2512lib,Input1*256+`2512lib,Input2 Set `2512lib.FlagError=1
            If Whose<>`2512lib,Input1*256+`2512lib,Input2 GoTo 2512lib.SkipGetSensorType
:2512lib.SkipGetSensorType_address
            Set `2512lib.FlagError=0
            If TransferSize<>4 Set `2512lib.FlagError=2
            If 128+`2512lib.Prefix<>`2512lib.Prefix1 Set `2512lib.FlagError=2
            If `2512lib.Command<>`2512lib.Command1 Set `2512lib.FlagError=2
:2512lib.SkipGetSensorType
            Device `2512lib,DeviceAddress  //    
         CriticalSection End
Return //GetSensorType


/////////////////////////////////////////////////////////////////////
// 2512LIB.GetSensorNameForCode
//      :  Mem90020 -   
//      : SMem90001 -   
// 
/////////////////////////////////////////////////////////////////////

Alias `2512LIB.Input=>Mem90020
Alias `2512LIB.Output=>SMem90001

:2512LIB.GetSensorNameForCode
        Set `2512LIB.Output=$_    //      
        If `2512LIB.Input=0 Set `StdLIB.Output=$_(w=1.428)
        If `2512LIB.Input=1 Set `StdLIB.Output=$_(w=1.391)
        If `2512LIB.Input=2 Set `StdLIB.Output=$_(w=1.385)
        If `2512LIB.Input=3 Set `StdLIB.Output=$
        If `2512LIB.Input=4 Set `StdLIB.Output=$_()
        If `2512LIB.Input=5 Set `StdLIB.Output=$_(L)
        If `2512LIB.Input=6 Set `StdLIB.Output=$_(S)
        If `2512LIB.Input=7 Set `StdLIB.Output=$_()
Return //GetSensorNameForCode

