/////////////////////////////////////////////////////////////////////
//        2513
// 2513lib.dsl
/////////////////////////////////////////////////////////////////////
//
//     
// 2513lib.SetResultT
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             Mem90003  -  
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//-------------------------------------------------------------------
//     
// 2513lib.GetResultT
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : Mem90003 -  
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//-------------------------------------------------------------------
//      1  2
// 2513lib.GetTcurrent
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : Mem90004 -  1
//             Mem90005 -  2
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//             BMem90015 -     :
//                  0 -   1 -       
//                  1 -   1 -       
//
//-------------------------------------------------------------------
//
//     
// 2513lib.GetSensorType
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : Mem90006  -   1
//             Mem90007  -   2
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//-------------------------------------------------------------------
//   
// 2513LIB.GetSensorNameForCode
//      :  Mem90020  -   
//      : SMem90001 -   
// 
/////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////






/////////////////////////////////////////////////////////////////////
//
//     
// 2513lib.SetResultT
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             Mem90003  -  
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `2513lib,Input1=>BMem90001
Alias `2513lib,Input2=>BMem90002
Alias `2513lib.Input3=>Mem90003
Alias `2513lib.FlagError=>BMem90010
Alias `2513lib.Prefix=>BMem90011
Alias `2513lib.Prefix1=>BMem90012
Alias `2513lib.Command=>BMem90013
Alias `2513lib.Command1=>BMem90014
Alias `2513lib,DeviceAddress=>Mem90001


:2513lib.SetResultT
         CriticalSection Begin
            Set `2513lib,DeviceAddress=DeviceAddress  //   
            Device `2513lib,Input1.`2513lib,Input2      //   () 
            Set `2513lib.Prefix=64
            Set `2513lib.Command=0
            Send <`2513lib.Prefix> <`2513lib.Command> <`2513lib.Input3>
            Receive <`2513lib.Prefix1> <`2513lib.Command1> <`2513lib.Input3> 
            If TransferError Set `2513lib.FlagError=1
            If TransferError GoTo 2513lib.SkipSetResultT
             //      0.0 -   
            If `2513lib,Input1*256+`2513lib,Input2=0 GoTo 2513lib.SkipSetResultT_address
            If Whose<>`2513lib,Input1*256+`2513lib,Input2 Set `2513lib.FlagError=1
            If Whose<>`2513lib,Input1*256+`2513lib,Input2 GoTo 2513lib.SkipSetResultT
:2513lib.SkipSetResultT_address
            Set `2513lib.FlagError=0
            If TransferSize<>3 Set `2513lib.FlagError=2
            If 128+`2513lib.Prefix<>`2513lib.Prefix1 Set `2513lib.FlagError=2
            If `2513lib.Command<>`2513lib.Command1 Set `2513lib.FlagError=2
            If `2513lib.FlagError<>0 GoTo 2513lib.SkipSetResultT
            If InvalidTransfer3=1 Set  `2513lib.FlagError=3
:2513lib.SkipSetResultT
            Device `2513lib,DeviceAddress  //    
         CriticalSection End
Return //SetResultT





/////////////////////////////////////////////////////////////////////
//     
// 2513lib.GetResultT
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : Mem90003 -  
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `2513lib,Input1=>BMem90001
Alias `2513lib,Input2=>BMem90002
Alias `2513lib.Output1=>Mem90003
Alias `2513lib.FlagError=>BMem90010
Alias `2513lib.Prefix=>BMem90011
Alias `2513lib.Prefix1=>BMem90012
Alias `2513lib.Command=>BMem90013
Alias `2513lib.Command1=>BMem90014
Alias `2513lib,DeviceAddress=>Mem90001


:2513lib.GetResultT
         CriticalSection Begin
            Set `2513lib,DeviceAddress=DeviceAddress  //   
            Device `2513lib,Input1.`2513lib,Input2      //   () 
            Set `2513lib.Prefix=64
            Set `2513lib.Command=1
            Send <`2513lib.Prefix> <`2513lib.Command> 
            Receive <`2513lib.Prefix1> <`2513lib.Command1> <`2513lib.Output1> 
            If TransferError Set `2513lib.FlagError=1
            If TransferError GoTo 2513lib.SkipGetResultT
             //      0.0 -   
            If `2513lib,Input1*256+`2513lib,Input2=0 GoTo 2513lib.SkipGetResultT_address
            If Whose<>`2513lib,Input1*256+`2513lib,Input2 Set `2513lib.FlagError=1
            If Whose<>`2513lib,Input1*256+`2513lib,Input2 GoTo 2513lib.SkipGetResultT
:2513lib.SkipGetResultT_address
            Set `2513lib.FlagError=0
            If TransferSize<>3 Set `2513lib.FlagError=2
            If 128+`2513lib.Prefix<>`2513lib.Prefix1 Set `2513lib.FlagError=2
            If `2513lib.Command<>`2513lib.Command1 Set `2513lib.FlagError=2
            If `2513lib.FlagError<>0 GoTo 2513lib.SkipGetResultT
            If InvalidTransfer3=1 Set  `2513lib.FlagError=3
:2513lib.SkipGetResultT
            Device `2513lib,DeviceAddress  //    
         CriticalSection End
Return //GetResultT




/////////////////////////////////////////////////////////////////////
//      1  2
// 2513lib.GetTcurrent
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : Mem90004 -  1
//             Mem90005 -  2
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//             BMem90015 -     :
//                  0 -   1 -       
//                  1 -   1 -       
/////////////////////////////////////////////////////////////////////

Alias `2513lib,Input1=>BMem90001
Alias `2513lib,Input2=>BMem90002
Alias `2513lib.Output1=>Mem90004
Alias `2513lib.Output2=>Mem90005
Alias `2513lib.FlagError=>BMem90010
Alias `2513lib.Prefix=>BMem90011
Alias `2513lib.Prefix1=>BMem90012
Alias `2513lib.Command=>BMem90013
Alias `2513lib.Command1=>BMem90014
Alias `2513lib.FlagError1=>BMem90015
Alias `2513lib,DeviceAddress=>Mem90001


:2513lib.GetTcurrent
         CriticalSection Begin
            Set `2513lib,DeviceAddress=DeviceAddress  //   
            Device `2513lib,Input1.`2513lib,Input2      //   () 
            Set `2513lib.Prefix=64
            Set `2513lib.Command=2
            Send <`2513lib.Prefix> <`2513lib.Command> 
            Receive <`2513lib.Prefix1> <`2513lib.Command1> <`2513lib.Output1> <`2513lib.Output2>
            If TransferError Set `2513lib.FlagError=1
            If TransferError GoTo 2513lib.SkipGetTcurrent
             //      0.0 -   
            If `2513lib,Input1*256+`2513lib,Input2=0 GoTo 2513lib.SkipGetTcurrent_address
            If Whose<>`2513lib,Input1*256+`2513lib,Input2 Set `2513lib.FlagError=1
            If Whose<>`2513lib,Input1*256+`2513lib,Input2 GoTo 2513lib.SkipGetTcurrent
:2513lib.SkipGetTcurrent_address
            Set `2513lib.FlagError=0
            If TransferSize<>4 Set `2513lib.FlagError=2
            If 128+`2513lib.Prefix<>`2513lib.Prefix1 Set `2513lib.FlagError=2
            If `2513lib.Command<>`2513lib.Command1 Set `2513lib.FlagError=2
            If `2513lib.FlagError<>0 GoTo 2513lib.SkipGetTcurrent
            Set `2513lib.FlagError1=0
            If InvalidTransfer3=1 Set  `2513lib.FlagError1=1
            If InvalidTransfer4=1 Set  `2513lib.FlagError1=`2513lib.FlagError1+2^1
            If `2513lib.FlagError1<>0 Set `2513lib.FlagError=3
:2513lib.SkipGetTcurrent
            Device `2513lib,DeviceAddress  //    
         CriticalSection End
Return //GetTcurrent





/////////////////////////////////////////////////////////////////////
//     
// 2513lib.GetSensorType
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : Mem90006  -   1
//             Mem90007  -   2
//                     0 -  (w=1.428)
//                     1 -  (w=1.391)
//                     2 -  (w=1.385)
//                     3 - 
//                     4 -  ()
//                     5 -  (L)
//                     6 -  (S)
//                     7 -  ()
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//
/////////////////////////////////////////////////////////////////////

Alias `2513lib,Input1=>BMem90001
Alias `2513lib,Input2=>BMem90002
Alias `2513lib.Output1=>Mem90006
Alias `2513lib.Output2=>Mem90007
Alias `2513lib.FlagError=>BMem90010
Alias `2513lib.Prefix=>BMem90011
Alias `2513lib.Prefix1=>BMem90012
Alias `2513lib.Command=>BMem90013
Alias `2513lib.Command1=>BMem90014
Alias `2513lib,DeviceAddress=>Mem90001


:2513lib.GetSensorType
         CriticalSection Begin
            Set `2513lib,DeviceAddress=DeviceAddress  //   
            Device `2513lib,Input1.`2513lib,Input2      //   () 
            Set `2513lib.Prefix=64
            Set `2513lib.Command=3
            Send <`2513lib.Prefix> <`2513lib.Command> 
            Receive <`2513lib.Prefix1> <`2513lib.Command1> <`2513lib.Output1> <`2513lib.Output2> 
            If TransferError Set `2513lib.FlagError=1
            If TransferError GoTo 2513lib.SkipGetSensorType
             //      0.0 -   
            If `2513lib,Input1*256+`2513lib,Input2=0 GoTo 2513lib.SkipGetSensorType_address
            If Whose<>`2513lib,Input1*256+`2513lib,Input2 Set `2513lib.FlagError=1
            If Whose<>`2513lib,Input1*256+`2513lib,Input2 GoTo 2513lib.SkipGetSensorType
:2513lib.SkipGetSensorType_address
            Set `2513lib.FlagError=0
            If TransferSize<>4 Set `2513lib.FlagError=2
            If 128+`2513lib.Prefix<>`2513lib.Prefix1 Set `2513lib.FlagError=2
            If `2513lib.Command<>`2513lib.Command1 Set `2513lib.FlagError=2
:2513lib.SkipGetSensorType
            Device `2513lib,DeviceAddress  //    
         CriticalSection End
Return //GetSensorType


/////////////////////////////////////////////////////////////////////
// 2513LIB.GetSensorNameForCode
//      :  Mem90020 -   
//      : SMem90001 -   
// 
/////////////////////////////////////////////////////////////////////

Alias `2513LIB.Input=>Mem90020
Alias `2513LIB.Output=>SMem90001

:2513LIB.GetSensorNameForCode
        Set `2513LIB.Output=$_    //      
        If `2513LIB.Input=0 Set `StdLIB.Output=$_(w=1.428)
        If `2513LIB.Input=1 Set `StdLIB.Output=$_(w=1.391)
        If `2513LIB.Input=2 Set `StdLIB.Output=$_(w=1.385)
        If `2513LIB.Input=3 Set `StdLIB.Output=$
        If `2513LIB.Input=4 Set `StdLIB.Output=$_()
        If `2513LIB.Input=5 Set `StdLIB.Output=$_(L)
        If `2513LIB.Input=6 Set `StdLIB.Output=$_(S)
        If `2513LIB.Input=7 Set `StdLIB.Output=$_()
Return //GetSensorNameForCode

