/////////////////////////////////////////////////////////////////////
//        2525
// 2525LIB.dsl
/////////////////////////////////////////////////////////////////////
//
//     1- 
// 2525lib.GetResultForFirstChannel
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : Mem90003  -   1
//             Mem90004  -  1
//             Mem90005  -  1
//             Mem90006  - - 1
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//--------------------------------------------------------------------
//     2- 
// 2525lib.GetResultForSecondChannel
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : Mem90007  -   2
//             Mem90008  -  2
//             Mem90009  -  2
//             Mem90010  - - 2
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//--------------------------------------------------------------------
//
//     1- 
// 2525lib.SetParametresForFirstChannel
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             Mem90004  -  1
//             Mem90005  -  1
//             Mem90006  - - 1
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//             Mem90004  -  1
//             Mem90005  -  1
//             Mem90006  - - 1
//-------------------------------------------------------------------- 
//
//     2- 
// 2525lib.SetParametresForSecondChannel
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             Mem90008  -  2
//             Mem90009  -  2
//             Mem90010  - - 2
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//             Mem90008  -  2
//             Mem90009  -  2
//             Mem90010  - - 2
//-------------------------------------------------------------------- 
//
//       
// 2525lib.GetTemperaturesForChannel
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : Mem90003  -  1
//             Mem90007  -  2
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//             BMem90015 -     :
//                  0 -   1 -       
//                  1 -   1 -       
//--------------------------------------------------------------------
//
//
//        
// 2525lib.GetTypes
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : Mem90011 -    1- 
//             Mem90012 -    2- 
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//--------------------------------------------------------------------
//
//  .  
// 2525lib.SetCof
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90005 -  
//             BMem90006 -  . 
//                         0 - .  - .
//                         1..12 - . -  
//             Mem90013/BMem90007 -  ./- .
//      : BMem90005 -  
//             BMem90006 -  . 
//                         0 - .  - .
//                         1..12 - . -  
//             Mem90013/BMem90007 -  ./- .
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//--------------------------------------------------------------------
//
//  .  
// 2525lib.GetCof
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90005 -  
//             BMem90006 -  . 
//      : BMem90005 -  
//             BMem90006 -  . 
//                         0 - .  - .
//                         1..12 - . -  
//             Mem90013/BMem90007 -  ./- .
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//-------------------------------------------------------------------
// 2525LIB.GetSensorNameForCode
//      :  Mem90020 -   
//      : SMem90001 -   
//
/////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////






/////////////////////////////////////////////////////////////////////
//     1- 
// 2525lib.GetResultForFirstChannel
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : Mem90003  -   1
//             Mem90004  -  1
//             Mem90005  -  1
//             Mem90006  - - 1
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `2525lib,Input1=>BMem90001
Alias `2525lib,Input2=>BMem90002
Alias `2525lib.Output1=>Mem90003
Alias `2525lib.Output2=>Mem90004
Alias `2525lib.Output3=>Mem90005
Alias `2525lib.Output4=>Mem90006
Alias `2525lib.FlagError=>BMem90010
Alias `2525lib.Prefix=>BMem90011
Alias `2525lib.Prefix1=>BMem90012
Alias `2525lib.Command=>BMem90013
Alias `2525lib.Command1=>BMem90014
Alias `2525lib,DeviceAddress=>Mem90001


:2525lib.GetResultForFirstChannel
         CriticalSection Begin
            Set `2525lib,DeviceAddress=DeviceAddress  //   
            Device `2525lib,Input1.`2525lib,Input2      //   () 
            Set `2525lib.Prefix=64
            Set `2525lib.Command=2
            Send <`2525lib.Prefix> <`2525lib.Command> 
            Receive <`2525lib.Prefix1> <`2525lib.Command1> <`2525lib.Output1> <`2525lib.Output2> <`2525lib.Output3> <`2525lib.Output4>
            If TransferError Set `2525lib.FlagError=1
            If TransferError GoTo 2525lib.SkipGetResultForFirstChannel
            If `2525lib,Input1*256+`2525lib,Input2=0 GoTo 2525lib.SkipGetResultForFirstChannel_address
            If Whose<>`2525lib,Input1*256+`2525lib,Input2 Set `2525lib.FlagError=1
            If Whose<>`2525lib,Input1*256+`2525lib,Input2 GoTo 2525lib.SkipGetResultForFirstChannel
:2525lib.SkipGetResultForFirstChannel_address
            Set `2525lib.FlagError=0
            If TransferSize<>6 Set `2525lib.FlagError=2
            If 128+`2525lib.Prefix<>`2525lib.Prefix1 Set `2525lib.FlagError=2
            If `2525lib.Command<>`2525lib.Command1 Set `2525lib.FlagError=2
            If `2525lib.FlagError<>0 GoTo 2525lib.SkipGetResultForFirstChannel
            If InvalidTransfer3=1 Set  `2525lib.FlagError=3
:2525lib.SkipGetResultForFirstChannel
            Device `2525lib,DeviceAddress  //    
         CriticalSection End
Return //GetResultForFirstChannel





/////////////////////////////////////////////////////////////////////
//     2- 
// 2525lib.GetResultForSecondChannel
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : Mem90007  -   2
//             Mem90008  -  2
//             Mem90009  -  2
//             Mem90010  - - 2
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `2525lib,Input1=>BMem90001
Alias `2525lib,Input2=>BMem90002
Alias `2525lib.Output1=>Mem90007
Alias `2525lib.Output2=>Mem90008
Alias `2525lib.Output3=>Mem90009
Alias `2525lib.Output4=>Mem90010
Alias `2525lib.FlagError=>BMem90010
Alias `2525lib.Prefix=>BMem90011
Alias `2525lib.Prefix1=>BMem90012
Alias `2525lib.Command=>BMem90013
Alias `2525lib.Command1=>BMem90014
Alias `2525lib,DeviceAddress=>Mem90001


:2525lib.GetResultForSecondChannel
         CriticalSection Begin
            Set `2525lib,DeviceAddress=DeviceAddress  //   
            Device `2525lib,Input1.`2525lib,Input2      //   () 
            Set `2525lib.Prefix=64
            Set `2525lib.Command=3
            Send <`2525lib.Prefix> <`2525lib.Command> 
            Receive <`2525lib.Prefix1> <`2525lib.Command1> <`2525lib.Output1> <`2525lib.Output2> <`2525lib.Output3> <`2525lib.Output4>
            If TransferError Set `2525lib.FlagError=1
            If TransferError GoTo 2525lib.SkipGetResultForSecondChannel
            If `2525lib,Input1*256+`2525lib,Input2=0 GoTo 2525lib.SkipGetResultForSecondChannel_address
            If Whose<>`2525lib,Input1*256+`2525lib,Input2 Set `2525lib.FlagError=1
            If Whose<>`2525lib,Input1*256+`2525lib,Input2 GoTo 2525lib.SkipGetResultForSecondChannel
:2525lib.SkipGetResultForSecondChannel_address
            Set `2525lib.FlagError=0
            If TransferSize<>6 Set `2525lib.FlagError=2
            If 128+`2525lib.Prefix<>`2525lib.Prefix1 Set `2525lib.FlagError=2
            If `2525lib.Command<>`2525lib.Command1 Set `2525lib.FlagError=2
            If `2525lib.FlagError<>0 GoTo 2525lib.SkipGetResultForSecondChannel
            If InvalidTransfer3=1 Set  `2525lib.FlagError=3
:2525lib.SkipGetResultForSecondChannel
            Device `2525lib,DeviceAddress  //    
         CriticalSection End
Return //GetResultForSecondChannel








/////////////////////////////////////////////////////////////////////
//     1- 
// 2525lib.SetParametresForFirstChannel
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             Mem90004  -  1
//             Mem90005  -  1
//             Mem90006  - - 1
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//             Mem90004  -  1
//             Mem90005  -  1
//             Mem90006  - - 1
/////////////////////////////////////////////////////////////////////

Alias `2525lib,Input1=>BMem90001
Alias `2525lib,Input2=>BMem90002
Alias `2525lib,DeviceAddress=>Mem90001
Alias `2525lib.Treg=>Mem90004
Alias `2525lib.Alarm=>Mem90005
Alias `2525lib.Thisteresis=>Mem90006
Alias `2525lib.FlagError=>BMem90010
Alias `2525lib.Prefix=>BMem90011
Alias `2525lib.Command=>BMem90012
Alias `2525lib.Prefix1=>BMem90013
Alias `2525lib.Command1=>BMem90014

:2525lib.SetParametresForFirstChannel
         CriticalSection Begin
            Set `2525lib,DeviceAddress=DeviceAddress  //   
            Device `2525lib,Input1.`2525lib,Input2      //   () 
            Set `2525lib.Prefix=64
            Set `2525lib.Command=0
            Send <`2525lib.Prefix> <`2525lib.Command> <`2525lib.Treg> <`2525lib.Alarm> <`2525lib.Thisteresis>
            Receive <`2525lib.Prefix1> <`2525lib.Command1> <`2525lib.Treg> <`2525lib.Alarm> <`2525lib.Thisteresis>
            If TransferError Set `2525lib.FlagError=1
            If TransferError GoTo 2525lib.SkipSetParametresForFirstChannel
            If `2525lib,Input1*256+`2525lib,Input2=0 GoTo 2525lib.SkipSetParametresForFirstChannel_address
            If Whose<>`2525lib,Input1*256+`2525lib,Input2 Set `2525lib.FlagError=1
            If Whose<>`2525lib,Input1*256+`2525lib,Input2 GoTo 2525lib.SkipSetParametresForFirstChannel
:2525lib.SkipSetParametresForFirstChannel_address
            Set `2525lib.FlagError=0
            If TransferSize<>5 Set `2525lib.FlagError=2 
            If `2525lib.Prefix1<>`2525lib.Prefix+128 Set `2525lib.FlagError=2
            If `2525lib.Command<>`2525lib.Command1 Set `2525lib.FlagError=2
:2525lib.SkipSetParametresForFirstChannel
            Device `2525lib,DeviceAddress  //    
         CriticalSection End
Return //SetParametresForFirstChannel





/////////////////////////////////////////////////////////////////////
//     2- 
// 2525lib.SetParametresForSecondChannel
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             Mem90008  -  2
//             Mem90009  -  2
//             Mem90010  - - 2
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//             Mem90008  -  2
//             Mem90009  -  2
//             Mem90010  - - 2
/////////////////////////////////////////////////////////////////////

Alias `2525lib,Input1=>BMem90001
Alias `2525lib,Input2=>BMem90002
Alias `2525lib,DeviceAddress=>Mem90001
Alias `2525lib.Treg2=>Mem90008
Alias `2525lib.Alarm2=>Mem90009
Alias `2525lib.Thisteresis2=>Mem90010
Alias `2525lib.FlagError=>BMem90010
Alias `2525lib.Prefix=>BMem90011
Alias `2525lib.Command=>BMem90012
Alias `2525lib.Prefix1=>BMem90013
Alias `2525lib.Command1=>BMem90014


:2525lib.SetParametresForSecondChannel
         CriticalSection Begin
            Set `2525lib,DeviceAddress=DeviceAddress  //   
            Device `2525lib,Input1.`2525lib,Input2      //   () 
            Set `2525lib.Prefix=64
            Set `2525lib.Command=1
            Send <`2525lib.Prefix> <`2525lib.Command> <`2525lib.Treg2> <`2525lib.Alarm2> <`2525lib.Thisteresis2>
            Receive <`2525lib.Prefix1> <`2525lib.Command1> <`2525lib.Treg2> <`2525lib.Alarm2> <`2525lib.Thisteresis2>
            If TransferError Set `2525lib.FlagError=1
            If TransferError GoTo 2525lib.SkipSetParametresForSecondChannel
            If `2525lib,Input1*256+`2525lib,Input2=0 GoTo 2525lib.SkipSetParametresForSecondChannel_address
            If Whose<>`2525lib,Input1*256+`2525lib,Input2 Set `2525lib.FlagError=1
            If Whose<>`2525lib,Input1*256+`2525lib,Input2 GoTo 2525lib.SkipSetParametresForSecondChannel
:2525lib.SkipSetParametresForSecondChannel_address
            Set `2525lib.FlagError=0
            If TransferSize<>5 Set `2525lib.FlagError=2 
            If `2525lib.Prefix1<>`2525lib.Prefix+128 Set `2525lib.FlagError=2
            If `2525lib.Command<>`2525lib.Command1 Set `2525lib.FlagError=2
:2525lib.SkipSetParametresForSecondChannel
            Device `2525lib,DeviceAddress  //    
         CriticalSection End
Return //SetParametresForSecondChannel





/////////////////////////////////////////////////////////////////////
//       
// 2525lib.GetTemperaturesForChannel
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : Mem90003  -  1
//             Mem90007  -  2
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//             BMem90015 -     :
//                  0 -   1 -       
//                  1 -   1 -       
/////////////////////////////////////////////////////////////////////

Alias `2525lib,Input1=>BMem90001
Alias `2525lib,Input2=>BMem90002
Alias `2525lib,DeviceAddress=>Mem90001
Alias `2525lib.Tcurrent1=>Mem90003
Alias `2525lib.Tcurrent2=>Mem90007
Alias `2525lib.FlagError=>BMem90010
Alias `2525lib.Prefix=>BMem90011
Alias `2525lib.Command=>BMem90012
Alias `2525lib.Prefix1=>BMem90013
Alias `2525lib.Command1=>BMem90014
Alias `2525lib.FlagError1=>BMem90015

:2525lib.GetTemperaturesForChannel
         CriticalSection Begin
            Set `2525lib,DeviceAddress=DeviceAddress  //   
            Device `2525lib,Input1.`2525lib,Input2      //   () 
            Set `2525lib.Prefix=64
            Set `2525lib.Command=4
            Send <`2525lib.Prefix> <`2525lib.Command> 
            Receive <`2525lib.Prefix1> <`2525lib.Command1> <`2525lib.Tcurrent1> <`2525lib.Tcurrent2>
            If TransferError Set `2525lib.FlagError=1
            If TransferError GoTo 2525lib.SkipGetTemperaturesForChannel
            If `2525lib,Input1*256+`2525lib,Input2=0 GoTo 2525lib.SkipGetTemperaturesForChannel_address
            If Whose<>`2525lib,Input1*256+`2525lib,Input2 Set `2525lib.FlagError=1
            If Whose<>`2525lib,Input1*256+`2525lib,Input2 GoTo 2525lib.SkipGetTemperaturesForChannel
:2525lib.SkipGetTemperaturesForChannel_address
            Set `2525lib.FlagError=0
            If TransferSize<>4 Set `2525lib.FlagError=2 
            If `2525lib.Prefix1<>`2525lib.Prefix+128 Set `2525lib.FlagError=2
            If `2525lib.Command<>`2525lib.Command1 Set `2525lib.FlagError=2
            If `2525lib.FlagError<>0 GoTo 2525lib.SkipGetTemperaturesForChannel
            Set `2525lib.FlagError1=0
            If InvalidTransfer3=1 Set  `2525lib.FlagError1=1
            If InvalidTransfer4=1 Set  `2525lib.FlagError1=`2525lib.FlagError1+2^1
            If `2525lib.FlagError1<>0 Set `2525lib.FlagError=3
:2525lib.SkipGetTemperaturesForChannel
            Device `2525lib,DeviceAddress  //    
         CriticalSection End
Return //GetTemperaturesForChannel




/////////////////////////////////////////////////////////////////////
//        
// 2525lib.GetTypes
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : Mem90011 -    1- 
//             Mem90012 -    2- 
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `2525lib,Input1=>BMem90001
Alias `2525lib,Input2=>BMem90002
Alias `2525lib,DeviceAddress=>Mem90001
Alias `2525lib.Type1=>Mem90011
Alias `2525lib.Type2=>Mem90012
Alias `2525lib.FlagError=>BMem90010
Alias `2525lib.Prefix=>BMem90011
Alias `2525lib.Command=>BMem90012
Alias `2525lib.Prefix1=>BMem90013
Alias `2525lib.Command1=>BMem90014

:2525lib.GetTypes
         CriticalSection Begin
            Set `2525lib,DeviceAddress=DeviceAddress  //   
            Device `2525lib,Input1.`2525lib,Input2      //   () 
            Set `2525lib.Prefix=64
            Set `2525lib.Command=5
            Send <`2525lib.Prefix> <`2525lib.Command> 
            Receive <`2525lib.Prefix1> <`2525lib.Command1> <`2525lib.Type1> <`2525lib.Type2>
            If TransferError Set `2525lib.FlagError=1
            If TransferError GoTo 2525lib.SkipGetTypes
            If `2525lib,Input1*256+`2525lib,Input2=0 GoTo 2525lib.SkipGetTypes_address
            If Whose<>`2525lib,Input1*256+`2525lib,Input2 Set `2525lib.FlagError=1
            If Whose<>`2525lib,Input1*256+`2525lib,Input2 GoTo 2525lib.SkipGetTypes
:2525lib.SkipGetTypes_address
            Set `2525lib.FlagError=0
            If TransferSize<>4 Set `2525lib.FlagError=2 
            If `2525lib.Prefix1<>`2525lib.Prefix+128 Set `2525lib.FlagError=2
            If `2525lib.Command<>`2525lib.Command1 Set `2525lib.FlagError=2
:2525lib.SkipGetTypes
            Device `2525lib,DeviceAddress  //    
         CriticalSection End
Return //GetTypes





/////////////////////////////////////////////////////////////////////
//  .  
// 2525lib.SetCof
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90005 -  
//             BMem90006 -  . 
//                         0 - .  - .
//                         1..12 - . -  
//             Mem90013/BMem90007 -  ./- .
//      : BMem90005 -  
//             BMem90006 -  . 
//                         0 - .  - .
//                         1..12 - . -  
//             Mem90013/BMem90007 -  ./- .
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `2525lib,Input1=>BMem90001
Alias `2525lib,Input2=>BMem90002
Alias `2525lib,DeviceAddress=>Mem90001
Alias `2525lib.Input3=>BMem90005
Alias `2525lib.Input4=>BMem90006
Alias `2525lib.Input5=>BMem90007
Alias `2525lib.Input6=>Mem90013
Alias `2525lib.FlagError=>BMem90010
Alias `2525lib.Prefix=>BMem90011
Alias `2525lib.Command=>BMem90012
Alias `2525lib.Prefix1=>BMem90013
Alias `2525lib.Command1=>BMem90014

:2525lib.SetCof
         CriticalSection Begin
            Set `2525lib,DeviceAddress=DeviceAddress  //   
            Device `2525lib,Input1.`2525lib,Input2      //   () 
            Set `2525lib.Prefix=64
            Set `2525lib.Command=6
            If `2525Lib.Input4=0 GoTo 2525lib.Do1Action1
            If `2525lib.Input4>0 GoTo 2525lib.Do2Action1
:2525lib.Do1Action1            
            Send <`2525lib.Prefix> <`2525lib.Command> <`2525lib.Input3> <`2525lib.Input4> <`2525lib.Input5>
            Receive <`2525lib.Prefix1> <`2525lib.Command1> <`2525lib.Input3> <`2525lib.Input4> <`2525lib.Input5>
            GoTo 2525lib.SkipAction1
:2525lib.Do2Action1
            Send <`2525lib.Prefix> <`2525lib.Command> <`2525lib.Input3> <`2525lib.Input4> <`2525lib.Input6:SingleFloat>
            Receive <`2525lib.Prefix1> <`2525lib.Command1> <`2525lib.Input3> <`2525lib.Input4> <`2525lib.Input6:SingleFloat>
:2525lib.SkipAction1
            If TransferError Set `2525lib.FlagError=1
            If TransferError GoTo 2525lib.SkipSetCof
            If `2525lib,Input1*256+`2525lib,Input2=0 GoTo 2525lib.SkipSetCof_address
            If Whose<>`2525lib,Input1*256+`2525lib,Input2 Set `2525lib.FlagError=1
            If Whose<>`2525lib,Input1*256+`2525lib,Input2 GoTo 2525lib.SkipSetCof
:2525lib.SkipSetCof_address
            Set `2525lib.FlagError=0
            If TransferSize<>5 Set `2525lib.FlagError=2 
            If `2525lib.Prefix1<>`2525lib.Prefix+128 Set `2525lib.FlagError=2
            If `2525lib.Command<>`2525lib.Command1 Set `2525lib.FlagError=2
:2525lib.SkipSetCof
            Device `2525lib,DeviceAddress  //    
         CriticalSection End
Return //SetCof








/////////////////////////////////////////////////////////////////////
//  .  
// 2525lib.GetCof
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90005 -  
//             BMem90006 -  . 
//      : BMem90005 -  
//             BMem90006 -  . 
//                         0 - .  - .
//                         1..12 - . -  
//             Mem90013/BMem90007 -  ./- .
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `2525lib,Input1=>BMem90001
Alias `2525lib,Input2=>BMem90002
Alias `2525lib,DeviceAddress=>Mem90001
Alias `2525lib.Input3=>BMem90005
Alias `2525lib.Input4=>BMem90006
Alias `2525lib.Input5=>BMem90007
Alias `2525lib.Input6=>Mem90013
Alias `2525lib.FlagError=>BMem90010
Alias `2525lib.Prefix=>BMem90011
Alias `2525lib.Command=>BMem90012
Alias `2525lib.Prefix1=>BMem90013
Alias `2525lib.Command1=>BMem90014

:2525lib.GetCof
         CriticalSection Begin
            Set `2525lib,DeviceAddress=DeviceAddress  //   
            Device `2525lib,Input1.`2525lib,Input2      //   () 
            Set `2525lib.Prefix=64
            Set `2525lib.Command=7
            If `2525Lib.Input4=0 GoTo 2525lib.Do1Action
            If `2525lib.Input4>0 GoTo 2525lib.Do2Action
:2525lib.Do1Action            
            Send <`2525lib.Prefix> <`2525lib.Command> <`2525lib.Input3> <`2525lib.Input4> 
            Receive <`2525lib.Prefix1> <`2525lib.Command1> <`2525lib.Input3> <`2525lib.Input4> <`2525lib.Input5>
            GoTo 2525lib.SkipAction
:2525lib.Do2Action
            Send <`2525lib.Prefix> <`2525lib.Command> <`2525lib.Input3> <`2525lib.Input4> 
            Receive <`2525lib.Prefix1> <`2525lib.Command1> <`2525lib.Input3> <`2525lib.Input4> <`2525lib.Input6:SingleFloat>
:2525lib.SkipAction
            If TransferError Set `2525lib.FlagError=1
            If TransferError GoTo 2525lib.SkipGetCof
            If `2525lib,Input1*256+`2525lib,Input2=0 GoTo 2525lib.SkipGetCof_address
            If Whose<>`2525lib,Input1*256+`2525lib,Input2 Set `2525lib.FlagError=1
            If Whose<>`2525lib,Input1*256+`2525lib,Input2 GoTo 2525lib.SkipGetCof
:2525lib.SkipGetCof_address
            Set `2525lib.FlagError=0
            If TransferSize<>5 Set `2525lib.FlagError=2 
            If `2525lib.Prefix1<>`2525lib.Prefix+128 Set `2525lib.FlagError=2
            If `2525lib.Command<>`2525lib.Command1 Set `2525lib.FlagError=2
:2525lib.SkipGetCof
            Device `2525lib,DeviceAddress  //    
         CriticalSection End
Return //GetCof




/////////////////////////////////////////////////////////////////////
// 2525LIB.GetSensorNameForCode
//      :  Mem90020 -   
//      : SMem90001 -   
/////////////////////////////////////////////////////////////////////

Alias `2525LIB.Input=>Mem90020
Alias `2525LIB.Output=>SMem90001

:2525LIB.GetSensorNameForCode
        Set `2525LIB.Output=$_    //      
        If `2525LIB.Input=0 Set `2525LIB.Output=$_(w=1.428)
        If `2525LIB.Input=1 Set `2525LIB.Output=$_(w=1.391)
        If `2525LIB.Input=2 Set `2525LIB.Output=$_(w=1.385)
        If `2525LIB.Input=3 Set `2525LIB.Output=$
        If `2525LIB.Input=4 Set `2525LIB.Output=$_()
        If `2525LIB.Input=5 Set `2525LIB.Output=$_(L)
        If `2525LIB.Input=6 Set `2525LIB.Output=$_(S)
        If `2525LIB.Input=7 Set `2525LIB.Output=$_()
        If `2525LIB.Input=8 Set `2525LIB.Output=$._4..20_      
        If `2525LIB.Input=9 Set `2525LIB.Output=$._0..5_
Return //GetSensorNameForCode









