/////////////////////////////////////////////////////////////////////
//        2528P1
// 2528P1lib.dsl
/////////////////////////////////////////////////////////////////////
//
//
//
//       
// 2528P1lib.GetTalarms
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90004 -  
//      : BMem90004 -  
//             Mem90008  -  
//             Mem90006  -  
//             Mem90007  -  
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//--------------------------------------------------------------------
//        
// 2528P1lib.SetTalarmHi
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90004 -  
//             Mem90006  -     
//      : BMem90004 -  
//             Mem90006  -     
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//--------------------------------------------------------------------
//
//        
// 2528P1lib.SetTalarmLow
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90004 -  
//             Mem90007  -     
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//--------------------------------------------------------------------
//     
// 2528P1lib.GetCurrentParametres
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : BMem90003 -    (3)
//             Mem90003  -    1- 
//             Mem90004  -    2- 
//             Mem90005  -    3- 
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//             BMem90015 -     :
//                  0 -   1 -       
//                  1 -   1 -       
//                  2 -   1 -       
//--------------------------------------------------------------------
//
//     (   )
// 2528P1lib.ReadAllRecord
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             Mem90010  -   
//      : Mem90010  -   
//             Mem90006 - 
//             Mem90007 - 
//             Mem90008 - 
//             Mem90009 - 
//             Mem90020 - 
//             Mem90021 - 
//             Mem90011  -     
//             Mem90012  -     
//             Mem90013  -     
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//             BMem90015 -     :
//                  0 -   1 -       
//                  1 -   1 -       
//                  2 -   1 -       
//--------------------------------------------------------------------
//
//     
// 2528P1lib.GetRecord
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             Mem90010  -   
//      : Mem90010  -   
//             Mem90006 - 
//             Mem90007 - 
//             Mem90008 - 
//             Mem90009 - 
//             Mem90020 - 
//             Mem90021 - 
//             Mem90011  -     
//             Mem90012  -     
//             Mem90013  -     
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//             BMem90015 -     :
//                  0 -   1 -       
//                  1 -   1 -       
//                  2 -   1 -       
//--------------------------------------------------------------------
//
//   
// 2528P1lib.GetRecordState
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : BMem90022 -   +
//             BMem90023 - + 
//             BMem90024 -  
//             Mem90014  - -   
//             Mem90015  -   - 
//             BMem90025 - ""  
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//--------------------------------------------------------------------
//
//  
// 2528P1lib.BeginRecord
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : BMem90026 -   
//                     0 -   
//                     1 -    
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//--------------------------------------------------------------------
//
//  
// 2528P1lib.EndRecord
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : BMem90026 -   
//                     0 -   
//                     1 -    
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//--------------------------------------------------------------------
//
//  
// 2528P1lib.OpenRecord
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : BMem90026 -   
//                     0 -   
//                     1 -    
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//--------------------------------------------------------------------
//
//    
// 2528P1lib.SetNumberOfObject
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90027 -   
//             BMem90028 -   
//      : BMem90027 -   
//             BMem90028 -   
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//--------------------------------------------------------------------
//
//    .   
// 2528P1lib.GetK_H
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90005 -  
//      : Mem90009  -  
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//--------------------------------------------------------------------
//
//    .   
// 2528P1lib.SetK_H
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90005 -  
//             Mem90009  -  .           
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//--------------------------------------------------------------------
//--------------------------------------------------------------------
//--------------------------------------------------------------------
/////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////



/////////////////////////////////////////////////////////////////////
//       
// 2528P1lib.GetTalarms
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90004 -  
//      : BMem90004 -  
//             Mem90008  -  
//             Mem90006  -  
//             Mem90007  -  
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `2528P1lib,Input1=>BMem90001
Alias `2528P1lib,Input2=>BMem90002
Alias `2528P1lib.ChannelNumber=>BMem90004
Alias `2528P1lib.Output1=>Mem90006
Alias `2528P1lib.Output2=>Mem90007
Alias `2528P1lib.Output3=>Mem90008
Alias `2528P1lib.FlagError=>BMem90010
Alias `2528P1lib.Prefix=>BMem90011
Alias `2528P1lib.Command=>BMem90012
Alias `2528P1lib.Prefix1=>BMem90013
Alias `2528P1lib.Command1=>BMem90014
Alias `2528P1lib,DeviceAddress=>Mem90001


:2528P1lib.GetTalarms
         CriticalSection Begin
            Set `2528P1lib,DeviceAddress=DeviceAddress  //   
            Device `2528P1lib,Input1.`2528P1lib,Input2      //   () 
            Set `2528P1lib.Prefix=64
            Set `2528P1lib.Command=10
            Send <`2528P1lib.Prefix> <`2528P1lib.Command> <`2528P1lib.ChannelNumber>
            Receive <`2528P1lib.Prefix1> <`2528P1lib.Command1> <`2528P1lib.ChannelNumber> <`2528P1lib.Output3> <`2528P1lib.Output1> <`2528P1lib.Output2>
            If TransferError Set `2528P1lib.FlagError=1
            If TransferError GoTo 2528P1lib.SkipGetTalarms
            If `2528P1lib,Input1*256+`2528P1lib,Input2=0 GoTo 2528P1lib.SkipGetTalarms_address
            If Whose<>`2528P1lib,Input1*256+`2528P1lib,Input2 Set `2528P1lib.FlagError=1
            If Whose<>`2528P1lib,Input1*256+`2528P1lib,Input2 GoTo 2528P1lib.SkipGetTalarms
:2528P1lib.SkipGetTalarms_address
            Set `2528P1lib.FlagError=0
            If TransferSize<>6 Set `2528P1lib.FlagError=2
            If 128+`2528P1lib.Prefix<>`2528P1lib.Prefix1 Set `2528P1lib.FlagError=2
            If `2528P1lib.Command<>`2528P1lib.Command1 Set `2528P1lib.FlagError=2
            If `2528P1lib.FlagError<>0 GoTo 2528P1lib.SkipGetTalarms
            If InvalidTransfer4=1 Set  `2528P1lib.FlagError=3
:2528P1lib.SkipGetTalarms
            Device `2528P1lib,DeviceAddress  //    
         CriticalSection End
Return //GetTalarms



/////////////////////////////////////////////////////////////////////
//        
// 2528P1lib.SetTalarmHi
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90004 -  
//             Mem90006  -     
//      : BMem90004 -  
//             Mem90006  -     
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `2528P1lib,Input1=>BMem90001
Alias `2528P1lib,Input2=>BMem90002
Alias `2528P1lib.ChannelNumber=>BMem90004
Alias `2528P1lib.Input3=>Mem90006
Alias `2528P1lib.FlagError=>BMem90010
Alias `2528P1lib.Prefix=>BMem90011
Alias `2528P1lib.Command=>BMem90012
Alias `2528P1lib.Prefix1=>BMem90013
Alias `2528P1lib.Command1=>BMem90014
Alias `2528P1lib,DeviceAddress=>Mem90001


:2528P1lib.SetTalarmHi
         CriticalSection Begin
            Set `2528P1lib,DeviceAddress=DeviceAddress  //   
            Device `2528P1lib,Input1.`2528P1lib,Input2      //   () 
            Set `2528P1lib.Prefix=64
            Set `2528P1lib.Command=13
            Send <`2528P1lib.Prefix> <`2528P1lib.Command> <`2528P1lib.ChannelNumber> <`2528P1lib.Input3>
            Receive <`2528P1lib.Prefix1> <`2528P1lib.Command1> <`2528P1lib.ChannelNumber> <`2528P1lib.Input3> 
            If TransferError Set `2528P1lib.FlagError=1
            If TransferError GoTo 2528P1lib.SkipSetTalarmHi
            If `2528P1lib,Input1*256+`2528P1lib,Input2=0 GoTo 2528P1lib.SkipSetTalarmHi_address
            If Whose<>`2528P1lib,Input1*256+`2528P1lib,Input2 Set `2528P1lib.FlagError=1
            If Whose<>`2528P1lib,Input1*256+`2528P1lib,Input2 GoTo 2528P1lib.SkipSetTalarmHi
:2528P1lib.SkipSetTalarmHi_address
            Set `2528P1lib.FlagError=0
            If TransferSize<>4 Set `2528P1lib.FlagError=2
            If 128+`2528P1lib.Prefix<>`2528P1lib.Prefix1 Set `2528P1lib.FlagError=2
            If `2528P1lib.Command<>`2528P1lib.Command1 Set `2528P1lib.FlagError=2
:2528P1lib.SkipSetTalarmHi
            Device `2528P1lib,DeviceAddress  //    
         CriticalSection End
Return //SetTalarmHi




/////////////////////////////////////////////////////////////////////
//        
// 2528P1lib.SetTalarmLow
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90004 -  
//             Mem90007  -     
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `2528P1lib,Input1=>BMem90001
Alias `2528P1lib,Input2=>BMem90002
Alias `2528P1lib.Input3=>Mem90007
Alias `2528P1lib.ChannelNumber=>BMem90004
Alias `2528P1lib.FlagError=>BMem90010
Alias `2528P1lib.Prefix=>BMem90011
Alias `2528P1lib.Command=>BMem90012
Alias `2528P1lib.Prefix1=>BMem90013
Alias `2528P1lib.Command1=>BMem90014
Alias `2528P1lib,DeviceAddress=>Mem90001


:2528P1lib.SetTalarmLow
         CriticalSection Begin
            Set `2528P1lib,DeviceAddress=DeviceAddress  //   
            Device `2528P1lib,Input1.`2528P1lib,Input2      //   () 
            Set `2528P1lib.Prefix=64
            Set `2528P1lib.Command=14
            Send <`2528P1lib.Prefix> <`2528P1lib.Command> <`2528P1lib.ChannelNumber> <`2528P1lib.Input3>
            Receive <`2528P1lib.Prefix1> <`2528P1lib.Command1> <`2528P1lib.ChannelNumber> <`2528P1lib.Input3> 
            If TransferError Set `2528P1lib.FlagError=1
            If TransferError GoTo 2528P1lib.SkipSetTalarmLow
            If `2528P1lib,Input1*256+`2528P1lib,Input2=0 GoTo 2528P1lib.SkipSetTalarmLow_address
            If Whose<>`2528P1lib,Input1*256+`2528P1lib,Input2 Set `2528P1lib.FlagError=1
            If Whose<>`2528P1lib,Input1*256+`2528P1lib,Input2 GoTo 2528P1lib.SkipSetTalarmLow
:2528P1lib.SkipSetTalarmLow_address
            Set `2528P1lib.FlagError=0
            If TransferSize<>4 Set `2528P1lib.FlagError=2
            If 128+`2528P1lib.Prefix<>`2528P1lib.Prefix1 Set `2528P1lib.FlagError=2
            If `2528P1lib.Command<>`2528P1lib.Command1 Set `2528P1lib.FlagError=2
:2528P1lib.SkipSetTalarmLow
            Device `2528P1lib,DeviceAddress  //    
         CriticalSection End
Return //SetTalarmLow



/////////////////////////////////////////////////////////////////////
//
//     
// 2528P1lib.GetCurrentParametres
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : BMem90003 -    (3)
//             Mem90003  -    1- 
//             Mem90004  -    2- 
//             Mem90005  -    3- 
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//             BMem90015 -     :
//                  0 -   1 -       
//                  1 -   1 -       
//                  2 -   1 -       
/////////////////////////////////////////////////////////////////////

Alias `2528P1lib,Input1=>BMem90001
Alias `2528P1lib,Input2=>BMem90002
Alias `2528P1lib.Output4=>BMem90003
Alias `2528P1lib.Output1=>Mem90003
Alias `2528P1lib.Output2=>Mem90004
Alias `2528P1lib.Output3=>Mem90005
Alias `2528P1lib.FlagError=>BMem90010
Alias `2528P1lib.Prefix=>BMem90011
Alias `2528P1lib.Command=>BMem90012
Alias `2528P1lib.Prefix1=>BMem90013
Alias `2528P1lib.Command1=>BMem90014
Alias `2528P1lib.FlagError1=>BMem90015
Alias `2528P1lib,DeviceAddress=>Mem90001


:2528P1lib.GetCurrentParametres
         CriticalSection Begin
            Set `2528P1lib,DeviceAddress=DeviceAddress  //   
            Device `2528P1lib,Input1.`2528P1lib,Input2      //   () 
            Set `2528P1lib.Prefix=64
            Set `2528P1lib.Command=15
            Send <`2528P1lib.Prefix> <`2528P1lib.Command> 
            Receive <`2528P1lib.Prefix1> <`2528P1lib.Command1> <`2528P1lib.Output4> <`2528P1lib.Output1> <`2528P1lib.Output2> <`2528P1lib.Output3>
            If TransferError Set `2528P1lib.FlagError=1
            If TransferError GoTo 2528P1lib.SkipGetCurrentParametres
            If `2528P1lib,Input1*256+`2528P1lib,Input2=0 GoTo 2528P1lib.SkipGetCurrentParametres_address
            If Whose<>`2528P1lib,Input1*256+`2528P1lib,Input2 Set `2528P1lib.FlagError=1
            If Whose<>`2528P1lib,Input1*256+`2528P1lib,Input2 GoTo 2528P1lib.SkipGetCurrentParametres
:2528P1lib.SkipGetCurrentParametres_address
            Set `2528P1lib.FlagError=0
            If TransferSize<>6 Set `2528P1lib.FlagError=2
            If 128+`2528P1lib.Prefix<>`2528P1lib.Prefix1 Set `2528P1lib.FlagError=2
            If `2528P1lib.Command<>`2528P1lib.Command1 Set `2528P1lib.FlagError=2
            If `2528P1lib.FlagError<>0 GoTo 2528P1lib.SkipGetCurrentParametres
            Set `2528P1lib.FlagError1=0
            If InvalidTransfer4=1 Set  `2528P1lib.FlagError1=1
            If InvalidTransfer5=1 Set  `2528P1lib.FlagError1=`2528P1lib.FlagError1+2^1
            If InvalidTransfer6=1 Set  `2528P1lib.FlagError1=`2528P1lib.FlagError1+2^2
            If `2528P1lib.FlagError1<>0 Set `2528P1lib.FlagError=3
:2528P1lib.SkipGetCurrentParametres
            Device `2528P1lib,DeviceAddress  //    
         CriticalSection End
Return //GetParametres


















/////////////////////////////////////////////////////////////////////
//     (   )
// 2528P1lib.ReadAllRecord
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             Mem90010  -   
//      : Mem90010  -   
//             Mem90006 - 
//             Mem90007 - 
//             Mem90008 - 
//             Mem90009 - 
//             Mem90020 - 
//             Mem90021 - 
//             Mem90011  -     
//             Mem90012  -     
//             Mem90013  -     
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//             BMem90015 -     :
//                  0 -   1 -       
//                  1 -   1 -       
//                  2 -   1 -       
/////////////////////////////////////////////////////////////////////

Alias `2528P1lib,Input1=>BMem90001
Alias `2528P1lib,Input2=>BMem90002
Alias `2528P1lib.Input3=>Mem90010
Alias `2528P1lib.Output1=>Mem90010
Alias `2528P1lib.Output2=>BMem90006
Alias `2528P1lib.Output3=>BMem90007
Alias `2528P1lib.Output4=>BMem90008
Alias `2528P1lib.Output5=>BMem90009
Alias `2528P1lib.Output6=>BMem90020
Alias `2528P1lib.Output7=>BMem90021
Alias `2528P1lib.Output8=>Mem90011
Alias `2528P1lib.Output9=>Mem90012
Alias `2528P1lib.Output10=>Mem90013
Alias `2528P1lib.FlagError=>BMem90010
Alias `2528P1lib.Prefix=>BMem90011
Alias `2528P1lib.Command=>BMem90012
Alias `2528P1lib.Prefix1=>BMem90013
Alias `2528P1lib.Command1=>BMem90014
Alias `2528P1lib.FlagError1=>BMem90015
Alias `2528P1lib,DeviceAddress=>Mem90001


:2528P1lib.ReadAllRecord
         CriticalSection Begin
            Set `2528P1lib,DeviceAddress=DeviceAddress  //   
            Device `2528P1lib,Input1.`2528P1lib,Input2      //   () 
            Set `2528P1lib.Prefix=64
            Set `2528P1lib.Command=16
            Send <`2528P1lib.Prefix> <`2528P1lib.Command> <`2528P1lib.Input3>
            Receive <`2528P1lib.Prefix1> <`2528P1lib.Command1> <`2528P1lib.Output1> <`2528P1lib.Output2> <`2528P1lib.Output3> <`2528P1lib.Output4> <`2528P1lib.Output5> <`2528P1lib.Output6> <`2528P1lib.Output7> <`2528P1lib.Output8> <`2528P1lib.Output9> <`2528P1lib.Output10>  
            If TransferError Set `2528P1lib.FlagError=1
            If TransferError GoTo 2528P1lib.SkipReadAllRecord
            If `2528P1lib,Input1*256+`2528P1lib,Input2=0 GoTo 2528P1lib.SkipReadAllRecord_address
            If Whose<>`2528P1lib,Input1*256+`2528P1lib,Input2 Set `2528P1lib.FlagError=1
            If Whose<>`2528P1lib,Input1*256+`2528P1lib,Input2 GoTo 2528P1lib.SkipReadAllRecord
:2528P1lib.SkipReadAllRecord_address
            Set `2528P1lib.FlagError=0
            If TransferSize<>12 Set `2528P1lib.FlagError=2
            If 128+`2528P1lib.Prefix<>`2528P1lib.Prefix1 Set `2528P1lib.FlagError=2
            If `2528P1lib.Command<>`2528P1lib.Command1 Set `2528P1lib.FlagError=2
            If `2528P1lib.FlagError<>0 GoTo 2528P1lib.SkipReadAllRecord
            Set `2528P1lib.FlagError1=0
            If InvalidTransfer10=1 Set  `2528P1lib.FlagError1=1
            If InvalidTransfer11=1 Set  `2528P1lib.FlagError1=`2528P1lib.FlagError1+2^1
            If InvalidTransfer12=1 Set  `2528P1lib.FlagError1=`2528P1lib.FlagError1+2^2
            If `2528P1lib.FlagError1<>0 Set `2528P1lib.FlagError=3
:2528P1lib.SkipReadAllRecord
            Device `2528P1lib,DeviceAddress  //    
         CriticalSection End
Return //ReadAllRecord





/////////////////////////////////////////////////////////////////////
//     
// 2528P1lib.GetRecord
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             Mem90010  -   
//      : Mem90010  -   
//             Mem90006 - 
//             Mem90007 - 
//             Mem90008 - 
//             Mem90009 - 
//             Mem90020 - 
//             Mem90021 - 
//             Mem90011  -     
//             Mem90012  -     
//             Mem90013  -     
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//             BMem90015 -     :
//                  0 -   1 -       
//                  1 -   1 -       
//                  2 -   1 -       
/////////////////////////////////////////////////////////////////////

Alias `2528P1lib,Input1=>BMem90001
Alias `2528P1lib,Input2=>BMem90002
Alias `2528P1lib.Input3=>Mem90010
Alias `2528P1lib.Output1=>Mem90010
Alias `2528P1lib.Output2=>BMem90006
Alias `2528P1lib.Output3=>BMem90007
Alias `2528P1lib.Output4=>BMem90008
Alias `2528P1lib.Output5=>BMem90009
Alias `2528P1lib.Output6=>BMem90020
Alias `2528P1lib.Output7=>BMem90021
Alias `2528P1lib.Output8=>Mem90011
Alias `2528P1lib.Output9=>Mem90012
Alias `2528P1lib.Output10=>Mem90013
Alias `2528P1lib.FlagError=>BMem90010
Alias `2528P1lib.Prefix=>BMem90011
Alias `2528P1lib.Command=>BMem90012
Alias `2528P1lib.Prefix1=>BMem90013
Alias `2528P1lib.Command1=>BMem90014
Alias `2528P1lib.FlagError1=>BMem90015
Alias `2528P1lib,DeviceAddress=>Mem90001


:2528P1lib.GetRecord
         CriticalSection Begin
            Set `2528P1lib,DeviceAddress=DeviceAddress  //   
            Device `2528P1lib,Input1.`2528P1lib,Input2      //   () 
            Set `2528P1lib.Prefix=64
            Set `2528P1lib.Command=17
            Send <`2528P1lib.Prefix> <`2528P1lib.Command> <`2528P1lib.Input3>
            Receive <`2528P1lib.Prefix1> <`2528P1lib.Command1> <`2528P1lib.Output1> <`2528P1lib.Output2> <`2528P1lib.Output3> <`2528P1lib.Output4> <`2528P1lib.Output5> <`2528P1lib.Output6> <`2528P1lib.Output7> <`2528P1lib.Output8> <`2528P1lib.Output9> <`2528P1lib.Output10>  
            If TransferError Set `2528P1lib.FlagError=1
            If TransferError GoTo 2528P1lib.SkipGetRecord
            If `2528P1lib,Input1*256+`2528P1lib,Input2=0 GoTo 2528P1lib.SkipGetRecord_address
            If Whose<>`2528P1lib,Input1*256+`2528P1lib,Input2 Set `2528P1lib.FlagError=1
            If Whose<>`2528P1lib,Input1*256+`2528P1lib,Input2 GoTo 2528P1lib.SkipGetRecord
:2528P1lib.SkipGetRecord_address
            Set `2528P1lib.FlagError=0
            If TransferSize<>12 Set `2528P1lib.FlagError=2
            If 128+`2528P1lib.Prefix<>`2528P1lib.Prefix1 Set `2528P1lib.FlagError=2
            If `2528P1lib.Command<>`2528P1lib.Command1 Set `2528P1lib.FlagError=2
            If `2528P1lib.FlagError<>0 GoTo 2528P1lib.SkipGetRecord
            Set `2528P1lib.FlagError1=0
            If InvalidTransfer10=1 Set  `2528P1lib.FlagError1=1
            If InvalidTransfer11=1 Set  `2528P1lib.FlagError1=`2528P1lib.FlagError1+2^1
            If InvalidTransfer12=1 Set  `2528P1lib.FlagError1=`2528P1lib.FlagError1+2^2
            If `2528P1lib.FlagError1<>0 Set `2528P1lib.FlagError=3
:2528P1lib.SkipGetRecord
            Device `2528P1lib,DeviceAddress  //    
         CriticalSection End
Return //GetRecord







/////////////////////////////////////////////////////////////////////
//    .   
// 2528P1lib.SetK_H
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90005 -  
//             Mem90009  -  .           
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `2528P1lib,Input1=>BMem90001
Alias `2528P1lib,Input2=>BMem90002
Alias `2528P1lib.Input3=>BMem90005
Alias `2528P1lib.Input4=>Mem90009
Alias `2528P1lib.FlagError=>BMem90010
Alias `2528P1lib.Prefix=>BMem90011
Alias `2528P1lib.Command=>BMem90012
Alias `2528P1lib.Prefix1=>BMem90013
Alias `2528P1lib.Command1=>BMem90014
Alias `2528P1lib,DeviceAddress=>Mem90001


:2528P1lib.SetK_H
         CriticalSection Begin
            Set `2528P1lib,DeviceAddress=DeviceAddress  //   
            Device `2528P1lib,Input1.`2528P1lib,Input2      //   () 
            Set `2528P1lib.Prefix=64
            Set `2528P1lib.Command=22
            Send <`2528P1lib.Prefix> <`2528P1lib.Command> <`2528P1lib.Input3> <`2528P1lib.Input4:SingleFloat>
            Receive <`2528P1lib.Prefix1> <`2528P1lib.Command1> <`2528P1lib.Input3> <`2528P1lib.Input4:SingleFloat>
            If TransferError Set `2528P1lib.FlagError=1
            If TransferError GoTo 2528P1lib.SkipSetK_H
            If `2528P1lib,Input1*256+`2528P1lib,Input2=0 GoTo 2528P1lib.SkipSetKH_address
            If Whose<>`2528P1lib,Input1*256+`2528P1lib,Input2 Set `2528P1lib.FlagError=1
            If Whose<>`2528P1lib,Input1*256+`2528P1lib,Input2 GoTo 2528P1lib.SkipSetK_H
:2528P1lib.SkipSetKH_address
            Set `2528P1lib.FlagError=0
            If TransferSize<>4 Set `2528P1lib.FlagError=2
            If 128+`2528P1lib.Prefix<>`2528P1lib.Prefix1 Set `2528P1lib.FlagError=2
            If `2528P1lib.Command<>`2528P1lib.Command1 Set `2528P1lib.FlagError=2
:2528P1lib.SkipSetK_H
            Device `2528P1lib,DeviceAddress  //    
         CriticalSection End
Return //SetK_H





/////////////////////////////////////////////////////////////////////
//    .   
// 2528P1lib.GetK_H
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90005 -  
//      : Mem90009  -  
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `2528P1lib,Input1=>BMem90001
Alias `2528P1lib,Input2=>BMem90002
Alias `2528P1lib.Input3=>BMem90005
Alias `2528P1lib.Output1=>Mem90009
Alias `2528P1lib.FlagError=>BMem90010
Alias `2528P1lib.Prefix=>BMem90011
Alias `2528P1lib.Command=>BMem90012
Alias `2528P1lib.Prefix1=>BMem90013
Alias `2528P1lib.Command1=>BMem90014
Alias `2528P1lib,DeviceAddress=>Mem90001


:2528P1lib.GetK_H
         CriticalSection Begin
            Set `2528P1lib,DeviceAddress=DeviceAddress  //   
            Device `2528P1lib,Input1.`2528P1lib,Input2      //   () 
            Set `2528P1lib.Prefix=64
            Set `2528P1lib.Command=23
            Send <`2528P1lib.Prefix> <`2528P1lib.Command> <`2528P1lib.Input3>
            Receive <`2528P1lib.Prefix1> <`2528P1lib.Command1> <`2528P1lib.Input3> <`2528P1lib.Output1:SingleFloat> 
            If TransferError Set `2528P1lib.FlagError=1
            If TransferError GoTo 2528P1lib.SkipGetK_H
            If `2528P1lib,Input1*256+`2528P1lib,Input2=0 GoTo 2528P1lib.SkipGetKH_address
            If Whose<>`2528P1lib,Input1*256+`2528P1lib,Input2 Set `2528P1lib.FlagError=1
            If Whose<>`2528P1lib,Input1*256+`2528P1lib,Input2 GoTo 2528P1lib.SkipGetK_H
:2528P1lib.SkipGetKH_address
            Set `2528P1lib.FlagError=0
            If TransferSize<>4 Set `2528P1lib.FlagError=2
            If 128+`2528P1lib.Prefix<>`2528P1lib.Prefix1 Set `2528P1lib.FlagError=2
            If `2528P1lib.Command<>`2528P1lib.Command1 Set `2528P1lib.FlagError=2
:2528P1lib.SkipGetK_H
            Device `2528P1lib,DeviceAddress  //    
         CriticalSection End
Return //GetK_H





/////////////////////////////////////////////////////////////////////
//
//   
// 2528P1lib.GetRecordState
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : BMem90022 -   +
//             BMem90023 - + 
//             BMem90024 -  
//             Mem90014  - -   
//             Mem90015  -   - 
//             BMem90025 - ""  
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `2528P1lib,Input1=>BMem90001
Alias `2528P1lib,Input2=>BMem90002
Alias `2528P1lib.Output1=>BMem90022
Alias `2528P1lib.Output2=>BMem90023
Alias `2528P1lib.Output3=>BMem90024
Alias `2528P1lib.Output4=>Mem90014
Alias `2528P1lib.Output5=>Mem90015
Alias `2528P1lib.Output6=>BMem90025
Alias `2528P1lib.FlagError=>BMem90010
Alias `2528P1lib.Prefix=>BMem90011
Alias `2528P1lib.Command=>BMem90012
Alias `2528P1lib.Prefix1=>BMem90013
Alias `2528P1lib.Command1=>BMem90014
Alias `2528P1lib,DeviceAddress=>Mem90001


:2528P1lib.GetRecordState
         CriticalSection Begin
            Set `2528P1lib,DeviceAddress=DeviceAddress  //   
            Device `2528P1lib,Input1.`2528P1lib,Input2      //   () 
            Set `2528P1lib.Prefix=64
            Set `2528P1lib.Command=18
            Send <`2528P1lib.Prefix> <`2528P1lib.Command> 
            Receive <`2528P1lib.Prefix1> <`2528P1lib.Command1> <`2528P1lib.Output1> <`2528P1lib.Output2> <`2528P1lib.Output3> <`2528P1lib.Output4> <`2528P1lib.Output5> <`2528P1lib.Output6>
            If TransferError Set `2528P1lib.FlagError=1
            If TransferError GoTo 2528P1lib.SkipGetRecordState
            If `2528P1lib,Input1*256+`2528P1lib,Input2=0 GoTo 2528P1lib.SkipGetRecordState_address
            If Whose<>`2528P1lib,Input1*256+`2528P1lib,Input2 Set `2528P1lib.FlagError=1
            If Whose<>`2528P1lib,Input1*256+`2528P1lib,Input2 GoTo 2528P1lib.SkipGetRecordState
:2528P1lib.SkipGetRecordState_address
            Set `2528P1lib.FlagError=0
            If TransferSize<>8 Set `2528P1lib.FlagError=2
            If 128+`2528P1lib.Prefix<>`2528P1lib.Prefix1 Set `2528P1lib.FlagError=2
            If `2528P1lib.Command<>`2528P1lib.Command1 Set `2528P1lib.FlagError=2
:2528P1lib.SkipGetRecordState
            Device `2528P1lib,DeviceAddress  //    
         CriticalSection End
Return //GetRecordState





/////////////////////////////////////////////////////////////////////
//
//  
// 2528P1lib.BeginRecord
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : BMem90026 -   
//                     0 -   
//                     1 -    
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `2528P1lib,Input1=>BMem90001
Alias `2528P1lib,Input2=>BMem90002
Alias `2528P1lib.Output1=>BMem90026
Alias `2528P1lib.FlagError=>BMem90010
Alias `2528P1lib.Prefix=>BMem90011
Alias `2528P1lib.Command=>BMem90012
Alias `2528P1lib.Prefix1=>BMem90013
Alias `2528P1lib.Command1=>BMem90014
Alias `2528P1lib,DeviceAddress=>Mem90001


:2528P1lib.BeginRecord
         CriticalSection Begin
            Set `2528P1lib,DeviceAddress=DeviceAddress  //   
            Device `2528P1lib,Input1.`2528P1lib,Input2      //   () 
            Set `2528P1lib.Prefix=64
            Set `2528P1lib.Command=19
            Send <`2528P1lib.Prefix> <`2528P1lib.Command> 
            Receive <`2528P1lib.Prefix1> <`2528P1lib.Command1> <`2528P1lib.Output1>
            If TransferError Set `2528P1lib.FlagError=1
            If TransferError GoTo 2528P1lib.SkipBeginRecord
            If `2528P1lib,Input1*256+`2528P1lib,Input2=0 GoTo 2528P1lib.SkipBeginRecord_address
            If Whose<>`2528P1lib,Input1*256+`2528P1lib,Input2 Set `2528P1lib.FlagError=1
            If Whose<>`2528P1lib,Input1*256+`2528P1lib,Input2 GoTo 2528P1lib.SkipBeginRecord
:2528P1lib.SkipBeginRecord_address
            Set `2528P1lib.FlagError=0
            If TransferSize<>3 Set `2528P1lib.FlagError=2
            If 128+`2528P1lib.Prefix<>`2528P1lib.Prefix1 Set `2528P1lib.FlagError=2
            If `2528P1lib.Command<>`2528P1lib.Command1 Set `2528P1lib.FlagError=2
:2528P1lib.SkipBeginRecord
            Device `2528P1lib,DeviceAddress  //    
         CriticalSection End
Return //BeginRecord



/////////////////////////////////////////////////////////////////////
//
//  
// 2528P1lib.EndRecord
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : BMem90026 -   
//                     0 -   
//                     1 -    
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `2528P1lib,Input1=>BMem90001
Alias `2528P1lib,Input2=>BMem90002
Alias `2528P1lib.Output1=>BMem90026
Alias `2528P1lib.FlagError=>BMem90010
Alias `2528P1lib.Prefix=>BMem90011
Alias `2528P1lib.Command=>BMem90012
Alias `2528P1lib.Prefix1=>BMem90013
Alias `2528P1lib.Command1=>BMem90014
Alias `2528P1lib,DeviceAddress=>Mem90001


:2528P1lib.EndRecord
         CriticalSection Begin
            Set `2528P1lib,DeviceAddress=DeviceAddress  //   
            Device `2528P1lib,Input1.`2528P1lib,Input2      //   () 
            Set `2528P1lib.Prefix=64
            Set `2528P1lib.Command=20
            Send <`2528P1lib.Prefix> <`2528P1lib.Command> 
            Receive <`2528P1lib.Prefix1> <`2528P1lib.Command1> <`2528P1lib.Output1>
            If TransferError Set `2528P1lib.FlagError=1
            If TransferError GoTo 2528P1lib.SkipEndRecord
            If `2528P1lib,Input1*256+`2528P1lib,Input2=0 GoTo 2528P1lib.SkipEndRecord_address
            If Whose<>`2528P1lib,Input1*256+`2528P1lib,Input2 Set `2528P1lib.FlagError=1
            If Whose<>`2528P1lib,Input1*256+`2528P1lib,Input2 GoTo 2528P1lib.SkipEndRecord
:2528P1lib.SkipEndRecord_address
            Set `2528P1lib.FlagError=0
            If TransferSize<>3 Set `2528P1lib.FlagError=2
            If 128+`2528P1lib.Prefix<>`2528P1lib.Prefix1 Set `2528P1lib.FlagError=2
            If `2528P1lib.Command<>`2528P1lib.Command1 Set `2528P1lib.FlagError=2
:2528P1lib.SkipEndRecord
            Device `2528P1lib,DeviceAddress  //    
         CriticalSection End
Return //EndRecord





/////////////////////////////////////////////////////////////////////
//
//  
// 2528P1lib.OpenRecord
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : BMem90026 -   
//                     0 -   
//                     1 -    
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `2528P1lib,Input1=>BMem90001
Alias `2528P1lib,Input2=>BMem90002
Alias `2528P1lib.Output1=>BMem90026
Alias `2528P1lib.FlagError=>BMem90010
Alias `2528P1lib.Prefix=>BMem90011
Alias `2528P1lib.Command=>BMem90012
Alias `2528P1lib.Prefix1=>BMem90013
Alias `2528P1lib.Command1=>BMem90014
Alias `2528P1lib,DeviceAddress=>Mem90001


:2528P1lib.OpenRecord
         CriticalSection Begin
            Set `2528P1lib,DeviceAddress=DeviceAddress  //   
            Device `2528P1lib,Input1.`2528P1lib,Input2      //   () 
            Set `2528P1lib.Prefix=64
            Set `2528P1lib.Command=21
            Send <`2528P1lib.Prefix> <`2528P1lib.Command> 
            Receive <`2528P1lib.Prefix1> <`2528P1lib.Command1> <`2528P1lib.Output1>
            If TransferError Set `2528P1lib.FlagError=1
            If TransferError GoTo 2528P1lib.SkipOpenRecord
            If `2528P1lib,Input1*256+`2528P1lib,Input2=0 GoTo 2528P1lib.SkipOpenRecord_address
            If Whose<>`2528P1lib,Input1*256+`2528P1lib,Input2 Set `2528P1lib.FlagError=1
            If Whose<>`2528P1lib,Input1*256+`2528P1lib,Input2 GoTo 2528P1lib.SkipOpenRecord
:2528P1lib.SkipOpenRecord_address
            Set `2528P1lib.FlagError=0
            If TransferSize<>3 Set `2528P1lib.FlagError=2
            If 128+`2528P1lib.Prefix<>`2528P1lib.Prefix1 Set `2528P1lib.FlagError=2
            If `2528P1lib.Command<>`2528P1lib.Command1 Set `2528P1lib.FlagError=2
:2528P1lib.SkipOpenRecord
            Device `2528P1lib,DeviceAddress  //    
         CriticalSection End
Return //OpenRecord




/////////////////////////////////////////////////////////////////////
//
//    
// 2528P1lib.SetNumberOfObject
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90027 -   
//             BMem90028 -   
//      : BMem90027 -   
//             BMem90028 -   
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `2528P1lib,Input1=>BMem90001
Alias `2528P1lib,Input2=>BMem90002
Alias `2528P1lib.Output1=>BMem90027
Alias `2528P1lib.Output2=>BMem90028
Alias `2528P1lib.FlagError=>BMem90010
Alias `2528P1lib.Prefix=>BMem90011
Alias `2528P1lib.Command=>BMem90012
Alias `2528P1lib.Prefix1=>BMem90013
Alias `2528P1lib.Command1=>BMem90014
Alias `2528P1lib,DeviceAddress=>Mem90001


:2528P1lib.SetNumberOfObject
         CriticalSection Begin
            Set `2528P1lib,DeviceAddress=DeviceAddress  //   
            Device `2528P1lib,Input1.`2528P1lib,Input2      //   () 
            Set `2528P1lib.Prefix=64
            Set `2528P1lib.Command=24
            Send <`2528P1lib.Prefix> <`2528P1lib.Command>  <`2528P1lib.Output1>  <`2528P1lib.Output2>
            Receive <`2528P1lib.Prefix1> <`2528P1lib.Command1> <`2528P1lib.Output1>  <`2528P1lib.Output2>
            If TransferError Set `2528P1lib.FlagError=1
            If TransferError GoTo 2528P1lib.SkipSetNumberOfObject
            If `2528P1lib,Input1*256+`2528P1lib,Input2=0 GoTo 2528P1lib.SkipSetNumberOfObject_address
            If Whose<>`2528P1lib,Input1*256+`2528P1lib,Input2 Set `2528P1lib.FlagError=1
            If Whose<>`2528P1lib,Input1*256+`2528P1lib,Input2 GoTo 2528P1lib.SkipSetNumberOfObject
:2528P1lib.SkipSetNumberOfObject_address
            Set `2528P1lib.FlagError=0
            If TransferSize<>4 Set `2528P1lib.FlagError=2
            If 128+`2528P1lib.Prefix<>`2528P1lib.Prefix1 Set `2528P1lib.FlagError=2
            If `2528P1lib.Command<>`2528P1lib.Command1 Set `2528P1lib.FlagError=2
:2528P1lib.SkipSetNumberOfObject
            Device `2528P1lib,DeviceAddress  //    
         CriticalSection End
Return //SetNumberOfObject


