/////////////////////////////////////////////////////////////////////
//        2528
// 2528lib.dsl
/////////////////////////////////////////////////////////////////////
//
//    
// 2528lib.GetResultForChannel
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90003 -   
//      : Mem90003  -  
//             Mem90004  - 
//             Mem90005  - -
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//
//-------------------------------------------------------------------
//
//    
// 2528lib.SetTreg
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90003 -  
//             Mem90004  - 
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
// 
//-------------------------------------------------------------------
//
//    -
// 2528lib.SetThisteresis
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90003 -  
//             Mem90005  - -
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
// 
//-------------------------------------------------------------------
//
//        
// 2528lib.GetAllTemperaturs
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : BMem90005 - -  
//             Mem90005  -    1- 
//             Mem90006  -    2- 
//             Mem90007  -    3- 
//             Mem90008  -    4- 
//             Mem90009  -    5- 
//             Mem90010  -    6- 
//             Mem90011  -    7- 
//             Mem90012  -    8- 
//             Mem90013  -    9- 
//             Mem90014  -    10- 
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//             BMem90015 -     :
//                  0 -   1 -      1- 
//                  1 -   1 -      2- 
//                  2 -   1 -      3- 
//                  3 -   1 -      4- 
//                  4 -   1 -      5- 
//             BMem90016 -     :
//                  0 -   1 -      6- 
//                  1 -   1 -      7- 
//                  2 -   1 -      8- 
//                  3 -   1 -      9- 
//                  4 -   1 -      10- 
/////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////






/////////////////////////////////////////////////////////////////////
//    
// 2528lib.GetResultForChannel
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90003 -   
//      : Mem90003  -  
//             Mem90004  - 
//             Mem90005  - -
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `2528lib,Input1=>BMem90001
Alias `2528lib,Input2=>BMem90002
Alias `2528lib.ChannelNumber=>BMem90003
Alias `2528lib.Output1=>Mem90003
Alias `2528lib.Output2=>Mem90004
Alias `2528lib.Output3=>Mem90005
Alias `2528lib.FlagError=>BMem90010
Alias `2528lib.BCommand1=>BMem90021
Alias `2528lib.BCommand2=>BMem90022
Alias `2528lib.BCommand3=>BMem90023
Alias `2528lib.BCommand4=>BMem90024
Alias `2528lib.BCommand5=>BMem90025
Alias `2528lib.BCommand6=>BMem90026
Alias `2528lib,DeviceAddress=>Mem90001


:2528lib.GetResultForChannel
         CriticalSection Begin
            Set `2528lib,DeviceAddress=DeviceAddress  //   
            Device `2528lib,Input1.`2528lib,Input2      //   () 
            Set `2528lib.BCommand1=64
            Set `2528lib.BCommand2=10
            Set `2528lib.BCommand3=`2528lib.ChannelNumber 
            Send <`2528lib.BCommand1> <`2528lib.BCommand2> <`2528lib.BCommand3>
            Receive <`2528lib.BCommand4> <`2528lib.BCommand5> <`2528lib.BCommand6> <`2528lib.Output1> <`2528lib.Output2> <`2528lib.Output3>
            If TransferError Set `2528lib.FlagError=1
            If TransferError GoTo 2528lib.SkipGetResult
            If `2528lib,Input1*256+`2528lib,Input2=0 GoTo 2528lib.SkipGetResult_address
            If Whose<>`2528lib,Input1*256+`2528lib,Input2 Set `2528lib.FlagError=1
            If Whose<>`2528lib,Input1*256+`2528lib,Input2 GoTo 2528lib.SkipGetResult
:2528lib.SkipGetResult_address
            Set `2528lib.FlagError=0
            If TransferSize<>6 Set `2528lib.FlagError=2
            If 128+`2528lib.BCommand1<>`2528lib.BCommand4 Set `2528lib.FlagError=2
            If `2528lib.BCommand2<>`2528lib.BCommand5 Set `2528lib.FlagError=2
            If `2528lib.BCommand3<>`2528lib.BCommand6 Set `2528lib.FlagError=2
            If `2528lib.FlagError<>0 GoTo 2528lib.SkipGetResult
            If InvalidTransfer4=1 Set  `2528lib.FlagError=3
:2528lib.SkipGetResult
            Device `2528lib,DeviceAddress  //    
         CriticalSection End
Return //GetResultForChannel









/////////////////////////////////////////////////////////////////////
//    
// 2528lib.SetTreg
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90003 -  
//             Mem90004  - 
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `2528lib,Input1=>BMem90001
Alias `2528lib,Input2=>BMem90002
Alias `2528lib,DeviceAddress=>Mem90001
Alias `2528lib.ChannelNumber=>BMem90003
Alias `2528lib.Treg=>Mem90004
Alias `2528lib.FlagError=>BMem90010
Alias `2528lib.Prefix=>BMem90011
Alias `2528lib.Command=>BMem90012
Alias `2528lib.Prefix1=>BMem90013
Alias `2528lib.Command1=>BMem90014


:2528lib.SetTreg
         CriticalSection Begin
            Set `2528lib,DeviceAddress=DeviceAddress  //   
            Device `2528lib,Input1.`2528lib,Input2      //   () 
            Set `2528lib.Prefix=64
            Set `2528lib.Command=13
            Send <`2528lib.Prefix> <`2528lib.Command> <`2528lib.ChannelNumber> <`2528lib.Treg>
            Receive <`2528lib.Prefix1> <`2528lib.Command1> <`2528lib.ChannelNumber> <`2528lib.Treg>
            If TransferError Set `2528lib.FlagError=1
            If TransferError GoTo 2528lib.SkipSetTreg
            If `2528lib,Input1*256+`2528lib,Input2=0 GoTo 2528lib.SkipSetTreg_address
            If Whose<>`2528lib,Input1*256+`2528lib,Input2 Set `2528lib.FlagError=1
            If Whose<>`2528lib,Input1*256+`2528lib,Input2 GoTo 2528lib.SkipSetTreg
:2528lib.SkipSetTreg_address
            Set `2528lib.FlagError=0
            If TransferSize<>4 Set `2528lib.FlagError=2 
            If `2528lib.Prefix1<>`2528lib.Prefix+128 Set `2528lib.FlagError=2
            If `2528lib.Command<>`2528lib.Command1 Set `2528lib.FlagError=2
:2528lib.SkipSetTreg
            Device `2528lib,DeviceAddress  //    
         CriticalSection End
Return //SetTreg




/////////////////////////////////////////////////////////////////////
//    -
// 2528lib.SetThisteresis
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90003 -  
//             Mem90005  - -
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////


Alias `2528lib,Input1=>BMem90001
Alias `2528lib,Input2=>BMem90002
Alias `2528lib,DeviceAddress=>Mem90001
Alias `2528lib.ChannelNumber=>BMem90003
Alias `2528lib.Thisteresis=>Mem90005
Alias `2528lib.FlagError=>BMem90010
Alias `2528lib.Prefix=>BMem90011
Alias `2528lib.Command=>BMem90012
Alias `2528lib.Prefix1=>BMem90013
Alias `2528lib.Command1=>BMem90014


:2528lib.SetTHisteresis
         CriticalSection Begin
            Set `2528lib,DeviceAddress=DeviceAddress  //   
            Device `2528lib,Input1.`2528lib,Input2      //   () 
            Set `2528lib.Prefix=64
            Set `2528lib.Command=14
            Send <`2528lib.Prefix> <`2528lib.Command> <`2528lib.ChannelNumber> <`2528lib.Thisteresis>
            Receive <`2528lib.Prefix1> <`2528lib.Command1> <`2528lib.ChannelNumber> <`2528lib.Thisteresis>
            If TransferError Set `2528lib.FlagError=1
            If TransferError GoTo 2528lib.SkipSetThisteresis
            If `2528lib,Input1*256+`2528lib,Input2=0 GoTo 2528lib.SkipSetThisteresis_address
            If Whose<>`2528lib,Input1*256+`2528lib,Input2 Set `2528lib.FlagError=1
            If Whose<>`2528lib,Input1*256+`2528lib,Input2 GoTo 2528lib.SkipSetThisteresis
:2528lib.SkipSetThisteresis_address
            Set `2528lib.FlagError=0
            If TransferSize<>4 Set `2528lib.FlagError=2 
            If `2528lib.Prefix1<>`2528lib.Prefix+128 Set `2528lib.FlagError=2
            If `2528lib.Command<>`2528lib.Command1 Set `2528lib.FlagError=2
:2528lib.SkipSetThisteresis
            Device `2528lib,DeviceAddress  //    
         CriticalSection End
Return //SetThisteresis

/////////////////////////////////////////////////////////////////////
//
//        
// 2528lib.GetAllTemperaturs
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : BMem90005 - -  
//             Mem90005  -    1- 
//             Mem90006  -    2- 
//             Mem90007  -    3- 
//             Mem90008  -    4- 
//             Mem90009  -    5- 
//             Mem90010  -    6- 
//             Mem90011  -    7- 
//             Mem90012  -    8- 
//             Mem90013  -    9- 
//             Mem90014  -    10- 
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//             BMem90015 -     :
//                  0 -   1 -      1- 
//                  1 -   1 -      2- 
//                  2 -   1 -      3- 
//                  3 -   1 -      4- 
//                  4 -   1 -      5- 
//             BMem90016 -     :
//                  0 -   1 -      6- 
//                  1 -   1 -      7- 
//                  2 -   1 -      8- 
//                  3 -   1 -      9- 
//                  4 -   1 -      10- 
/////////////////////////////////////////////////////////////////////

Alias `2528lib,Input1=>BMem90001
Alias `2528lib,Input2=>BMem90002
Alias `2528lib.RealChannelNumber=>BMem90005
Alias `2528lib.Output1=>Mem90005
Alias `2528lib.Output2=>Mem90006
Alias `2528lib.Output3=>Mem90007
Alias `2528lib.Output4=>Mem90008
Alias `2528lib.Output5=>Mem90009
Alias `2528lib.Output6=>Mem90010
Alias `2528lib.Output7=>Mem90011
Alias `2528lib.Output8=>Mem90012
Alias `2528lib.Output9=>Mem90013
Alias `2528lib.Output10=>Mem90014
Alias `2528lib.FlagError=>BMem90010
Alias `2528lib.FlagError1=>BMem90015
Alias `2528lib.FlagError2=>BMem90016
Alias `2528lib.BCommand1=>BMem90021
Alias `2528lib.BCommand2=>BMem90022
Alias `2528lib.BCommand3=>BMem90023
Alias `2528lib.BCommand4=>BMem90024
Alias `2528lib.BCommand5=>BMem90025
Alias `2528lib.BCommand6=>BMem90026
Alias `2528lib,DeviceAddress=>Mem90001


:2528lib.GetAllTemperaturs
         CriticalSection Begin
            Set `2528lib,DeviceAddress=DeviceAddress  //   
            Device `2528lib,Input1.`2528lib,Input2      //   () 
            Set `2528lib.BCommand1=64
            Set `2528lib.BCommand2=15
            Send <`2528lib.BCommand1> <`2528lib.BCommand2>
            Receive <`2528lib.BCommand4> <`2528lib.BCommand5> <`2528lib.RealChannelNumber> <`2528lib.Output1> <`2528lib.Output2> <`2528lib.Output3> <`2528lib.Output4> <`2528lib.Output5> <`2528lib.Output6> <`2528lib.Output7> <`2528lib.Output8> <`2528lib.Output9> <`2528lib.Output10>
            If TransferError Set `2528lib.FlagError=1
            If TransferError GoTo 2528lib.SkipGetAllTemperaturs
            If `2528lib,Input1*256+`2528lib,Input2=0 GoTo 2528lib.SkipGetAllTemperaturs_address
            If Whose<>`2528lib,Input1*256+`2528lib,Input2 Set `2528lib.FlagError=1
            If Whose<>`2528lib,Input1*256+`2528lib,Input2 GoTo 2528lib.SkipGetAllTemperaturs
:2528lib.SkipGetAllTemperaturs_address
            Set `2528lib.FlagError=0
            If TransferSize<>13 Set `2528lib.FlagError=2
            If 128+`2528lib.BCommand1<>`2528lib.BCommand4 Set `2528lib.FlagError=2
            If `2528lib.BCommand2<>`2528lib.BCommand5 Set `2528lib.FlagError=2
            If `2528lib.BCommand3<>`2528lib.BCommand6 Set `2528lib.FlagError=2
            If `2528lib.FlagError<>0 GoTo 2528lib.SkipGetAllTemperaturs
            Set `2528lib.FlagError1=0
            Set `2528lib.FlagError2=0
            If InvalidTransfer4=1 Set  `2528lib.FlagError1=1
            If InvalidTransfer5=1 Set  `2528lib.FlagError1=`2528lib.FlagError1+2^1
            If InvalidTransfer6=1 Set  `2528lib.FlagError1=`2528lib.FlagError1+2^2
            If InvalidTransfer7=1 Set  `2528lib.FlagError1=`2528lib.FlagError1+2^3
            If InvalidTransfer8=1 Set  `2528lib.FlagError1=`2528lib.FlagError1+2^4
            If `2528lib.FlagError1<>0 Set `2528lib.FlagError=3
            If InvalidTransfer9=1 Set  `2528lib.FlagError2=1
            If InvalidTransfer10=1 Set  `2528lib.FlagError2=`2528lib.FlagError2+2^1
            If InvalidTransfer11=1 Set  `2528lib.FlagError2=`2528lib.FlagError2+2^2
            If InvalidTransfer12=1 Set  `2528lib.FlagError2=`2528lib.FlagError2+2^3
            If InvalidTransfer13=1 Set  `2528lib.FlagError2=`2528lib.FlagError2+2^4
            If `2528lib.FlagError2<>0 Set `2528lib.FlagError=3
:2528lib.SkipGetAllTemperaturs
            Device `2528lib,DeviceAddress  //    
         CriticalSection End
Return //GetAllTemperaturs


