/////////////////////////////////////////////////////////////////////
//        2529
// 2529lib.dsl
/////////////////////////////////////////////////////////////////////
//
//     ,   
// 2529lib.GetParametres
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : Mem90003  -  
//             Mem90004  - 
//             Mem90005  - 
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//--------------------------------------------------------------------
//
//     
// 2529lib.SetTreg
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             Mem90004  - 
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//--------------------------------------------------------------------
//
//    
// 2529lib.SetHisteresis
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             Mem90005  - 
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//--------------------------------------------------------------------
//
//        
// 2529lib.SetTalarmHi
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             Mem90006  -     
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//--------------------------------------------------------------------
//
//        
// 2529lib.SetTalarmLow
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             Mem90007  -     
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//--------------------------------------------------------------------
//
//       
// 2529lib.GetTalarms
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : Mem90006  -  
//             Mem90007  -  
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//--------------------------------------------------------------------
//
//     
// 2529lib.GetTcomp
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : Mem90008  -  
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//--------------------------------------------------------------------
//     ,    (    2521)
// 2529lib.GetSovParametres
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : Mem90003  -  
//             Mem90004  - 
//             Mem90005  -    
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//--------------------------------------------------------------------
//       (    2521)
// 2529lib.SetSovParametres
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             Mem90004  -    10
//             Mem90005  -       10
//      : Mem90004  - 
//             Mem90005  - 
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////



/////////////////////////////////////////////////////////////////////
//
//     ,   
// 2529lib.GetParametres
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : Mem90003  -  
//             Mem90004  - 
//             Mem90005  - 
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `2529lib,Input1=>BMem90001
Alias `2529lib,Input2=>BMem90002
Alias `2529lib.Output1=>Mem90003
Alias `2529lib.Output2=>Mem90004
Alias `2529lib.Output3=>Mem90005
Alias `2529lib.FlagError=>BMem90010
Alias `2529lib.Prefix=>BMem90011
Alias `2529lib.Command=>BMem90012
Alias `2529lib.Prefix1=>BMem90013
Alias `2529lib.Command1=>BMem90014
Alias `2529lib,DeviceAddress=>Mem90001


:2529lib.GetParametres
         CriticalSection Begin
            Set `2529lib,DeviceAddress=DeviceAddress  //   
            Device `2529lib,Input1.`2529lib,Input2      //   () 
            Set `2529lib.Prefix=64
            Set `2529lib.Command=7
            Send <`2529lib.Prefix> <`2529lib.Command> 
            Receive <`2529lib.Prefix1> <`2529lib.Command1> <`2529lib.Output1> <`2529lib.Output2> <`2529lib.Output3>
            If TransferError Set `2529lib.FlagError=1
            If TransferError GoTo 2529lib.SkipGetParametres
            If `2529lib,Input1*256+`2529lib,Input2=0 GoTo 2529lib.SkipGetParametres_address
            If Whose<>`2529lib,Input1*256+`2529lib,Input2 Set `2529lib.FlagError=1
            If Whose<>`2529lib,Input1*256+`2529lib,Input2 GoTo 2529lib.SkipGetParametres
:2529lib.SkipGetParametres_address
            Set `2529lib.FlagError=0
            If TransferSize<>5 Set `2529lib.FlagError=2
            If 128+`2529lib.Prefix<>`2529lib.Prefix1 Set `2529lib.FlagError=2
            If `2529lib.Command<>`2529lib.Command1 Set `2529lib.FlagError=2
            If `2529lib.FlagError<>0 GoTo 2529lib.SkipGetParametres
            If InvalidTransfer3=1 Set  `2529lib.FlagError=3
:2529lib.SkipGetParametres
            Device `2529lib,DeviceAddress  //    
         CriticalSection End
Return //GetParametres




/////////////////////////////////////////////////////////////////////
//     
// 2529lib.SetTreg
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             Mem90004  - 
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
// 
//
/////////////////////////////////////////////////////////////////////

Alias `2529lib,Input1=>BMem90001
Alias `2529lib,Input2=>BMem90002
Alias `2529lib.Input3=>Mem90004
Alias `2529lib.FlagError=>BMem90010
Alias `2529lib.Prefix=>BMem90011
Alias `2529lib.Command=>BMem90012
Alias `2529lib.Prefix1=>BMem90013
Alias `2529lib.Command1=>BMem90014
Alias `2529lib,DeviceAddress=>Mem90001


:2529lib.SetTreg
         CriticalSection Begin
            Set `2529lib,DeviceAddress=DeviceAddress  //   
            Device `2529lib,Input1.`2529lib,Input2      //   () 
            Set `2529lib.Prefix=64
            Set `2529lib.Command=1
            Send <`2529lib.Prefix> <`2529lib.Command> <`2529lib.Input3>
            Receive <`2529lib.Prefix1> <`2529lib.Command1> <`2529lib.Input3> 
            If TransferError Set `2529lib.FlagError=1
            If TransferError GoTo 2529lib.SkipSetTreg
            If `2529lib,Input1*256+`2529lib,Input2=0 GoTo 2529lib.SkipSetTreg_address
            If Whose<>`2529lib,Input1*256+`2529lib,Input2 Set `2529lib.FlagError=1
            If Whose<>`2529lib,Input1*256+`2529lib,Input2 GoTo 2529lib.SkipSetTreg
:2529lib.SkipSetTreg_address
            Set `2529lib.FlagError=0
            If TransferSize<>3 Set `2529lib.FlagError=2
            If 128+`2529lib.Prefix<>`2529lib.Prefix1 Set `2529lib.FlagError=2
            If `2529lib.Command<>`2529lib.Command1 Set `2529lib.FlagError=2
:2529lib.SkipSetTreg
            Device `2529lib,DeviceAddress  //    
         CriticalSection End
Return //SetTreg



/////////////////////////////////////////////////////////////////////
//    
// 2529lib.SetHisteresis
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             Mem90005  - 
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `2529lib,Input1=>BMem90001
Alias `2529lib,Input2=>BMem90002
Alias `2529lib.Input3=>Mem90005
Alias `2529lib.FlagError=>BMem90010
Alias `2529lib.Prefix=>BMem90011
Alias `2529lib.Command=>BMem90012
Alias `2529lib.Prefix1=>BMem90013
Alias `2529lib.Command1=>BMem90014
Alias `2529lib,DeviceAddress=>Mem90001


:2529lib.SetHisteresis
         CriticalSection Begin
            Set `2529lib,DeviceAddress=DeviceAddress  //   
            Device `2529lib,Input1.`2529lib,Input2      //   () 
            Set `2529lib.Prefix=64
            Set `2529lib.Command=2
            Send <`2529lib.Prefix> <`2529lib.Command> <`2529lib.Input3>
            Receive <`2529lib.Prefix1> <`2529lib.Command1> <`2529lib.Input3> 
            If TransferError Set `2529lib.FlagError=1
            If TransferError GoTo 2529lib.SkipSetHisteresis
            If `2529lib,Input1*256+`2529lib,Input2=0 GoTo 2529lib.SkipSetHisteresis_address
            If Whose<>`2529lib,Input1*256+`2529lib,Input2 Set `2529lib.FlagError=1
            If Whose<>`2529lib,Input1*256+`2529lib,Input2 GoTo 2529lib.SkipSetHisteresis
:2529lib.SkipSetHisteresis_address
            Set `2529lib.FlagError=0
            If TransferSize<>3 Set `2529lib.FlagError=2
            If 128+`2529lib.Prefix<>`2529lib.Prefix1 Set `2529lib.FlagError=2
            If `2529lib.Command<>`2529lib.Command1 Set `2529lib.FlagError=2
:2529lib.SkipSetHisteresis
            Device `2529lib,DeviceAddress  //    
         CriticalSection End
Return //SetHisteresis



/////////////////////////////////////////////////////////////////////
//        
// 2529lib.SetTalarmHi
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             Mem90006  -     
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `2529lib,Input1=>BMem90001
Alias `2529lib,Input2=>BMem90002
Alias `2529lib.Input3=>Mem90006
Alias `2529lib.FlagError=>BMem90010
Alias `2529lib.Prefix=>BMem90011
Alias `2529lib.Command=>BMem90012
Alias `2529lib.Prefix1=>BMem90013
Alias `2529lib.Command1=>BMem90014
Alias `2529lib,DeviceAddress=>Mem90001


:2529lib.SetTalarmHi
         CriticalSection Begin
            Set `2529lib,DeviceAddress=DeviceAddress  //   
            Device `2529lib,Input1.`2529lib,Input2      //   () 
            Set `2529lib.Prefix=64
            Set `2529lib.Command=3
            Send <`2529lib.Prefix> <`2529lib.Command> <`2529lib.Input3>
            Receive <`2529lib.Prefix1> <`2529lib.Command1> <`2529lib.Input3> 
            If TransferError Set `2529lib.FlagError=1
            If TransferError GoTo 2529lib.SkipSetTalarmHi
            If `2529lib,Input1*256+`2529lib,Input2=0 GoTo 2529lib.SkipSetTalarmHi_address
            If Whose<>`2529lib,Input1*256+`2529lib,Input2 Set `2529lib.FlagError=1
            If Whose<>`2529lib,Input1*256+`2529lib,Input2 GoTo 2529lib.SkipSetTalarmHi
:2529lib.SkipSetTalarmHi_address
            Set `2529lib.FlagError=0
            If TransferSize<>3 Set `2529lib.FlagError=2
            If 128+`2529lib.Prefix<>`2529lib.Prefix1 Set `2529lib.FlagError=2
            If `2529lib.Command<>`2529lib.Command1 Set `2529lib.FlagError=2
:2529lib.SkipSetTalarmHi
            Device `2529lib,DeviceAddress  //    
         CriticalSection End
Return //SetTalarmHi







/////////////////////////////////////////////////////////////////////
//        
// 2529lib.SetTalarmLow
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             Mem90007  -     
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `2529lib,Input1=>BMem90001
Alias `2529lib,Input2=>BMem90002
Alias `2529lib.Input3=>Mem90007
Alias `2529lib.FlagError=>BMem90010
Alias `2529lib.Prefix=>BMem90011
Alias `2529lib.Command=>BMem90012
Alias `2529lib.Prefix1=>BMem90013
Alias `2529lib.Command1=>BMem90014
Alias `2529lib,DeviceAddress=>Mem90001


:2529lib.SetTalarmLow
         CriticalSection Begin
            Set `2529lib,DeviceAddress=DeviceAddress  //   
            Device `2529lib,Input1.`2529lib,Input2      //   () 
            Set `2529lib.Prefix=64
            Set `2529lib.Command=4
            Send <`2529lib.Prefix> <`2529lib.Command> <`2529lib.Input3>
            Receive <`2529lib.Prefix1> <`2529lib.Command1> <`2529lib.Input3> 
            If TransferError Set `2529lib.FlagError=1
            If TransferError GoTo 2529lib.SkipSetTalarmLow
            If `2529lib,Input1*256+`2529lib,Input2=0 GoTo 2529lib.SkipSetTalarmLow_address
            If Whose<>`2529lib,Input1*256+`2529lib,Input2 Set `2529lib.FlagError=1
            If Whose<>`2529lib,Input1*256+`2529lib,Input2 GoTo 2529lib.SkipSetTalarmLow
:2529lib.SkipSetTalarmLow_address
            Set `2529lib.FlagError=0
            If TransferSize<>3 Set `2529lib.FlagError=2
            If 128+`2529lib.Prefix<>`2529lib.Prefix1 Set `2529lib.FlagError=2
            If `2529lib.Command<>`2529lib.Command1 Set `2529lib.FlagError=2
:2529lib.SkipSetTalarmLow
            Device `2529lib,DeviceAddress  //    
         CriticalSection End
Return //SetTalarmLow







/////////////////////////////////////////////////////////////////////
//       
// 2529lib.GetTalarms
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : Mem90006  -  
//             Mem90007  -  
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `2529lib,Input1=>BMem90001
Alias `2529lib,Input2=>BMem90002
Alias `2529lib.Output1=>Mem90006
Alias `2529lib.Output2=>Mem90007
Alias `2529lib.FlagError=>BMem90010
Alias `2529lib.Prefix=>BMem90011
Alias `2529lib.Command=>BMem90012
Alias `2529lib.Prefix1=>BMem90013
Alias `2529lib.Command1=>BMem90014
Alias `2529lib,DeviceAddress=>Mem90001


:2529lib.GetTalarms
         CriticalSection Begin
            Set `2529lib,DeviceAddress=DeviceAddress  //   
            Device `2529lib,Input1.`2529lib,Input2      //   () 
            Set `2529lib.Prefix=64
            Set `2529lib.Command=8
            Send <`2529lib.Prefix> <`2529lib.Command> 
            Receive <`2529lib.Prefix1> <`2529lib.Command1> <`2529lib.Output1> <`2529lib.Output2> 
            If TransferError Set `2529lib.FlagError=1
            If TransferError GoTo 2529lib.SkipGetTalarms
            If `2529lib,Input1*256+`2529lib,Input2=0 GoTo 2529lib.SkipGetTalarms_address
            If Whose<>`2529lib,Input1*256+`2529lib,Input2 Set `2529lib.FlagError=1
            If Whose<>`2529lib,Input1*256+`2529lib,Input2 GoTo 2529lib.SkipGetTalarms
:2529lib.SkipGetTalarms_address
            Set `2529lib.FlagError=0
            If TransferSize<>4 Set `2529lib.FlagError=2
            If 128+`2529lib.Prefix<>`2529lib.Prefix1 Set `2529lib.FlagError=2
            If `2529lib.Command<>`2529lib.Command1 Set `2529lib.FlagError=2
:2529lib.SkipGetTalarms
            Device `2529lib,DeviceAddress  //    
         CriticalSection End
Return //GetTalarms






/////////////////////////////////////////////////////////////////////
//     
// 2529lib.GetTcomp
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : Mem90008  -  
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `2529lib,Input1=>BMem90001
Alias `2529lib,Input2=>BMem90002
Alias `2529lib.Output1=>Mem90008
Alias `2529lib.FlagError=>BMem90010
Alias `2529lib.Prefix=>BMem90011
Alias `2529lib.Command=>BMem90012
Alias `2529lib.Prefix1=>BMem90013
Alias `2529lib.Command1=>BMem90014
Alias `2529lib,DeviceAddress=>Mem90001


:2529lib.GetTcomp
         CriticalSection Begin
            Set `2529lib,DeviceAddress=DeviceAddress  //   
            Device `2529lib,Input1.`2529lib,Input2      //   () 
            Set `2529lib.Prefix=64
            Set `2529lib.Command=9
            Send <`2529lib.Prefix> <`2529lib.Command> 
            Receive <`2529lib.Prefix1> <`2529lib.Command1> <`2529lib.Output1>  
            If TransferError Set `2529lib.FlagError=1
            If TransferError GoTo 2529lib.SkipGetTcomp
            If `2529lib,Input1*256+`2529lib,Input2=0 GoTo 2529lib.SkipGetTcomp_address
            If Whose<>`2529lib,Input1*256+`2529lib,Input2 Set `2529lib.FlagError=1
            If Whose<>`2529lib,Input1*256+`2529lib,Input2 GoTo 2529lib.SkipGetTcomp
:2529lib.SkipGetTcomp_address
            Set `2529lib.FlagError=0
            If TransferSize<>3 Set `2529lib.FlagError=2
            If 128+`2529lib.Prefix<>`2529lib.Prefix1 Set `2529lib.FlagError=2
            If `2529lib.Command<>`2529lib.Command1 Set `2529lib.FlagError=2
:2529lib.SkipGetTcomp
            Device `2529lib,DeviceAddress  //    
         CriticalSection End
Return //GetTcomp




/////////////////////////////////////////////////////////////////////
//
//     ,    (    2521)
// 2529lib.GetSovParametres
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : Mem90003  -  
//             Mem90004  - 
//             Mem90005  -    
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `2529lib,Input1=>BMem90001
Alias `2529lib,Input2=>BMem90002
Alias `2529lib.Output1=>Mem90003
Alias `2529lib.Output2=>Mem90004
Alias `2529lib.Output3=>Mem90005
Alias `2529lib.FlagError=>BMem90010
Alias `2529lib.Prefix=>BMem90011
Alias `2529lib.Command=>BMem90012
Alias `2529lib.Prefix1=>BMem90013
Alias `2529lib.Command1=>BMem90014
Alias `2529lib,DeviceAddress=>Mem90001


:2529lib.GetSovParametres
         CriticalSection Begin
            Set `2529lib,DeviceAddress=DeviceAddress  //   
            Device `2529lib,Input1.`2529lib,Input2      //   () 
            Set `2529lib.Prefix=64
            Set `2529lib.Command=5
            Send <`2529lib.Prefix> <`2529lib.Command> 
            Receive <`2529lib.Prefix1> <`2529lib.Command1> <`2529lib.Output1> <`2529lib.Output2> <`2529lib.Output3>
            If TransferError Set `2529lib.FlagError=1
            If TransferError GoTo 2529lib.SkipGetSovParametres
            If `2529lib,Input1*256+`2529lib,Input2=0 GoTo 2529lib.SkipGetSovParametres_address
            If Whose<>`2529lib,Input1*256+`2529lib,Input2 Set `2529lib.FlagError=1
            If Whose<>`2529lib,Input1*256+`2529lib,Input2 GoTo 2529lib.SkipGetSovParametres
:2529lib.SkipGetSovParametres_address
            Set `2529lib.FlagError=0
            If TransferSize<>5 Set `2529lib.FlagError=2
            If 128+`2529lib.Prefix<>`2529lib.Prefix1 Set `2529lib.FlagError=2
            If `2529lib.Command<>`2529lib.Command1 Set `2529lib.FlagError=2
            If `2529lib.FlagError<>0 GoTo 2529lib.SkipGetSovParametres
            If InvalidTransfer3=1 Set  `2529lib.FlagError=3
:2529lib.SkipGetSovParametres
            Device `2529lib,DeviceAddress  //    
         CriticalSection End
Return //GetSovParametres




/////////////////////////////////////////////////////////////////////
//
//       (    2521)
// 2529lib.SetSovParametres
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             Mem90004  -    10
//             Mem90005  -       10
//      : Mem90004  - 
//             Mem90005  - 
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `2529lib,Input1=>BMem90001
Alias `2529lib,Input2=>BMem90002
Alias `2529lib.Input3=>Mem90004
Alias `2529lib.Input4=>Mem90005
Alias `2529lib.Output1=>Mem90004
Alias `2529lib.Output2=>Mem90005
Alias `2529lib.FlagError=>BMem90010
Alias `2529lib.Prefix=>BMem90011
Alias `2529lib.Command=>BMem90012
Alias `2529lib.Prefix1=>BMem90013
Alias `2529lib.Command1=>BMem90014
Alias `2529lib,DeviceAddress=>Mem90001


:2529lib.SetSovParametres
         CriticalSection Begin
            Set `2529lib,DeviceAddress=DeviceAddress  //   
            Device `2529lib,Input1.`2529lib,Input2      //   () 
            Set `2529lib.Prefix=64
            Set `2529lib.Command=6
            Send <`2529lib.Prefix> <`2529lib.Command> <`2529lib.Input3> <`2529lib.Input4>
            Receive <`2529lib.Prefix1> <`2529lib.Command1> <`2529lib.Output1> <`2529lib.Output2>
            If TransferError Set `2529lib.FlagError=1
            If TransferError GoTo 2529lib.SkipSetSovParametres
            If `2529lib,Input1*256+`2529lib,Input2=0 GoTo 2529lib.SkipSetSovParametres_address
            If Whose<>`2529lib,Input1*256+`2529lib,Input2 Set `2529lib.FlagError=1
            If Whose<>`2529lib,Input1*256+`2529lib,Input2 GoTo 2529lib.SkipSetSovParametres
:2529lib.SkipSetSovParametres_address
            Set `2529lib.FlagError=0
            If TransferSize<>4 Set `2529lib.FlagError=2
            If 128+`2529lib.Prefix<>`2529lib.Prefix1 Set `2529lib.FlagError=2
            If `2529lib.Command<>`2529lib.Command1 Set `2529lib.FlagError=2
:2529lib.SkipSetSovParametres
            Device `2529lib,DeviceAddress  //    
         CriticalSection End
Return //SetSovParametres













