/////////////////////////////////////////////////////////////////////
//        2605
// 2605lib.dsl
/////////////////////////////////////////////////////////////////////
//
//     
// 2605lib.GetParametres
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : Mem90003  -  
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//--------------------------------------------------------------------
//
//     
// 2605lib.GetTcomp
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : Mem90008  -  
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//--------------------------------------------------------------------
//
//    .   
// 2605lib.SetK_H
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90003 -  
//             Mem90009  -  .           
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//--------------------------------------------------------------------
//     
// 2605lib.GetHParametres
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : Mem90012  -  
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//--------------------------------------------------------------------
//    .   
// 2605lib.GetK_H
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90003 -  
//      : Mem90009  -  
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////



/////////////////////////////////////////////////////////////////////
//
//     
// 2605lib.GetParametres
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : Mem90003  -  
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `2605lib,Input1=>BMem90001
Alias `2605lib,Input2=>BMem90002
Alias `2605lib.Output1=>Mem90003
Alias `2605lib.FlagError=>BMem90010
Alias `2605lib.Prefix=>BMem90011
Alias `2605lib.Command=>BMem90012
Alias `2605lib.Prefix1=>BMem90013
Alias `2605lib.Command1=>BMem90014
Alias `2605lib,DeviceAddress=>Mem90001


:2605lib.GetParametres
         CriticalSection Begin
            Set `2605lib,DeviceAddress=DeviceAddress  //   
            Device `2605lib,Input1.`2605lib,Input2      //   () 
            Set `2605lib.Prefix=64
            Set `2605lib.Command=1
            Send <`2605lib.Prefix> <`2605lib.Command> 
            Receive <`2605lib.Prefix1> <`2605lib.Command1> <`2605lib.Output1> 
            If TransferError Set `2605lib.FlagError=1
            If TransferError GoTo 2605lib.SkipGetParametres
            If `2605lib,Input1*256+`2605lib,Input2=0 GoTo 2605lib.SkipGetParametres_address
            If Whose<>`2605lib,Input1*256+`2605lib,Input2 Set `2605lib.FlagError=1
            If Whose<>`2605lib,Input1*256+`2605lib,Input2 GoTo 2605lib.SkipGetParametres
:2605lib.SkipGetParametres_address
            Set `2605lib.FlagError=0
            If TransferSize<>3 Set `2605lib.FlagError=2
            If 128+`2605lib.Prefix<>`2605lib.Prefix1 Set `2605lib.FlagError=2
            If `2605lib.Command<>`2605lib.Command1 Set `2605lib.FlagError=2
            If `2605lib.FlagError<>0 GoTo 2605lib.SkipGetParametres
            If InvalidTransfer3=1 Set  `2605lib.FlagError=3
:2605lib.SkipGetParametres
            Device `2605lib,DeviceAddress  //    
         CriticalSection End
Return //GetParametres












/////////////////////////////////////////////////////////////////////
//     
// 2605lib.GetTcomp
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : Mem90008  -  
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `2605lib,Input1=>BMem90001
Alias `2605lib,Input2=>BMem90002
Alias `2605lib.Output1=>Mem90008
Alias `2605lib.FlagError=>BMem90010
Alias `2605lib.Prefix=>BMem90011
Alias `2605lib.Command=>BMem90012
Alias `2605lib.Prefix1=>BMem90013
Alias `2605lib.Command1=>BMem90014
Alias `2605lib,DeviceAddress=>Mem90001


:2605lib.GetTcomp
         CriticalSection Begin
            Set `2605lib,DeviceAddress=DeviceAddress  //   
            Device `2605lib,Input1.`2605lib,Input2      //   () 
            Set `2605lib.Prefix=64
            Set `2605lib.Command=3
            Send <`2605lib.Prefix> <`2605lib.Command> 
            Receive <`2605lib.Prefix1> <`2605lib.Command1> <`2605lib.Output1>  
            If TransferError Set `2605lib.FlagError=1
            If TransferError GoTo 2605lib.SkipGetTcomp
            If `2605lib,Input1*256+`2605lib,Input2=0 GoTo 2605lib.SkipGetTcomp_address
            If Whose<>`2605lib,Input1*256+`2605lib,Input2 Set `2605lib.FlagError=1
            If Whose<>`2605lib,Input1*256+`2605lib,Input2 GoTo 2605lib.SkipGetTcomp
:2605lib.SkipGetTcomp_address
            Set `2605lib.FlagError=0
            If TransferSize<>3 Set `2605lib.FlagError=2
            If 128+`2605lib.Prefix<>`2605lib.Prefix1 Set `2605lib.FlagError=2
            If `2605lib.Command<>`2605lib.Command1 Set `2605lib.FlagError=2
:2605lib.SkipGetTcomp
            Device `2605lib,DeviceAddress  //    
         CriticalSection End
Return //GetTcomp





/////////////////////////////////////////////////////////////////////
//    .   
// 2605lib.SetK_H
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90003 -  
//             Mem90009  -  .           
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `2605lib,Input1=>BMem90001
Alias `2605lib,Input2=>BMem90002
Alias `2605lib.Input3=>BMem90003
Alias `2605lib.Input4=>Mem90009
Alias `2605lib.FlagError=>BMem90010
Alias `2605lib.Prefix=>BMem90011
Alias `2605lib.Command=>BMem90012
Alias `2605lib.Prefix1=>BMem90013
Alias `2605lib.Command1=>BMem90014
Alias `2605lib,DeviceAddress=>Mem90001


:2605lib.SetK_H
         CriticalSection Begin
            Set `2605lib,DeviceAddress=DeviceAddress  //   
            Device `2605lib,Input1.`2605lib,Input2      //   () 
            Set `2605lib.Prefix=64
            Set `2605lib.Command=5
            Send <`2605lib.Prefix> <`2605lib.Command> <`2605lib.Input3> <`2605lib.Input4:SingleFloat>
            Receive <`2605lib.Prefix1> <`2605lib.Command1> <`2605lib.Input3> <`2605lib.Input4:SingleFloat>
            If TransferError Set `2605lib.FlagError=1
            If TransferError GoTo 2605lib.SkipSetK_H
            If `2605lib,Input1*256+`2605lib,Input2=0 GoTo 2605lib.SkipSetKH_address
            If Whose<>`2605lib,Input1*256+`2605lib,Input2 Set `2605lib.FlagError=1
            If Whose<>`2605lib,Input1*256+`2605lib,Input2 GoTo 2605lib.SkipSetK_H
:2605lib.SkipSetKH_address
            Set `2605lib.FlagError=0
            If TransferSize<>4 Set `2605lib.FlagError=2
            If 128+`2605lib.Prefix<>`2605lib.Prefix1 Set `2605lib.FlagError=2
            If `2605lib.Command<>`2605lib.Command1 Set `2605lib.FlagError=2
:2605lib.SkipSetK_H
            Device `2605lib,DeviceAddress  //    
         CriticalSection End
Return //SetK_H









/////////////////////////////////////////////////////////////////////
//     
// 2605lib.GetHParametres
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : Mem90012  -  
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `2605lib,Input1=>BMem90001
Alias `2605lib,Input2=>BMem90002
Alias `2605lib.Output1=>Mem90012
Alias `2605lib.FlagError=>BMem90010
Alias `2605lib.Prefix=>BMem90011
Alias `2605lib.Command=>BMem90012
Alias `2605lib.Prefix1=>BMem90013
Alias `2605lib.Command1=>BMem90014
Alias `2605lib,DeviceAddress=>Mem90001


:2605lib.GetHParametres
         CriticalSection Begin
            Set `2605lib,DeviceAddress=DeviceAddress  //   
            Device `2605lib,Input1.`2605lib,Input2      //   () 
            Set `2605lib.Prefix=64
            Set `2605lib.Command=2
            Send <`2605lib.Prefix> <`2605lib.Command> 
            Receive <`2605lib.Prefix1> <`2605lib.Command1> <`2605lib.Output1>
            If TransferError Set `2605lib.FlagError=1
            If TransferError GoTo 2605lib.SkipGetHParametres
            If `2605lib,Input1*256+`2605lib,Input2=0 GoTo 2605lib.SkipGetHParametres_address
            If Whose<>`2605lib,Input1*256+`2605lib,Input2 Set `2605lib.FlagError=1
            If Whose<>`2605lib,Input1*256+`2605lib,Input2 GoTo 2605lib.SkipGetHParametres
:2605lib.SkipGetHParametres_address
            Set `2605lib.FlagError=0
            If TransferSize<>3 Set `2605lib.FlagError=2
            If 128+`2605lib.Prefix<>`2605lib.Prefix1 Set `2605lib.FlagError=2
            If `2605lib.Command<>`2605lib.Command1 Set `2605lib.FlagError=2
            If `2605lib.FlagError<>0 GoTo 2605lib.SkipGetHParametres
            If InvalidTransfer3=1 Set  `2605lib.FlagError=3
:2605lib.SkipGetHParametres
            Device `2605lib,DeviceAddress  //    
         CriticalSection End
Return //GetHParametres





/////////////////////////////////////////////////////////////////////
//    .   
// 2605lib.GetK_H
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90003 -  
//      : Mem90009  -  
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `2605lib,Input1=>BMem90001
Alias `2605lib,Input2=>BMem90002
Alias `2605lib.Input3=>BMem90003
Alias `2605lib.Output1=>Mem90009
Alias `2605lib.FlagError=>BMem90010
Alias `2605lib.Prefix=>BMem90011
Alias `2605lib.Command=>BMem90012
Alias `2605lib.Prefix1=>BMem90013
Alias `2605lib.Command1=>BMem90014
Alias `2605lib,DeviceAddress=>Mem90001


:2605lib.GetK_H
         CriticalSection Begin
            Set `2605lib,DeviceAddress=DeviceAddress  //   
            Device `2605lib,Input1.`2605lib,Input2      //   () 
            Set `2605lib.Prefix=64
            Set `2605lib.Command=4
            Send <`2605lib.Prefix> <`2605lib.Command> <`2605lib.Input3>
            Receive <`2605lib.Prefix1> <`2605lib.Command1> <`2605lib.Input3> <`2605lib.Output1:SingleFloat> 
            If TransferError Set `2605lib.FlagError=1
            If TransferError GoTo 2605lib.SkipGetK_H
            If `2605lib,Input1*256+`2605lib,Input2=0 GoTo 2605lib.SkipGetKH_address
            If Whose<>`2605lib,Input1*256+`2605lib,Input2 Set `2605lib.FlagError=1
            If Whose<>`2605lib,Input1*256+`2605lib,Input2 GoTo 2605lib.SkipGetK_H
            Set `2605lib.FlagError=0
            If TransferSize<>4 Set `2605lib.FlagError=2
            If 128+`2605lib.Prefix<>`2605lib.Prefix1 Set `2605lib.FlagError=2
            If `2605lib.Command<>`2605lib.Command1 Set `2605lib.FlagError=2
:2605lib.SkipGetK_H
            Device `2605lib,DeviceAddress  //    
         CriticalSection End
Return //GetK_H












