/////////////////////////////////////////////////////////////////////
//      3501..3504 (1..4-x )
// 350xLIB.dsl
/////////////////////////////////////////////////////////////////////
//
//       -
// 350xLIB.GetTimeSetting
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90003 -   (1..4)
//      : Mem90004 -    -
//             BMem90004 -      
//                     0 - 
//                     1 - 
//                     2 - 
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//--------------------------------------------------------------------
//       -  
// 350xLIB.GetTimeSettingNextStep
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90003 -   (1..4)
//      : Mem90006 -    -
//             BMem90004 -      
//                     0 - 
//                     1 - 
//                     2 - 
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//--------------------------------------------------------------------
//          
// 350xLIB.GetCurrentTime
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90003 -   (1..4)
//      : BMem90004 -      
//                     0 - 
//                     1 - 
//                     2 - 
//             Mem90005 -     
//             BMem90006 -   
//                     0 - 
//                     1 - 
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//--------------------------------------------------------------------
//       , 
//   
// 350xLIB.GetCurrentTimeAndSetting
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90003 -   (1..4)
//      : BMem90004 -      
//                     0 - 
//                     1 - 
//                     2 - 
//             Mem90004 -    -
//             Mem90005 -     
//             BMem90006 -   
//                     0 - 
//                     1 - 
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//--------------------------------------------------------------------
//       -
// 350xLIB.SetTimeSetting
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90003 -   (1..4)
//             Mem90004  -    -
//             BMem90004 -      
//                     0 - 
//                     1 - 
//                     2 - 
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//--------------------------------------------------------------------
//         -
// 350xLIB.SetStateTime
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90003 -   (1..4)
//             BMem90004 -      
//                     0 - 
//                     1 - 
//                     2 - 
//             BMem90005 -     
//                     0 -  
//                     1 -    
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//--------------------------------------------------------------------
//         -
// 350xLIB.GetStateTime
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90003 -   (1..4)
//      : BMem90004 -      
//                     0 - 
//                     1 - 
//                     2 - 
//             BMem90005 -     
//                     0 -  
//                     1 -    
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//--------------------------------------------------------------------
//         -  
// 350xLIB.GetStateTimeNextStep
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90003 -   (1..4)
//      : BMem90004 -      
//                     0 - 
//                     1 - 
//                     2 - 
//             BMem90005 -     
//                     0 -  
//                     1 -    
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
/////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////







/////////////////////////////////////////////////////////////////////
//       -
// 350xLIB.GetTimeSetting
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90003 -   (1..4)
//      : Mem90004 -    -
//             BMem90004 -      
//                     0 - 
//                     1 - 
//                     2 - 
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
/////////////////////////////////////////////////////////////////////

Alias `350xLIB,DeviceAddress=>Mem90001
Alias `350xLIB.Output1=>Mem90004

Alias `350xLIB,Input1=>BMem90001
Alias `350xLIB,Input2=>BMem90002
Alias `350xLIB.Channels=>BMem90003
Alias `350xLIB.Output2=>BMem90004
Alias `350xLIB.Prefix=>BMem90005
Alias `350xLIB.Command=>BMem90006
Alias `350xLIB.Prefix1=>BMem90007
Alias `350xLIB.Command1=>BMem90008
Alias `350xLIB.FlagError=>BMem90010

:350xLIB.GetTimeSetting
         CriticalSection Begin
            Set `350xLIB,DeviceAddress=DeviceAddress  //   
            Device `350xLIB,Input1.`350xLIB,Input2      //   () 
            Set `350xLIB.Prefix=64
            Set `350xLIB.Command=5
            Send <`350xLIB.Prefix> <`350xLIB.Command> <`350xLIB.Channels> 
            Receive <`350xLIB.Prefix1> <`350xLIB.Command1> <`350xLIB.Channels> <`350xLIB.Output1> <`350xLIB.Output2>
            If TransferError Set `350xLIB.FlagError=1
            If TransferError Goto 350xLIB.SkipGetTimeSetting
            If `350xlib,Input1*256+`350xlib,Input2=0 GoTo 350xlib.SkipGetTimeSetting_address
            If Whose<>`350xlib,Input1*256+`350xlib,Input2 Set `350xlib.FlagError=1
            If Whose<>`350xlib,Input1*256+`350xlib,Input2 GoTo 350xlib.SkipGetTimeSetting
:350xlib.SkipGetTimeSetting_address
            Set `350xLIB.FlagError=0
            If TransferSize<>5  Set `350xLIB.FlagError=2
            If `350xLIB.Command<>`350xLIB.Command1  Set `350xLIB.FlagError=2
            If `350xLIB.Prefix1<>`350xLIB.Prefix+128  Set `350xLIB.FlagError=2
:350xLIB.SkipGetTimeSetting
            Device `350xLIB,DeviceAddress  //    
         CriticalSection End
Return  // GetTimeSetting






/////////////////////////////////////////////////////////////////////
//       -  
// 350xLIB.GetTimeSettingNextStep
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90003 -   (1..4)
//      : Mem90006 -    -
//             BMem90004 -      
//                     0 - 
//                     1 - 
//                     2 - 
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
/////////////////////////////////////////////////////////////////////

Alias `350xLIB,DeviceAddress=>Mem90001
Alias `350xLIB.Output1=>Mem90006

Alias `350xLIB,Input1=>BMem90001
Alias `350xLIB,Input2=>BMem90002
Alias `350xLIB.Channels=>BMem90003
Alias `350xLIB.Output2=>BMem90004
Alias `350xLIB.Prefix=>BMem90005
Alias `350xLIB.Command=>BMem90006
Alias `350xLIB.Prefix1=>BMem90007
Alias `350xLIB.Command1=>BMem90008
Alias `350xLIB.FlagError=>BMem90010

:350xLIB.GetTimeSettingNextStep
         CriticalSection Begin
            Set `350xLIB,DeviceAddress=DeviceAddress  //   
            Device `350xLIB,Input1.`350xLIB,Input2      //   () 
            Set `350xLIB.Prefix=64
            Set `350xLIB.Command=6
            Send <`350xLIB.Prefix> <`350xLIB.Command> <`350xLIB.Channels> 
            Receive <`350xLIB.Prefix1> <`350xLIB.Command1> <`350xLIB.Channels> <`350xLIB.Output1> <`350xLIB.Output2>
            If TransferError Set `350xLIB.FlagError=1
            If TransferError Goto 350xLIB.SkipGetTimeSettingNextStep
            If `350xlib,Input1*256+`350xlib,Input2=0 GoTo 350xlib.SkipGetTimeSettingNextStep_address
            If Whose<>`350xlib,Input1*256+`350xlib,Input2 Set `350xlib.FlagError=1
            If Whose<>`350xlib,Input1*256+`350xlib,Input2 GoTo 350xlib.SkipGetTimeSettingNextStep
:350xlib.SkipGetTimeSettingNextStep_address
            Set `350xLIB.FlagError=0
            If TransferSize<>5  Set `350xLIB.FlagError=2
            If `350xLIB.Command<>`350xLIB.Command1  Set `350xLIB.FlagError=2
            If `350xLIB.Prefix1<>`350xLIB.Prefix+128  Set `350xLIB.FlagError=2
:350xLIB.SkipGetTimeSettingNextStep
            Device `350xLIB,DeviceAddress  //    
         CriticalSection End
Return  // GetTimeSettingNextStep




/////////////////////////////////////////////////////////////////////
//          
// 350xLIB.GetCurrentTime
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90003 -   (1..4)
//      : BMem90004 -      
//                     0 - 
//                     1 - 
//                     2 - 
//             Mem90005 -     
//             BMem90006 -   
//                     0 - 
//                     1 - 
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
/////////////////////////////////////////////////////////////////////

Alias `350xLIB,DeviceAddress=>Mem90001
Alias `350xLIB.Output1=>Mem90005

Alias `350xLIB,Input1=>BMem90001
Alias `350xLIB,Input2=>BMem90002
Alias `350xLIB.Channels=>BMem90003
Alias `350xLIB.Output2=>BMem90004
Alias `350xLIB.Output3=>BMem90006
Alias `350xLIB.FlagError=>BMem90010
Alias `350xLIB.Prefix=>BMem90011
Alias `350xLIB.Command=>BMem90012
Alias `350xLIB.Prefix1=>BMem90013
Alias `350xLIB.Command1=>BMem90014

:350xLIB.GetCurrentTime
         CriticalSection Begin
            Set `350xLIB,DeviceAddress=DeviceAddress  //   
            Device `350xLIB,Input1.`350xLIB,Input2      //   () 
            Set `350xLIB.Prefix=64
            Set `350xLIB.Command=3
            Send <`350xLIB.Prefix> <`350xLIB.Command> <`350xLIB.Channels> 
            Receive <`350xLIB.Prefix1> <`350xLIB.Command1> <`350xLIB.Channels> <`350xLIB.Output3> <`350xLIB.Output1> <`350xLIB.Output2>
            If TransferError Set `350xLIB.FlagError=1
            If TransferError Goto 350xLIB.SkipGetCurrentTime
            If `350xlib,Input1*256+`350xlib,Input2=0 GoTo 350xlib.SkipGetCurrentTime_address
            If Whose<>`350xlib,Input1*256+`350xlib,Input2 Set `350xlib.FlagError=1
            If Whose<>`350xlib,Input1*256+`350xlib,Input2 GoTo 350xlib.SkipGetCurrentTime
:350xlib.SkipGetCurrentTime_address
            Set `350xLIB.FlagError=0
            If TransferSize<>6  Set `350xLIB.FlagError=2
            If `350xLIB.Command<>`350xLIB.Command1  Set `350xLIB.FlagError=2
            If `350xLIB.Prefix1<>`350xLIB.Prefix+128  Set `350xLIB.FlagError=2
            If `350xLIB.FlagError<>0 GoTo 350xLIB.SkipGetCurrentTime
            If InvalidTransfer5=1 Set `350xLIB.FlagError=3            
:350xLIB.SkipGetCurrentTime
            Device `350xLIB,DeviceAddress  //    
         CriticalSection End
Return  // GetCurrentTime





/////////////////////////////////////////////////////////////////////
//       , 
//   
// 350xLIB.GetCurrentTimeAndSetting
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90003 -   (1..4)
//      : BMem90004 -      
//                     0 - 
//                     1 - 
//                     2 - 
//             Mem90004 -    -
//             Mem90005 -     
//             BMem90006 -   
//                     0 - 
//                     1 - 
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
/////////////////////////////////////////////////////////////////////

Alias `350xLIB,DeviceAddress=>Mem90001
Alias `350xLIB.OutputTimeSetting=>Mem90004
Alias `350xLIB.OutputCurrentTime=>Mem90005

Alias `350xLIB,Input1=>BMem90001
Alias `350xLIB,Input2=>BMem90002
Alias `350xLIB.Channels=>BMem90003
Alias `350xLIB.OutputTimeDim=>BMem90004
Alias `350xLIB.OutputTimerState=>BMem90006
Alias `350xLIB.FlagError=>BMem90010
Alias `350xLIB.Prefix=>BMem90011
Alias `350xLIB.Command=>BMem90012
Alias `350xLIB.Prefix1=>BMem90013
Alias `350xLIB.Command1=>BMem90014

:350xLIB.GetCurrentTimeAndSetting
         CriticalSection Begin
            Set `350xLIB,DeviceAddress=DeviceAddress  //   
            Device `350xLIB,Input1.`350xLIB,Input2      //   () 
            Set `350xLIB.Prefix=64
            Set `350xLIB.Command=2
            Send <`350xLIB.Prefix> <`350xLIB.Command> <`350xLIB.Channels> 
            Receive <`350xLIB.Prefix1> <`350xLIB.Command1> <`350xLIB.Channels> <`350xLIB.OutputTimerState> <`350xLIB.OutputCurrentTime> <`350xLIB.OutputTimeSetting>  <`350xLIB.OutputTimeDim>
            If TransferError Set `350xLIB.FlagError=1
            If TransferError Goto 350xLIB.SkipGetCurrentTimeAndSetting
            If `350xlib,Input1*256+`350xlib,Input2=0 GoTo 350xlib.SkipGetCurrentTimeAndSetting_address
            If Whose<>`350xlib,Input1*256+`350xlib,Input2 Set `350xlib.FlagError=1
            If Whose<>`350xlib,Input1*256+`350xlib,Input2 GoTo 350xlib.SkipGetCurrentTimeAndSetting
:350xlib.SkipGetCurrentTimeAndSetting_address
            Set `350xLIB.FlagError=0
            If TransferSize<>7  Set `350xLIB.FlagError=2
            If `350xLIB.Command<>`350xLIB.Command1  Set `350xLIB.FlagError=2
            If `350xLIB.Prefix1<>`350xLIB.Prefix+128  Set `350xLIB.FlagError=2
            If `350xLIB.FlagError<>0 GoTo 350xLIB.SkipGetCurrentTimeAndSetting
            If InvalidTransfer5=1 Set `350xLIB.FlagError=3            
:350xLIB.SkipGetCurrentTimeAndSetting
            Device `350xLIB,DeviceAddress  //    
         CriticalSection End
Return  // GetCurrentTimeAndSetting




/////////////////////////////////////////////////////////////////////
//       -
// 350xLIB.SetTimeSetting
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90003 -   (1..4)
//             Mem90004  -    -
//             BMem90004 -      
//                     0 - 
//                     1 - 
//                     2 - 
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
/////////////////////////////////////////////////////////////////////


Alias `350xLIB,DeviceAddress=>Mem90001
Alias `350xLIB,Input1=>BMem90001
Alias `350xLIB,Input2=>BMem90002
Alias `350xLIB.Channels=>BMem90003
Alias `350xLIB.Input3=>BMem90004
Alias `350xLIB.Input4=>Mem90004
Alias `350xLIB.Prefix=>BMem90005
Alias `350xLIB.Command=>BMem90006
Alias `350xLIB.Prefix1=>BMem90007
Alias `350xLIB.Command1=>BMem90008
Alias `350xLIB.FlagError=>BMem90010

:350xLIB.SetTimeSetting
         CriticalSection Begin
            Set `350xLIB,DeviceAddress=DeviceAddress  //   
            Device `350xLIB,Input1.`350xLIB,Input2      //   () 
            Set `350xLIB.Prefix=64
            Set `350xLIB.Command=4
            Send <`350xLIB.Prefix> <`350xLIB.Command> <`350xLIB.Channels> <`350xLIB.Input4> <`350xLIB.Input3>
            Receive <`350xLIB.Prefix1> <`350xLIB.Command1> <`350xLIB.Channels> <`350xLIB.Input4> <`350xLIB.Input3>
            If TransferError Set `350xLIB.FlagError=1
            If TransferError Goto 350xLIB.SkipSetTimeSetting
            If `350xlib,Input1*256+`350xlib,Input2=0 GoTo 350xlib.SkipSetTimeSetting_address
            If Whose<>`350xlib,Input1*256+`350xlib,Input2 Set `350xlib.FlagError=1
            If Whose<>`350xlib,Input1*256+`350xlib,Input2 GoTo 350xlib.SkipSetTimeSetting
:350xlib.SkipSetTimeSetting_address
            Set `350xLIB.FlagError=0
            If TransferSize<>5  Set `350xLIB.FlagError=2
            If `350xLIB.Command<>`350xLIB.Command1  Set `350xLIB.FlagError=2
            If `350xLIB.Prefix1<>`350xLIB.Prefix+128  Set `350xLIB.FlagError=2
:350xLIB.SkipSetTimeSetting
            Device `350xLIB,DeviceAddress  //    
         CriticalSection End
Return  // SetTimeSetting




/////////////////////////////////////////////////////////////////////
//         -
// 350xLIB.SetStateTime
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90003 -   (1..4)
//             BMem90004 -      
//                     0 - 
//                     1 - 
//                     2 - 
//             BMem90005 -     
//                     0 -  
//                     1 -    
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
/////////////////////////////////////////////////////////////////////


Alias `350xLIB,DeviceAddress=>Mem90001
Alias `350xLIB,Input1=>BMem90001
Alias `350xLIB,Input2=>BMem90002
Alias `350xLIB.Channels=>BMem90003
Alias `350xLIB.Input3=>BMem90004
Alias `350xLIB.Input4=>BMem90005
Alias `350xLIB.Prefix=>BMem90006
Alias `350xLIB.Command=>BMem90007
Alias `350xLIB.Prefix1=>BMem90008
Alias `350xLIB.Command1=>BMem90009
Alias `350xLIB.FlagError=>BMem90010

:350xLIB.SetStateTime
         CriticalSection Begin
            Set `350xLIB,DeviceAddress=DeviceAddress  //   
            Device `350xLIB,Input1.`350xLIB,Input2      //   () 
            Set `350xLIB.Prefix=64
            Set `350xLIB.Command=0
            Send <`350xLIB.Prefix> <`350xLIB.Command> <`350xLIB.Channels> <`350xLIB.Input3> <`350xLIB.Input4>
            Receive <`350xLIB.Prefix1> <`350xLIB.Command1> <`350xLIB.Channels> <`350xLIB.Input3> <`350xLIB.Input4>
            If TransferError Set `350xLIB.FlagError=1
            If TransferError Goto 350xLIB.SkipSetStateTime
            If `350xlib,Input1*256+`350xlib,Input2=0 GoTo 350xlib.SkipSetStateTime_address
            If Whose<>`350xlib,Input1*256+`350xlib,Input2 Set `350xlib.FlagError=1
            If Whose<>`350xlib,Input1*256+`350xlib,Input2 GoTo 350xlib.SkipSetStateTime
:350xlib.SkipSetStateTime_address
            Set `350xLIB.FlagError=0
            If TransferSize<>5  Set `350xLIB.FlagError=2
            If `350xLIB.Command<>`350xLIB.Command1  Set `350xLIB.FlagError=2
            If `350xLIB.Prefix1<>`350xLIB.Prefix+128  Set `350xLIB.FlagError=2
:350xLIB.SkipSetStateTime
            Device `350xLIB,DeviceAddress  //    
         CriticalSection End
Return  // SetStateTime




/////////////////////////////////////////////////////////////////////
//         -
// 350xLIB.GetStateTime
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90003 -   (1..4)
//      : BMem90004 -      
//                     0 - 
//                     1 - 
//                     2 - 
//             BMem90005 -     
//                     0 -  
//                     1 -    
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
/////////////////////////////////////////////////////////////////////

Alias `350xLIB,DeviceAddress=>Mem90001
Alias `350xLIB,Input1=>BMem90001
Alias `350xLIB,Input2=>BMem90002
Alias `350xLIB.Channels=>BMem90003
Alias `350xLIB.Output1=>BMem90004
Alias `350xLIB.Output2=>BMem90005
Alias `350xLIB.Prefix=>BMem90006
Alias `350xLIB.Command=>BMem90007
Alias `350xLIB.Prefix1=>BMem90008
Alias `350xLIB.Command1=>BMem90009
Alias `350xLIB.FlagError=>BMem90010

:350xLIB.GetStateTime
         CriticalSection Begin
            Set `350xLIB,DeviceAddress=DeviceAddress  //   
            Device `350xLIB,Input1.`350xLIB,Input2      //   () 
            Set `350xLIB.Prefix=64
            Set `350xLIB.Command=1
            Send <`350xLIB.Prefix> <`350xLIB.Command> <`350xLIB.Channels>
            Receive <`350xLIB.Prefix1> <`350xLIB.Command1> <`350xLIB.Channels> <`350xLIB.Output1> <`350xLIB.Output2>
            If TransferError Set `350xLIB.FlagError=1
            If TransferError Goto 350xLIB.SkipGetStateTime
            If `350xlib,Input1*256+`350xlib,Input2=0 GoTo 350xlib.SkipGetStateTime_address
            If Whose<>`350xlib,Input1*256+`350xlib,Input2 Set `350xlib.FlagError=1
            If Whose<>`350xlib,Input1*256+`350xlib,Input2 GoTo 350xlib.SkipGetStateTime
:350xlib.SkipGetStateTime_address
            Set `350xLIB.FlagError=0
            If TransferSize<>5  Set `350xLIB.FlagError=2
            If `350xLIB.Command<>`350xLIB.Command1  Set `350xLIB.FlagError=2
            If `350xLIB.Prefix1<>`350xLIB.Prefix+128  Set `350xLIB.FlagError=2
:350xLIB.SkipGetStateTime
            Device `350xLIB,DeviceAddress  //    
         CriticalSection End
Return  // GetStateTime





/////////////////////////////////////////////////////////////////////
//         -  
// 350xLIB.GetStateTimeNextStep
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90003 -   (1..4)
//      : BMem90004 -      
//                     0 - 
//                     1 - 
//                     2 - 
//             BMem90005 -     
//                     0 -  
//                     1 -    
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
/////////////////////////////////////////////////////////////////////

Alias `350xLIB,DeviceAddress=>Mem90001
Alias `350xLIB,Input1=>BMem90001
Alias `350xLIB,Input2=>BMem90002
Alias `350xLIB.Channels=>BMem90003
Alias `350xLIB.Output1=>BMem90004
Alias `350xLIB.Output2=>BMem90005
Alias `350xLIB.Prefix=>BMem90006
Alias `350xLIB.Command=>BMem90007
Alias `350xLIB.Prefix1=>BMem90008
Alias `350xLIB.Command1=>BMem90009
Alias `350xLIB.FlagError=>BMem90010

:350xLIB.GetStateTimeNextStep
         CriticalSection Begin
            Set `350xLIB,DeviceAddress=DeviceAddress  //   
            Device `350xLIB,Input1.`350xLIB,Input2      //   () 
            Set `350xLIB.Prefix=64
            Set `350xLIB.Command=7
            Send <`350xLIB.Prefix> <`350xLIB.Command> <`350xLIB.Channels>
            Receive <`350xLIB.Prefix1> <`350xLIB.Command1> <`350xLIB.Channels> <`350xLIB.Output1> <`350xLIB.Output2>
            If TransferError Set `350xLIB.FlagError=1
            If TransferError Goto 350xLIB.SkipGetStateTimeNextStep
            If `350xlib,Input1*256+`350xlib,Input2=0 GoTo 350xlib.SkipGetStateTimeNextStep_address
            If Whose<>`350xlib,Input1*256+`350xlib,Input2 Set `350xlib.FlagError=1
            If Whose<>`350xlib,Input1*256+`350xlib,Input2 GoTo 350xlib.SkipGetStateTimeNextStep
:350xlib.SkipGetStateTimeNextStep_address
            Set `350xLIB.FlagError=0
            If TransferSize<>5  Set `350xLIB.FlagError=2
            If `350xLIB.Command<>`350xLIB.Command1  Set `350xLIB.FlagError=2
            If `350xLIB.Prefix1<>`350xLIB.Prefix+128  Set `350xLIB.FlagError=2
:350xLIB.SkipGetStateTimeNextStep
            Device `350xLIB,DeviceAddress  //    
         CriticalSection End
Return  // GetStateTimeNextStep

