/////////////////////////////////////////////////////////////////////
//        3601
// 3601lib.dsl
/////////////////////////////////////////////////////////////////////
//
//     
// 3601lib.GetTcurrentForChannel
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : Mem90003  -  
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//--------------------------------------------------------------------
//
//    
// 3601lib.GetTregForChannel
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : Mem90004  - 
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//--------------------------------------------------------------------
//
//    -
// 3601lib.GetThisteresisForChannel
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : Mem90005  - -
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//--------------------------------------------------------------------
//
//
//    
// 3601lib.SetTreg
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             Mem90004  - 
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//-------------------------------------------------------------------- 
//
//    -
// 3601lib.SetThisteresis
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             Mem90005  - -
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
// 
//
/////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////






/////////////////////////////////////////////////////////////////////
//     
// 3601lib.GetTcurrentForChannel
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : Mem90003  -  
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `3601lib,Input1=>BMem90001
Alias `3601lib,Input2=>BMem90002
Alias `3601lib.Output1=>Mem90003
Alias `3601lib.FlagError=>BMem90010
Alias `3601lib.Command=>BMem90011
Alias `3601lib.Command1=>BMem90012
Alias `3601lib.Prefix=>BMem90013
Alias `3601lib.Prefix1=>BMem90014
Alias `3601lib,DeviceAddress=>Mem90001


:3601lib.GetTcurrentForChannel
         CriticalSection Begin
            Set `3601lib,DeviceAddress=DeviceAddress  //   
            Device `3601lib,Input1.`3601lib,Input2      //   () 
            Set `3601lib.Prefix=64
            Set `3601lib.Command=10
            Send <`3601lib.Prefix> <`3601lib.Command> 
            Receive <`3601lib.Prefix1> <`3601lib.Command1> <`3601lib.Output1> 
            If TransferError Set `3601lib.FlagError=1
            If TransferError GoTo 3601lib.SkipGetTcurrent
            If `3601lib,Input1*256+`3601lib,Input2=0 GoTo 3601lib.SkipGetTcurrent_address
            If Whose<>`3601lib,Input1*256+`3601lib,Input2 Set `3601lib.FlagError=1
            If Whose<>`3601lib,Input1*256+`3601lib,Input2 GoTo 3601lib.SkipGetTcurrent
:3601lib.SkipGetTcurrent_address
            Set `3601lib.FlagError=0
            If TransferSize<>3 Set `3601lib.FlagError=2
            If 128+`3601lib.Prefix<>`3601lib.Prefix1 Set `3601lib.FlagError=2
            If `3601lib.Command<>`3601lib.Command1 Set `3601lib.FlagError=2
            If `3601lib.FlagError<>0 GoTo 3601lib.SkipGetTcurrent
            If InvalidTransfer3=1 Set  `3601lib.FlagError=3
:3601lib.SkipGetTcurrent
            Device `3601lib,DeviceAddress  //    
         CriticalSection End
Return //GetTcurrentForChannel




/////////////////////////////////////////////////////////////////////
//    
// 3601lib.GetTregForChannel
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : Mem90004  - 
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `3601lib,Input1=>BMem90001
Alias `3601lib,Input2=>BMem90002
Alias `3601lib.Output1=>Mem90004
Alias `3601lib.FlagError=>BMem90010
Alias `3601lib.Command=>BMem90011
Alias `3601lib.Command1=>BMem90012
Alias `3601lib.Prefix=>BMem90013
Alias `3601lib.Prefix1=>BMem90014
Alias `3601lib,DeviceAddress=>Mem90001


:3601lib.GetTregForChannel
         CriticalSection Begin
            Set `3601lib,DeviceAddress=DeviceAddress  //   
            Device `3601lib,Input1.`3601lib,Input2      //   () 
            Set `3601lib.Prefix=64
            Set `3601lib.Command=3
            Send <`3601lib.Prefix> <`3601lib.Command> 
            Receive <`3601lib.Prefix1> <`3601lib.Command1> <`3601lib.Output1> 
            If TransferError Set `3601lib.FlagError=1
            If TransferError GoTo 3601lib.SkipGetTreg
            If `3601lib,Input1*256+`3601lib,Input2=0 GoTo 3601lib.SkipGetTreg_address
            If Whose<>`3601lib,Input1*256+`3601lib,Input2 Set `3601lib.FlagError=1
            If Whose<>`3601lib,Input1*256+`3601lib,Input2 GoTo 3601lib.SkipGetTreg
:3601lib.SkipGetTreg_address
            Set `3601lib.FlagError=0
            If TransferSize<>3 Set `3601lib.FlagError=2
            If 128+`3601lib.Prefix<>`3601lib.Prefix1 Set `3601lib.FlagError=2
            If `3601lib.Command<>`3601lib.Command1 Set `3601lib.FlagError=2
:3601lib.SkipGetTreg
            Device `3601lib,DeviceAddress  //    
         CriticalSection End
Return //GetTregForChannel



/////////////////////////////////////////////////////////////////////
//    -
// 3601lib.GetThisteresisForChannel
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : Mem90005  - -
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `3601lib,Input1=>BMem90001
Alias `3601lib,Input2=>BMem90002
Alias `3601lib.Output1=>Mem90005
Alias `3601lib.FlagError=>BMem90010
Alias `3601lib.Command=>BMem90011
Alias `3601lib.Command1=>BMem90012
Alias `3601lib.Prefix=>BMem90013
Alias `3601lib.Prefix1=>BMem90014
Alias `3601lib,DeviceAddress=>Mem90001


:3601lib.GetThisteresisForChannel
         CriticalSection Begin
            Set `3601lib,DeviceAddress=DeviceAddress  //   
            Device `3601lib,Input1.`3601lib,Input2      //   () 
            Set `3601lib.Prefix=64
            Set `3601lib.Command=7
            Send <`3601lib.Prefix> <`3601lib.Command> 
            Receive <`3601lib.Prefix1> <`3601lib.Command1> <`3601lib.Output1> 
            If TransferError Set `3601lib.FlagError=1
            If TransferError GoTo 3601lib.SkipGetThisteresis
            If `3601lib,Input1*256+`3601lib,Input2=0 GoTo 3601lib.SkipGetThisteresis_address
            If Whose<>`3601lib,Input1*256+`3601lib,Input2 Set `3601lib.FlagError=1
            If Whose<>`3601lib,Input1*256+`3601lib,Input2 GoTo 3601lib.SkipGetThisteresis
:3601lib.SkipGetThisteresis_address
            Set `3601lib.FlagError=0
            If TransferSize<>3 Set `3601lib.FlagError=2
            If 128+`3601lib.Prefix<>`3601lib.Prefix1 Set `3601lib.FlagError=2
            If `3601lib.Command<>`3601lib.Command1 Set `3601lib.FlagError=2
:3601lib.SkipGetThisteresis
            Device `3601lib,DeviceAddress  //    
         CriticalSection End
Return //GetThisteresisForChannel







/////////////////////////////////////////////////////////////////////
//    
// 3601lib.SetTreg
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             Mem90004  - 
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `3601lib,Input1=>BMem90001
Alias `3601lib,Input2=>BMem90002
Alias `3601lib,DeviceAddress=>Mem90001
Alias `3601lib.Treg=>Mem90004
Alias `3601lib.FlagError=>BMem90010
Alias `3601lib.Prefix=>BMem90011
Alias `3601lib.Command=>BMem90012
Alias `3601lib.Prefix1=>BMem90013
Alias `3601lib.Command1=>BMem90014
Alias `3601lib.TmpTreg=>Mem90015


:3601lib.SetTreg
         CriticalSection Begin
            Set `3601lib,DeviceAddress=DeviceAddress  //   
            Device `3601lib,Input1.`3601lib,Input2      //   () 
            Set `3601lib.Prefix=64
            Set `3601lib.Command=2
            Send <`3601lib.Prefix> <`3601lib.Command> <`3601lib.Treg>
            Receive <`3601lib.Prefix1> <`3601lib.Command1> <`3601lib.TmpTreg>
            If TransferError Set `3601lib.FlagError=1
            If TransferError GoTo 3601lib.SkipSetTreg
            If `3601lib,Input1*256+`3601lib,Input2=0 GoTo 3601lib.SkipSetTreg_address
            If Whose<>`3601lib,Input1*256+`3601lib,Input2 Set `3601lib.FlagError=1
            If Whose<>`3601lib,Input1*256+`3601lib,Input2 GoTo 3601lib.SkipSetTreg
:3601lib.SkipSetTreg_address
            Set `3601lib.FlagError=0
            If TransferSize<>4 Set `3601lib.FlagError=2 
            If `3601lib.Prefix1<>`3601lib.Prefix+128 Set `3601lib.FlagError=2
            If `3601lib.Command<>`3601lib.Command1 Set `3601lib.FlagError=2
:3601lib.SkipSetTreg
            Device `3601lib,DeviceAddress  //    
         CriticalSection End
Return //SetTreg




/////////////////////////////////////////////////////////////////////
//    -
// 3601lib.SetThisteresis
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             Mem90005  - -
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////


Alias `3601lib,Input1=>BMem90001
Alias `3601lib,Input2=>BMem90002
Alias `3601lib,DeviceAddress=>Mem90001
Alias `3601lib.Thisteresis=>Mem90005
Alias `3601lib.FlagError=>BMem90010
Alias `3601lib.Prefix=>BMem90011
Alias `3601lib.Command=>BMem90012
Alias `3601lib.Prefix1=>BMem90013
Alias `3601lib.Command1=>BMem90014
Alias `3601lib.TmpThisteresis=>Mem90015


:3601lib.SetThisteresis
         CriticalSection Begin
            Set `3601lib,DeviceAddress=DeviceAddress  //   
            Device `3601lib,Input1.`3601lib,Input2      //   () 
            Set `3601lib.Prefix=64
            Set `3601lib.Command=6
            Send <`3601lib.Prefix> <`3601lib.Command> <`3601lib.Thisteresis>
            Receive <`3601lib.Prefix1> <`3601lib.Command1> <`3601lib.TmpThisteresis>
            If TransferError Set `3601lib.FlagError=1
            If TransferError GoTo 2538lib.SkipSetThisteresis
            If `3601lib,Input1*256+`3601lib,Input2=0 GoTo 3601lib.SkipSetThisteresis_address
            If Whose<>`3601lib,Input1*256+`3601lib,Input2 Set `3601lib.FlagError=1
            If Whose<>`3601lib,Input1*256+`3601lib,Input2 GoTo 3601lib.SkipSetThisteresis
:3601lib.SkipSetThisteresis_address
            Set `3601lib.FlagError=0
            If TransferSize<>4 Set `3601lib.FlagError=2 
            If `3601lib.Prefix1<>`3601lib.Prefix+128 Set `3601lib.FlagError=2
            If `3601lib.Command<>`3601lib.Command1 Set `3601lib.FlagError=2
:3601lib.SkipSetThisteresis
            Device `3601lib,DeviceAddress  //    
         CriticalSection End
Return //SetThisteresis


