/////////////////////////////////////////////////////////////////////
//        ab1
// ab1lib.dsl
/////////////////////////////////////////////////////////////////////
//
//    
// ab1lib.GetResultForChannel
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90003 -   
//      : BMem90003 -  :
//                     0 -       
//                  1..6 -     
//             Mem90003  - /   1
//             Mem90004  - /   2
//             Mem90005  - /   3
//             Mem90006  - /   4
//             Mem90007  - /   5
//             Mem90008  - /   6
//             Mem90009  - /    
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//             BMem90015 -     :
//                  0 -   1 -       
//                  1 -   1 -       
//                  2 -   1 -       
//                  3 -   1 -       
//                  4 -   1 -       
//                  5 -   1 -       
//
//------------------------------------------------------------------
//      
// ab1lib.GetInputType
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : BMem90004 -   
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//
//------------------------------------------------------------------
//      
// ab1lib.SetInputType
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90004 -   
//      : BMem90004 -   
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//
//------------------------------------------------------------------
//       
// ab1lib.GetSwitchOnOFFChannel
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : BMem90005 -  /    
//                     0 -  
//                     1 -   
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//
//------------------------------------------------------------------
//       
// ab1lib.SetSwitchOnOFFChannel
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90005 -  /    
//                     0 -  
//                     1 -   
//      : BMem90005 -  /    
//                     0 -  
//                     1 -   
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//
//------------------------------------------------------------------
//   
// ab1lib.SetCalibChannel
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90003 -  
//      : BMem90003 -  
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
// 
//
/////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////






/////////////////////////////////////////////////////////////////////
//    
// ab1lib.GetResultForChannel
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90003 -   
//      : BMem90003 -  :
//                     0 -       
//                  1..6 -     
//             Mem90003  - /   1
//             Mem90004  - /   2
//             Mem90005  - /   3
//             Mem90006  - /   4
//             Mem90007  - /   5
//             Mem90008  - /   6
//             Mem90009  - /    
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//             BMem90015 -     :
//                  0 -   1 -       
//                  1 -   1 -       
//                  2 -   1 -       
//                  3 -   1 -       
//                  4 -   1 -       
//                  5 -   1 -       
/////////////////////////////////////////////////////////////////////

Alias `ab1lib,Input1=>BMem90001
Alias `ab1lib,Input2=>BMem90002
Alias `ab1lib.ChannelNumber=>BMem90003
Alias `ab1lib.Output1=>Mem90003
Alias `ab1lib.Output2=>Mem90004
Alias `ab1lib.Output3=>Mem90005
Alias `ab1lib.Output4=>Mem90006
Alias `ab1lib.Output5=>Mem90007
Alias `ab1lib.Output6=>Mem90008
Alias `ab1lib.Output=>Mem90009
Alias `ab1lib.FlagError=>BMem90010
Alias `ab1lib.Prefix=>BMem90011
Alias `ab1lib.Prefix1=>BMem90012
Alias `ab1lib.Command=>BMem90013
Alias `ab1lib.Command1=>BMem90014
Alias `ab1lib.FlagError1=>BMem90015
Alias `ab1lib,DeviceAddress=>Mem90001


:ab1lib.GetResultForChannel
         CriticalSection Begin
            Set `ab1lib,DeviceAddress=DeviceAddress  //   
            Device `ab1lib,Input1.`ab1lib,Input2      //   () 
            Set `ab1lib.FlagError=0
            Set `ab1lib.Prefix=64
            Set `ab1lib.Command1=0
            If `ab1lib.ChannelNumber>0 GoTo ab1lib.getResultForCurrentChannel
            Send <`ab1lib.Prefix> <`ab1lib.Command1> <`ab1lib.ChannelNumber>
            Receive <`ab1lib.Prefix1> <`ab1lib.Command1> <`ab1lib.ChannelNumber> <`ab1lib.Output1:DinFloat> <`ab1lib.Output2:DinFloat> <`ab1lib.Output3:DinFloat> <`ab1lib.Output4:DinFloat> <`ab1lib.Output5:DinFloat> <`ab1lib.Output6:DinFloat>
            If TransferError Set `ab1lib.FlagError=1
            If TransferError GoTo ab1lib.SkipGetResult
             //      0.0 -   
            If `ab1lib,Input1*256+`ab1lib,Input2=0 GoTo ab1lib.SkipGetResult1_address
            If Whose<>`ab1lib,Input1*256+`ab1lib,Input2 Set `ab1lib.FlagError=1
            If Whose<>`ab1lib,Input1*256+`ab1lib,Input2 GoTo ab1lib.SkipGetResult
:ab1lib.SkipGetResult1_address
            Set `ab1lib.FlagError=0
            If TransferSize<>9 Set `ab1lib.FlagError=2
            If 128+`ab1lib.Prefix<>`ab1lib.Prefix1 Set `ab1lib.FlagError=2
            If `ab1lib.Command1<>`ab1lib.Command1 Set `ab1lib.FlagError=2
            If `ab1lib.FlagError<>0 GoTo ab1lib.SkipGetResult
            Set `ab1lib.FlagError=3
            Set `ab1lib.FlagError1=0
            If InvalidTransfer4=1 Set `ab1lib.FlagError1=1
            If InvalidTransfer5=1 Set `ab1lib.FlagError1=`ab1lib.FlagError1+2^1
            If InvalidTransfer6=1 Set `ab1lib.FlagError1=`ab1lib.FlagError1+2^2
            If InvalidTransfer7=1 Set `ab1lib.FlagError1=`ab1lib.FlagError1+2^3
            If InvalidTransfer8=1 Set `ab1lib.FlagError1=`ab1lib.FlagError1+2^4
            If InvalidTransfer9=1 Set `ab1lib.FlagError1=`ab1lib.FlagError1+2^5
            If `ab1lib.FlagError1=0 Set `ab1lib.FlagError=0
            GoTo ab1lib.SkipGetResult
:ab1lib.getResultForCurrentChannel             
            Send <`ab1lib.Prefix> <`ab1lib.Command1> <`ab1lib.ChannelNumber>
            Receive <`ab1lib.Prefix1> <`ab1lib.Command1> <`ab1lib.ChannelNumber> <`ab1lib.Output:DinFloat>
            If TransferError Set `ab1lib.FlagError=1
            If TransferError GoTo ab1lib.SkipGetResult
             //      0.0 -   
            If `ab1lib,Input1*256+`ab1lib,Input2=0 GoTo ab1lib.SkipGetResult2_address
            If Whose<>`ab1lib,Input1*256+`ab1lib,Input2 Set `ab1lib.FlagError=1
            If Whose<>`ab1lib,Input1*256+`ab1lib,Input2 GoTo ab1lib.SkipGetResult
:ab1lib.SkipGetResult2_address
            Set `ab1lib.FlagError=0
            If TransferSize<>4 Set `ab1lib.FlagError=2
            If 128+`ab1lib.Prefix<>`ab1lib.Prefix1 Set `ab1lib.FlagError=2
            If `ab1lib.Command1<>`ab1lib.Command1 Set `ab1lib.FlagError=2
            If `ab1lib.FlagError<>0 GoTo ab1lib.SkipGetResult
            If `ab1lib.FlagError<>0 GoTo ab1lib.SkipGetResult
            If InvalidTransfer4=1 Set  `ab1lib.FlagError=3
//meswrite `ab1lib.FlagError
:ab1lib.SkipGetResult
            Device `ab1lib,DeviceAddress  //    
         CriticalSection End
Return //GetResultForChannel









/////////////////////////////////////////////////////////////////////
//      
// ab1lib.GetInputType
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : BMem90004 -   
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `ab1lib,DeviceAddress=>Mem90001

Alias `ab1lib,Input1=>BMem90001
Alias `ab1lib,Input2=>BMem90002
Alias `ab1lib.Output1=>BMem90004
Alias `ab1lib.FlagError=>BMem90010
Alias `ab1lib.Prefix=>BMem90011
Alias `ab1lib.Command=>BMem90012
Alias `ab1lib.Prefix1=>BMem90013
Alias `ab1lib.Command1=>BMem90014



:ab1lib.GetInputType
         CriticalSection Begin
            Set `ab1lib,DeviceAddress=DeviceAddress  //   
            Device `ab1lib,Input1.`ab1lib,Input2      //   () 
            Set `ab1lib.Prefix=64
            Set `ab1lib.Command=1
            Send <`ab1lib.Prefix> <`ab1lib.Command>
            Receive <`ab1lib.Prefix1> <`ab1lib.Command1> <`ab1lib.Output1>
            If TransferError Set `ab1lib.FlagError=1
            If TransferError GoTo ab1lib.SkipGetInputType
             //      0.0 -   
            If `ab1lib,Input1*256+`ab1lib,Input2=0 GoTo ab1lib.SkipGetInputType_address
            If Whose<>`ab1lib,Input1*256+`ab1lib,Input2 Set `ab1lib.FlagError=1
            If Whose<>`ab1lib,Input1*256+`ab1lib,Input2 GoTo ab1lib.SkipGetInputType
:ab1lib.SkipGetInputType_address
            Set `ab1lib.FlagError=0
            If TransferSize<>3 Set `ab1lib.FlagError=2 
            If `ab1lib.Prefix1<>`ab1lib.Prefix+128 Set `ab1lib.FlagError=2
            If `ab1lib.Command<>`ab1lib.Command1 Set `ab1lib.FlagError=2
            If `ab1lib.FlagError<>0 GoTo ab1lib.SkipGetInputType
            If InvalidTransfer3=1 Set  `ab1lib.FlagError=3
:ab1lib.SkipGetInputType
            Device `ab1lib,DeviceAddress  //    
         CriticalSection End
Return //GetInputType




/////////////////////////////////////////////////////////////////////
//      
// ab1lib.SetInputType
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90004 -   
//      : BMem90004 -   
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `ab1lib,DeviceAddress=>Mem90001

Alias `ab1lib,Input1=>BMem90001
Alias `ab1lib,Input2=>BMem90002
Alias `ab1lib.Input3=>BMem90004
Alias `ab1lib.FlagError=>BMem90010
Alias `ab1lib.Prefix=>BMem90011
Alias `ab1lib.Command=>BMem90012
Alias `ab1lib.Prefix1=>BMem90013
Alias `ab1lib.Command1=>BMem90014



:ab1lib.SetInputType
         CriticalSection Begin
            Set `ab1lib,DeviceAddress=DeviceAddress  //   
            Device `ab1lib,Input1.`ab1lib,Input2      //   () 
            Set `ab1lib.Prefix=64
            Set `ab1lib.Command=2
            Send <`ab1lib.Prefix> <`ab1lib.Command> <`ab1lib.Input3>
            Receive <`ab1lib.Prefix1> <`ab1lib.Command1> <`ab1lib.Input3>
            If TransferError Set `ab1lib.FlagError=1
            If TransferError GoTo ab1lib.SkipSetInputType
             //      0.0 -   
            If `ab1lib,Input1*256+`ab1lib,Input2=0 GoTo ab1lib.SkipSetInputType_address
            If Whose<>`ab1lib,Input1*256+`ab1lib,Input2 Set `ab1lib.FlagError=1
            If Whose<>`ab1lib,Input1*256+`ab1lib,Input2 GoTo ab1lib.SkipSetInputType
:ab1lib.SkipSetInputType_address
            Set `ab1lib.FlagError=0
            If TransferSize<>3 Set `ab1lib.FlagError=2 
            If `ab1lib.Prefix1<>`ab1lib.Prefix+128 Set `ab1lib.FlagError=2
            If `ab1lib.Command<>`ab1lib.Command1 Set `ab1lib.FlagError=2
:ab1lib.SkipSetInputType
            Device `ab1lib,DeviceAddress  //    
         CriticalSection End
Return //SetInputType





/////////////////////////////////////////////////////////////////////
//       
// ab1lib.GetSwitchOnOFFChannel
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : BMem90005 -  /    
//                     0 -  
//                     1 -   
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `ab1lib,Input1=>BMem90001
Alias `ab1lib,Input2=>BMem90002
Alias `ab1lib.Output1=>BMem90005
Alias `ab1lib.FlagError=>BMem90010
Alias `ab1lib.Prefix=>BMem90011
Alias `ab1lib.Prefix1=>BMem90012
Alias `ab1lib.Command=>BMem90013
Alias `ab1lib.Command1=>BMem90014
Alias `ab1lib,DeviceAddress=>Mem90001


:ab1lib.GetSwitchOnOFFChannel
         CriticalSection Begin
            Set `ab1lib,DeviceAddress=DeviceAddress  //   
            Device `ab1lib,Input1.`ab1lib,Input2      //   () 
            Set `ab1lib.Prefix=64
            Set `ab1lib.Command=3
            Send <`ab1lib.Prefix> <`ab1lib.Command> 
            Receive <`ab1lib.Prefix1> <`ab1lib.Command1> <`ab1lib.Output1>
            If TransferError Set `ab1lib.FlagError=1
            If TransferError GoTo ab1lib.SkipGetSwitchOnOFFChannel
             //      0.0 -   
            If `ab1lib,Input1*256+`ab1lib,Input2=0 GoTo ab1lib.SkipGetSwitchOnOFFChannel_address
            If Whose<>`ab1lib,Input1*256+`ab1lib,Input2 Set `ab1lib.FlagError=1
            If Whose<>`ab1lib,Input1*256+`ab1lib,Input2 GoTo ab1lib.SkipGetSwitchOnOFFChannel
:ab1lib.SkipGetSwitchOnOFFChannel_address
            Set `ab1lib.FlagError=0
            If TransferSize<>3 Set `ab1lib.FlagError=2
            If 128+`ab1lib.Prefix<>`ab1lib.Prefix1 Set `ab1lib.FlagError=2
            If `ab1lib.Command<>`ab1lib.Command1 Set `ab1lib.FlagError=2
:ab1lib.SkipGetSwitchOnOFFChannel
            Device `ab1lib,DeviceAddress  //    
         CriticalSection End
Return //GetSwitchOnOFFChannel






/////////////////////////////////////////////////////////////////////
//       
// ab1lib.SetSwitchOnOFFChannel
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90005 -  /    
//                     0 -  
//                     1 -   
//      : BMem90005 -  /    
//                     0 -  
//                     1 -   
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `ab1lib,Input1=>BMem90001
Alias `ab1lib,Input2=>BMem90002
Alias `ab1lib.Input1=>BMem90005
Alias `ab1lib.FlagError=>BMem90010
Alias `ab1lib.Prefix=>BMem90011
Alias `ab1lib.Prefix1=>BMem90012
Alias `ab1lib.Command=>BMem90013
Alias `ab1lib.Command1=>BMem90014
Alias `ab1lib,DeviceAddress=>Mem90001


:ab1lib.SetSwitchOnOFFChannel
         CriticalSection Begin
            Set `ab1lib,DeviceAddress=DeviceAddress  //   
            Device `ab1lib,Input1.`ab1lib,Input2      //   () 
            Set `ab1lib.Prefix=64
            Set `ab1lib.Command=4
            Send <`ab1lib.Prefix> <`ab1lib.Command> <`ab1lib.Input1>
            Receive <`ab1lib.Prefix1> <`ab1lib.Command1> <`ab1lib.Input1>
            If TransferError Set `ab1lib.FlagError=1
            If TransferError GoTo ab1lib.SkipSetSwitchOnOFFChannel
             //      0.0 -   
            If `ab1lib,Input1*256+`ab1lib,Input2=0 GoTo ab1lib.SkipSetSwitchOnOFFChannel_address
            If Whose<>`ab1lib,Input1*256+`ab1lib,Input2 Set `ab1lib.FlagError=1
            If Whose<>`ab1lib,Input1*256+`ab1lib,Input2 GoTo ab1lib.SkipSetSwitchOnOFFChannel
:ab1lib.SkipSetSwitchOnOFFChannel_address
            Set `ab1lib.FlagError=0
            If TransferSize<>3 Set `ab1lib.FlagError=2
            If 128+`ab1lib.Prefix<>`ab1lib.Prefix1 Set `ab1lib.FlagError=2
            If `ab1lib.Command<>`ab1lib.Command1 Set `ab1lib.FlagError=2
:ab1lib.SkipSetSwitchOnOFFChannel
            Device `ab1lib,DeviceAddress  //    
         CriticalSection End
Return //SetSwitchOnOFFChannel





/////////////////////////////////////////////////////////////////////
//   
// ab1lib.SetCalibChannel
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90003 -  
//      : BMem90003 -  
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////


Alias `ab1lib,Input1=>BMem90001
Alias `ab1lib,Input2=>BMem90002
Alias `ab1lib,DeviceAddress=>Mem90001
Alias `ab1lib.ChannelNumber=>BMem90003
Alias `ab1lib.FlagError=>BMem90010
Alias `ab1lib.Prefix=>BMem90011
Alias `ab1lib.Command=>BMem90012
Alias `ab1lib.Prefix1=>BMem90013
Alias `ab1lib.Command1=>BMem90014


:ab1lib.SetCalibChannel
         CriticalSection Begin
            Set `ab1lib,DeviceAddress=DeviceAddress  //   
            Device `ab1lib,Input1.`ab1lib,Input2      //   () 
            Set `ab1lib.Prefix=64
            Set `ab1lib.Command=5
            Send <`ab1lib.Prefix> <`ab1lib.Command> <`ab1lib.ChannelNumber>
            Receive <`ab1lib.Prefix1> <`ab1lib.Command1> <`ab1lib.ChannelNumber>
            If TransferError Set `ab1lib.FlagError=1
            If TransferError GoTo ab1lib.SkipSetCalibChannel
             //      0.0 -   
            If `ab1lib,Input1*256+`ab1lib,Input2=0 GoTo ab1lib.SkipSetCalibChannel_address
            If Whose<>`ab1lib,Input1*256+`ab1lib,Input2 Set `ab1lib.FlagError=1
            If Whose<>`ab1lib,Input1*256+`ab1lib,Input2 GoTo ab1lib.SkipSetCalibChannel
:ab1lib.SkipSetCalibChannel_address
            Set `ab1lib.FlagError=0
            If TransferSize<>3 Set `ab1lib.FlagError=2 
            If `ab1lib.Prefix1<>`ab1lib.Prefix+128 Set `ab1lib.FlagError=2
            If `ab1lib.Command<>`ab1lib.Command1 Set `ab1lib.FlagError=2
:ab1lib.SkipSetCalibChannel
            Device `ab1lib,DeviceAddress  //    
         CriticalSection End
Return //SetCalibChannel

