/////////////////////////////////////////////////////////////////////
//        2515
// 2515LIB.dsl
/////////////////////////////////////////////////////////////////////
//
//     
// 2515lib.GetTcurrent
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : Mem90003  -  1
//             Mem90004  -  2
//             Mem90005  -    / 1-  2- 
//             BMem90003 -  
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//             BMem90015 -     :
//                  0 -   1 -       
//                  1 -   1 -       
//                  2 -   1 -      
//--------------------------------------------------------------------
//
//     ,    
// 2515lib.GetTcurrentAndResist
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : Mem90003  -  1
//             Mem90004  -  2
//             Mem90005  -    / 1-  2- 
//             Mem90006  -    1
//             Mem90007  -    2
//             Mem90008  -   
//             BMem90003 -  
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//             BMem90015 -     :
//                  0 -   1 -       
//                  1 -   1 -       
//                  2 -   1 -      
//                  3 -   1 -        
//                  4 -   1 -        
//-------------------------------------------------------------------- 
//
//     , ,   
// 2515lib.GetTcurrentAndResistAndU
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : Mem90003  -  1
//             Mem90004  -  2
//             Mem90005  -    / 1-  2- 
//             Mem90006  -    1
//             Mem90007  -    2
//             Mem90008  -   
//             Mem90009  -   1
//             Mem90010  -   2
//             Mem90011  -   
//             BMem90003 -  
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//             BMem90015 -     :
//                  0 -   1 -       
//                  1 -   1 -       
//                  2 -   1 -      
//                  3 -   1 -        
//                  4 -   1 -        
//                  5 -   1 -        
//                  6 -   1 -        
//--------------------------------------------------------------------
//
//     
// 2515lib.SetNumberOfMeasure
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90003 -  
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//--------------------------------------------------------------------
//
//     
// 2515lib.GetNumberOfMeasure
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : BMem90003 -  
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//-------------------------------------------------------------------- 
//     
// 2515lib.SetParametresForSensor
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90004 -  
//             BMem90005 -  
//                     0 - 
//                     1 - 1 ()
//                     2 - 2 (Pt)
//             Mem90012  -    0 .
//             Mem90013  -   
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//-------------------------------------------------------------------- 
//     
// 2515lib.GetParametresForSensor
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90004 -  
//      : BMem90004 -  
//             BMem90005 -  
//                     0 - 
//                     1 - 1 ()
//                     2 - 2 (Pt)
//             Mem90012  -    0 .
//             Mem90013  -   
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//--------------------------------------------------------------------
//      
// 2515lib.SetPointOfMeasure
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90004 -  
//             BMem90006 -   
//             Mem90014  -    
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//--------------------------------------------------------------------
//       
// 2515lib.SetK_ToMemory
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90004 -  
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//--------------------------------------------------------------------
//   
// 2515lib.SetParametresForResist
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90007 -   
//             Mem90015  -   
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//--------------------------------------------------------------------
//       
// 2515lib.SetResist_ToMemory
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//--------------------------------------------------------------------
//    .  
// 2515lib.GetK_P
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90004 -  
//      : BMem90004 -  
//             Mem90016  -  . b0 
//             Mem90017  -  . b1 
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//--------------------------------------------------------------------
//    .  
// 2515lib.SetK_P
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90004 -  
//             Mem90016  -  . b0 
//             Mem90017  -  . b1 
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//--------------------------------------------------------------------
//  .  
// 2515lib.SkipK_P
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90004 -   
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//
//--------------------------------------------------------------------
//   
// 2515lib.AutoCalibDevice
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//--------------------------------------------------------------------
//      
// 2515lib.AutoResist
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//
/////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////




/////////////////////////////////////////////////////////////////////
//      
// 2515lib.GetTcurrent
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : Mem90003  -  1
//             Mem90004  -  2
//             Mem90005  -    / 1-  2- 
//             BMem90003 -  
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//             BMem90015 -     :
//                  0 -   1 -       
//                  1 -   1 -       
//                  2 -   1 -      
/////////////////////////////////////////////////////////////////////

Alias `2515lib,Input1=>BMem90001
Alias `2515lib,Input2=>BMem90002
Alias `2515lib.Output4=>BMem90003
Alias `2515lib.Output1=>Mem90003
Alias `2515lib.Output2=>Mem90004
Alias `2515lib.Output3=>Mem90005
Alias `2515lib.FlagError=>BMem90010
Alias `2515lib.Prefix=>BMem90011
Alias `2515lib.Prefix1=>BMem90012
Alias `2515lib.Command=>BMem90013
Alias `2515lib.Command1=>BMem90014
Alias `2515lib.FlagError1=>BMem90015
Alias `2515lib,DeviceAddress=>Mem90001


:2515lib.GetTcurrent
         CriticalSection Begin
            Set `2515lib,DeviceAddress=DeviceAddress  //   
            Device `2515lib,Input1.`2515lib,Input2      //   () 
            Set `2515lib.Prefix=64
            Set `2515lib.Command=1
            Send <`2515lib.Prefix> <`2515lib.Command> 
            Receive <`2515lib.Prefix1> <`2515lib.Command1> <`2515lib.Output4> <`2515lib.Output1:DinFloat> <`2515lib.Output2:DinFloat> <`2515lib.Output3:DinFloat> 
            If TransferError Set `2515lib.FlagError=1
            If TransferError GoTo 2515lib.SkipGetTcurrent
            If `2515lib,Input1*256+`2515lib,Input2=0 GoTo 2515lib.SkipGetTcurrent_address
            If Whose<>`2515lib,Input1*256+`2515lib,Input2 Set `2515lib.FlagError=1
            If Whose<>`2515lib,Input1*256+`2515lib,Input2 GoTo 2515lib.SkipGetTcurrent
:2515lib.SkipGetTcurrent_address
            Set `2515lib.FlagError=0
            If TransferSize<>6 Set `2515lib.FlagError=2
            If 128+`2515lib.Prefix<>`2515lib.Prefix1 Set `2515lib.FlagError=2
            If `2515lib.Command<>`2515lib.Command1 Set `2515lib.FlagError=2
            If `2515lib.FlagError<>0 GoTo 2515lib.SkipGetTcurrent
            Set `2515lib.FlagError1=0
            If InvalidTransfer4=1 Set  `2515lib.FlagError1=1
            If InvalidTransfer5=1 Set  `2515lib.FlagError1=`2515lib.FlagError1+2^1
            If InvalidTransfer6=1 Set  `2515lib.FlagError1=`2515lib.FlagError1+2^2
            If `2515lib.FlagError1<>0 Set `2515lib.FlagError=3
:2515lib.SkipGetTcurrent
            Device `2515lib,DeviceAddress  //    
         CriticalSection End
Return //GetTcurrent





/////////////////////////////////////////////////////////////////////
//     ,    
// 2515lib.GetTcurrentAndResist
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : Mem90003  -  1
//             Mem90004  -  2
//             Mem90005  -    / 1-  2- 
//             Mem90006  -    1
//             Mem90007  -    2
//             Mem90008  -   
//             BMem90003 -  
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//             BMem90015 -     :
//                  0 -   1 -       
//                  1 -   1 -       
//                  2 -   1 -      
//                  3 -   1 -        
//                  4 -   1 -        
/////////////////////////////////////////////////////////////////////

Alias `2515lib,Input1=>BMem90001
Alias `2515lib,Input2=>BMem90002
Alias `2515lib.Output7=>BMem90003
Alias `2515lib.Output1=>Mem90003
Alias `2515lib.Output2=>Mem90004
Alias `2515lib.Output3=>Mem90005
Alias `2515lib.Output4=>Mem90006
Alias `2515lib.Output5=>Mem90007
Alias `2515lib.Output6=>Mem90008
Alias `2515lib.FlagError=>BMem90010
Alias `2515lib.Prefix=>BMem90011
Alias `2515lib.Prefix1=>BMem90012
Alias `2515lib.Command=>BMem90013
Alias `2515lib.Command1=>BMem90014
Alias `2515lib.FlagError1=>BMem90015
Alias `2515lib,DeviceAddress=>Mem90001


:2515lib.GetTcurrentAndResist
         CriticalSection Begin
            Set `2515lib,DeviceAddress=DeviceAddress  //   
            Device `2515lib,Input1.`2515lib,Input2      //   () 
            Set `2515lib.Prefix=64
            Set `2515lib.Command=2
            Send <`2515lib.Prefix> <`2515lib.Command>
            Receive <`2515lib.Prefix1> <`2515lib.Command1> <`2515lib.Output7> <`2515lib.Output1:DinFloat> <`2515lib.Output2:DinFloat> <`2515lib.Output3:DinFloat> <`2515lib.Output4:DinFloat> <`2515lib.Output5:DinFloat> <`2515lib.Output6:DinFloat> 
            If TransferError Set `2515lib.FlagError=1
            If TransferError GoTo 2515lib.SkipGetTcurrentAndResist
            If `2515lib,Input1*256+`2515lib,Input2=0 GoTo 2515lib.SkipGetTcurrentAndResist_address
            If Whose<>`2515lib,Input1*256+`2515lib,Input2 Set `2515lib.FlagError=1
            If Whose<>`2515lib,Input1*256+`2515lib,Input2 GoTo 2515lib.SkipGetTcurrentAndResist
:2515lib.SkipGetTcurrentAndResist_address
            Set `2515lib.FlagError=0
            If TransferSize<>9 Set `2515lib.FlagError=2
            If 128+`2515lib.Prefix<>`2515lib.Prefix1 Set `2515lib.FlagError=2
            If `2515lib.Command<>`2515lib.Command1 Set `2515lib.FlagError=2
            If `2515lib.FlagError<>0 GoTo 2515lib.SkipGetTcurrentAndResist
            Set `2515lib.FlagError1=0
            If InvalidTransfer4=1 Set  `2515lib.FlagError1=1
            If InvalidTransfer5=1 Set  `2515lib.FlagError1=`2515lib.FlagError1+2^1
            If InvalidTransfer6=1 Set  `2515lib.FlagError1=`2515lib.FlagError1+2^2
            If InvalidTransfer7=1 Set  `2515lib.FlagError1=`2515lib.FlagError1+2^3
            If InvalidTransfer8=1 Set  `2515lib.FlagError1=`2515lib.FlagError1+2^4
            If `2515lib.FlagError1<>0 Set `2515lib.FlagError=3
:2515lib.SkipGetTcurrentAndResist
            Device `2515lib,DeviceAddress  //    
         CriticalSection End
Return //GetTcurrentAndResist




/////////////////////////////////////////////////////////////////////
//     , ,   
// 2515lib.GetTcurrentAndResistAndU
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : Mem90003  -  1
//             Mem90004  -  2
//             Mem90005  -    / 1-  2- 
//             Mem90006  -    1
//             Mem90007  -    2
//             Mem90008  -   
//             Mem90009  -   1
//             Mem90010  -   2
//             Mem90011  -   
//             BMem90003 -  
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//             BMem90015 -     :
//                  0 -   1 -       
//                  1 -   1 -       
//                  2 -   1 -      
//                  3 -   1 -        
//                  4 -   1 -        
//                  5 -   1 -        
//                  6 -   1 -        
/////////////////////////////////////////////////////////////////////

Alias `2515lib,Input1=>BMem90001
Alias `2515lib,Input2=>BMem90002
Alias `2515lib.Output10=>BMem90003
Alias `2515lib.Output1=>Mem90003
Alias `2515lib.Output2=>Mem90004
Alias `2515lib.Output3=>Mem90005
Alias `2515lib.Output4=>Mem90006
Alias `2515lib.Output5=>Mem90007
Alias `2515lib.Output6=>Mem90008
Alias `2515lib.Output7=>Mem90009
Alias `2515lib.Output8=>Mem90010
Alias `2515lib.Output9=>Mem90011
Alias `2515lib.FlagError=>BMem90010
Alias `2515lib.Prefix=>BMem90011
Alias `2515lib.Prefix1=>BMem90012
Alias `2515lib.Command=>BMem90013
Alias `2515lib.Command1=>BMem90014
Alias `2515lib.FlagError1=>BMem90015
Alias `2515lib,DeviceAddress=>Mem90001


:2515lib.GetTcurrentAndResistAndU
         CriticalSection Begin
            Set `2515lib,DeviceAddress=DeviceAddress  //   
            Device `2515lib,Input1.`2515lib,Input2      //   () 
            Set `2515lib.Prefix=64
            Set `2515lib.Command=3
            Send <`2515lib.Prefix> <`2515lib.Command>
            Receive <`2515lib.Prefix1> <`2515lib.Command1> <`2515lib.Output10> <`2515lib.Output1:DinFloat> <`2515lib.Output2:DinFloat> <`2515lib.Output3:DinFloat> <`2515lib.Output4:DinFloat> <`2515lib.Output5:DinFloat> <`2515lib.Output6:DinFloat> <`2515lib.Output7:DinFloat> <`2515lib.Output8:DinFloat> <`2515lib.Output9:DinFloat> 
            If TransferError Set `2515lib.FlagError=1
            If TransferError GoTo 2515lib.SkipGetTcurrentAndResistAndU
            If `2515lib,Input1*256+`2515lib,Input2=0 GoTo 2515lib.SkipGetTcurrentAndResistAndU_address
            If Whose<>`2515lib,Input1*256+`2515lib,Input2 Set `2515lib.FlagError=1
            If Whose<>`2515lib,Input1*256+`2515lib,Input2 GoTo 2515lib.SkipGetTcurrentAndResistAndU
:2515lib.SkipGetTcurrentAndResistAndU_address
            Set `2515lib.FlagError=0
            If TransferSize<>12 Set `2515lib.FlagError=2
            If 128+`2515lib.Prefix<>`2515lib.Prefix1 Set `2515lib.FlagError=2
            If `2515lib.Command<>`2515lib.Command1 Set `2515lib.FlagError=2
            If `2515lib.FlagError<>0 GoTo 2515lib.SkipGetTcurrentAndResistAndU
            Set `2515lib.FlagError1=0
            If InvalidTransfer4=1 Set  `2515lib.FlagError1=1
            If InvalidTransfer5=1 Set  `2515lib.FlagError1=`2515lib.FlagError1+2^1
            If InvalidTransfer6=1 Set  `2515lib.FlagError1=`2515lib.FlagError1+2^2
            If InvalidTransfer7=1 Set  `2515lib.FlagError1=`2515lib.FlagError1+2^3
            If InvalidTransfer8=1 Set  `2515lib.FlagError1=`2515lib.FlagError1+2^4
            If InvalidTransfer10=1 Set  `2515lib.FlagError1=`2515lib.FlagError1+2^5
            If InvalidTransfer11=1 Set  `2515lib.FlagError1=`2515lib.FlagError1+2^6
            If `2515lib.FlagError1<>0 Set `2515lib.FlagError=3
:2515lib.SkipGetTcurrentAndResistAndU
            Device `2515lib,DeviceAddress  //    
         CriticalSection End
Return //GetTcurrentAndResistAndU





/////////////////////////////////////////////////////////////////////
//     
// 2515lib.SetNumberOfMeasure
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90003 -  
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `2515lib,Input1=>BMem90001
Alias `2515lib,Input2=>BMem90002
Alias `2515lib.Input3=>BMem90003
Alias `2515lib.FlagError=>BMem90010
Alias `2515lib.Prefix=>BMem90011
Alias `2515lib.Prefix1=>BMem90012
Alias `2515lib.Command=>BMem90013
Alias `2515lib.Command1=>BMem90014
Alias `2515lib,DeviceAddress=>Mem90001


:2515lib.SetNumberOfMeasure
         CriticalSection Begin
            Set `2515lib,DeviceAddress=DeviceAddress  //   
            Device `2515lib,Input1.`2515lib,Input2      //   () 
            Set `2515lib.Prefix=64
            Set `2515lib.Command=4
            Send <`2515lib.Prefix> <`2515lib.Command> <`2515lib.Input3>
            Receive <`2515lib.Prefix1> <`2515lib.Command1>
            If TransferError Set `2515lib.FlagError=1
            If TransferError GoTo 2515lib.SkipSetNumberOfMeasure
            If `2515lib,Input1*256+`2515lib,Input2=0 GoTo 2515lib.SkipSetNumberOfMeasure_address
            If Whose<>`2515lib,Input1*256+`2515lib,Input2 Set `2515lib.FlagError=1
            If Whose<>`2515lib,Input1*256+`2515lib,Input2 GoTo 2515lib.SkipSetNumberOfMeasure
:2515lib.SkipSetNumberOfMeasure_address
            Set `2515lib.FlagError=0
            If TransferSize<>2 Set `2515lib.FlagError=2
            If 128+`2515lib.Prefix<>`2515lib.Prefix1 Set `2515lib.FlagError=2
            If `2515lib.Command<>`2515lib.Command1 Set `2515lib.FlagError=2
:2515lib.SkipSetNumberOfMeasure
            Device `2515lib,DeviceAddress  //    
         CriticalSection End
Return //SetNumberOfMeasure




/////////////////////////////////////////////////////////////////////
//     
// 2515lib.GetNumberOfMeasure
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : BMem90003 -  
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `2515lib,Input1=>BMem90001
Alias `2515lib,Input2=>BMem90002
Alias `2515lib.Output1=>BMem90003
Alias `2515lib.FlagError=>BMem90010
Alias `2515lib.Prefix=>BMem90011
Alias `2515lib.Prefix1=>BMem90012
Alias `2515lib.Command=>BMem90013
Alias `2515lib.Command1=>BMem90014
Alias `2515lib,DeviceAddress=>Mem90001


:2515lib.GetNumberOfMeasure
         CriticalSection Begin
            Set `2515lib,DeviceAddress=DeviceAddress  //   
            Device `2515lib,Input1.`2515lib,Input2      //   () 
            Set `2515lib.Prefix=64
            Set `2515lib.Command=5
            Send <`2515lib.Prefix> <`2515lib.Command>
            Receive <`2515lib.Prefix1> <`2515lib.Command1> <`2515lib.Output1>
            If TransferError Set `2515lib.FlagError=1
            If TransferError GoTo 2515lib.SkipGetNumberOfMeasure
            If `2515lib,Input1*256+`2515lib,Input2=0 GoTo 2515lib.SkipGetNumberOfMeasure_address
            If Whose<>`2515lib,Input1*256+`2515lib,Input2 Set `2515lib.FlagError=1
            If Whose<>`2515lib,Input1*256+`2515lib,Input2 GoTo 2515lib.SkipGetNumberOfMeasure
:2515lib.SkipGetNumberOfMeasure_address
            Set `2515lib.FlagError=0
            If TransferSize<>3 Set `2515lib.FlagError=2
            If 128+`2515lib.Prefix<>`2515lib.Prefix1 Set `2515lib.FlagError=2
            If `2515lib.Command<>`2515lib.Command1 Set `2515lib.FlagError=2
:2515lib.SkipGetNumberOfMeasure
            Device `2515lib,DeviceAddress  //    
         CriticalSection End
Return //GetNumberOfMeasure





/////////////////////////////////////////////////////////////////////
//     
// 2515lib.SetParametresForSensor
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90004 -  
//             BMem90005 -  
//                     0 - 
//                     1 - 1 ()
//                     2 - 2 (Pt)
//             Mem90012  -    0 .
//             Mem90013  -   
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `2515lib,Input1=>BMem90001
Alias `2515lib,Input2=>BMem90002
Alias `2515lib.ChannelNumber=>BMem90004
Alias `2515lib.SensorType=>BMem90005
Alias `2515lib.Input4=>Mem90012
Alias `2515lib.Input5=>Mem90013
Alias `2515lib.FlagError=>BMem90010
Alias `2515lib.Prefix=>BMem90011
Alias `2515lib.Prefix1=>BMem90012
Alias `2515lib.Command=>BMem90013
Alias `2515lib.Command1=>BMem90014
Alias `2515lib,DeviceAddress=>Mem90001


:2515lib.SetParametresForSensor
         CriticalSection Begin
            Set `2515lib,DeviceAddress=DeviceAddress  //   
            Device `2515lib,Input1.`2515lib,Input2      //   () 
            Set `2515lib.Prefix=64
            Set `2515lib.Command=6
            Send <`2515lib.Prefix> <`2515lib.Command> <`2515lib.ChannelNumber> <`2515lib.SensorType> <`2515lib.Input4:DinFloat> <`2515lib.Input5{:DinFloat}> 
            Receive <`2515lib.Prefix1> <`2515lib.Command1> 
            If TransferError Set `2515lib.FlagError=1
            If TransferError GoTo 2515lib.SkipSetParametresForSensor
            If `2515lib,Input1*256+`2515lib,Input2=0 GoTo 2515lib.SkipSetParametresForSensor_address
            If Whose<>`2515lib,Input1*256+`2515lib,Input2 Set `2515lib.FlagError=1
            If Whose<>`2515lib,Input1*256+`2515lib,Input2 GoTo 2515lib.SkipSetParametresForSensor
:2515lib.SkipSetParametresForSensor_address
            Set `2515lib.FlagError=0
            If TransferSize<>2 Set `2515lib.FlagError=2
            If 128+`2515lib.Prefix<>`2515lib.Prefix1 Set `2515lib.FlagError=2
            If `2515lib.Command<>`2515lib.Command1 Set `2515lib.FlagError=2
:2515lib.SkipSetParametresForSensor
            Device `2515lib,DeviceAddress  //    
         CriticalSection End
Return //SetParametresForSensor






/////////////////////////////////////////////////////////////////////
//     
// 2515lib.GetParametresForSensor
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90004 -  
//      : BMem90004 -  
//             BMem90005 -  
//                     0 - 
//                     1 - 1 ()
//                     2 - 2 (Pt)
//             Mem90012  -    0 .
//             Mem90013  -   
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `2515lib,Input1=>BMem90001
Alias `2515lib,Input2=>BMem90002
Alias `2515lib.ChannelNumber=>BMem90004
Alias `2515lib.SensorType=>BMem90005
Alias `2515lib.Output1=>Mem90012
Alias `2515lib.Output2=>Mem90013
Alias `2515lib.FlagError=>BMem90010
Alias `2515lib.Prefix=>BMem90011
Alias `2515lib.Prefix1=>BMem90012
Alias `2515lib.Command=>BMem90013
Alias `2515lib.Command1=>BMem90014
Alias `2515lib,DeviceAddress=>Mem90001


:2515lib.GetParametresForSensor
         CriticalSection Begin
            Set `2515lib,DeviceAddress=DeviceAddress  //   
            Device `2515lib,Input1.`2515lib,Input2      //   () 
            Set `2515lib.Prefix=64
            Set `2515lib.Command=7
            Send <`2515lib.Prefix> <`2515lib.Command> <`2515lib.ChannelNumber>
            Receive <`2515lib.Prefix1> <`2515lib.Command1>  <`2515lib.ChannelNumber> <`2515lib.SensorType> <`2515lib.Output1:DinFloat> <`2515lib.Output2{:DinFloat}> 
            If TransferError Set `2515lib.FlagError=1
            If TransferError GoTo 2515lib.SkipGetParametresForSensor
            If `2515lib,Input1*256+`2515lib,Input2=0 GoTo 2515lib.SkipGetParametresForSensor_address
            If Whose<>`2515lib,Input1*256+`2515lib,Input2 Set `2515lib.FlagError=1
            If Whose<>`2515lib,Input1*256+`2515lib,Input2 GoTo 2515lib.SkipGetParametresForSensor
:2515lib.SkipGetParametresForSensor_address
            Set `2515lib.FlagError=0
            If TransferSize<>6 Set `2515lib.FlagError=2
            If 128+`2515lib.Prefix<>`2515lib.Prefix1 Set `2515lib.FlagError=2
            If `2515lib.Command<>`2515lib.Command1 Set `2515lib.FlagError=2
:2515lib.SkipGetParametresForSensor
            Device `2515lib,DeviceAddress  //    
         CriticalSection End
Return //GetParametresForSensor






/////////////////////////////////////////////////////////////////////
//      
// 2515lib.SetPointOfMeasure
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90004 -  
//             BMem90006 -   
//             Mem90014  -    
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `2515lib,Input1=>BMem90001
Alias `2515lib,Input2=>BMem90002
Alias `2515lib.ChannelNumber=>BMem90004
Alias `2515lib.Input3=>BMem90006
Alias `2515lib.Input4=>Mem90014
Alias `2515lib.FlagError=>BMem90010
Alias `2515lib.Prefix=>BMem90011
Alias `2515lib.Prefix1=>BMem90012
Alias `2515lib.Command=>BMem90013
Alias `2515lib.Command1=>BMem90014
Alias `2515lib,DeviceAddress=>Mem90001


:2515lib.SetPointOfMeasure
         CriticalSection Begin
            Set `2515lib,DeviceAddress=DeviceAddress  //   
            Device `2515lib,Input1.`2515lib,Input2      //   () 
            Set `2515lib.Prefix=64
            Set `2515lib.Command=8
            Send <`2515lib.Prefix> <`2515lib.Command> <`2515lib.ChannelNumber> <`2515lib.Input3> <`2515lib.Input4:DinFloat>
            Receive <`2515lib.Prefix1> <`2515lib.Command1> 
            If TransferError Set `2515lib.FlagError=1
            If TransferError GoTo 2515lib.SkipSetPointOfMeasure
            If `2515lib,Input1*256+`2515lib,Input2=0 GoTo 2515lib.SkipSetPointOfMeasure_address
            If Whose<>`2515lib,Input1*256+`2515lib,Input2 Set `2515lib.FlagError=1
            If Whose<>`2515lib,Input1*256+`2515lib,Input2 GoTo 2515lib.SkipSetPointOfMeasure
:2515lib.SkipSetPointOfMeasure_address
            Set `2515lib.FlagError=0
            If TransferSize<>2 Set `2515lib.FlagError=2
            If 128+`2515lib.Prefix<>`2515lib.Prefix1 Set `2515lib.FlagError=2
            If `2515lib.Command<>`2515lib.Command1 Set `2515lib.FlagError=2
:2515lib.SkipSetPointOfMeasure
            Device `2515lib,DeviceAddress  //    
         CriticalSection End
Return //SetPointOfMeasure





/////////////////////////////////////////////////////////////////////
//       
// 2515lib.SetK_ToMemory
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90004 -  
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `2515lib,Input1=>BMem90001
Alias `2515lib,Input2=>BMem90002
Alias `2515lib.ChannelNumber=>BMem90004
Alias `2515lib.FlagError=>BMem90010
Alias `2515lib.Prefix=>BMem90011
Alias `2515lib.Prefix1=>BMem90012
Alias `2515lib.Command=>BMem90013
Alias `2515lib.Command1=>BMem90014
Alias `2515lib,DeviceAddress=>Mem90001


:2515lib.SetK_ToMemory
         CriticalSection Begin
            Set `2515lib,DeviceAddress=DeviceAddress  //   
            Device `2515lib,Input1.`2515lib,Input2      //   () 
            Set `2515lib.Prefix=64
            Set `2515lib.Command=9
            Send <`2515lib.Prefix> <`2515lib.Command> <`2515lib.ChannelNumber> 
            Receive <`2515lib.Prefix1> <`2515lib.Command1> 
            If TransferError Set `2515lib.FlagError=1
            If TransferError GoTo 2515lib.SkipSetK_ToMemory
            If `2515lib,Input1*256+`2515lib,Input2=0 GoTo 2515lib.SkipSetK_ToMemory_address
            If Whose<>`2515lib,Input1*256+`2515lib,Input2 Set `2515lib.FlagError=1
            If Whose<>`2515lib,Input1*256+`2515lib,Input2 GoTo 2515lib.SkipSetK_ToMemory
:2515lib.SkipSetK_ToMemory_address
            Set `2515lib.FlagError=0
            If TransferSize<>2 Set `2515lib.FlagError=2
            If 128+`2515lib.Prefix<>`2515lib.Prefix1 Set `2515lib.FlagError=2
            If `2515lib.Command<>`2515lib.Command1 Set `2515lib.FlagError=2
:2515lib.SkipSetK_ToMemory
            Device `2515lib,DeviceAddress  //    
         CriticalSection End
Return //SetK_ToMemory








/////////////////////////////////////////////////////////////////////
//   
// 2515lib.SetParametresForResist
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90007 -   
//             Mem90015  -   
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `2515lib,Input1=>BMem90001
Alias `2515lib,Input2=>BMem90002
Alias `2515lib.Input3=>BMem90007
Alias `2515lib.Input4=>Mem90015
Alias `2515lib.FlagError=>BMem90010
Alias `2515lib.Prefix=>BMem90011
Alias `2515lib.Prefix1=>BMem90012
Alias `2515lib.Command=>BMem90013
Alias `2515lib.Command1=>BMem90014
Alias `2515lib,DeviceAddress=>Mem90001


:2515lib.SetParametresForResist
         CriticalSection Begin
            Set `2515lib,DeviceAddress=DeviceAddress  //   
            Device `2515lib,Input1.`2515lib,Input2      //   () 
            Set `2515lib.Prefix=64
            Set `2515lib.Command=10
            Send <`2515lib.Prefix> <`2515lib.Command> <`2515lib.Input3> <`2515lib.Input4:DinFloat> 
            Receive <`2515lib.Prefix1> <`2515lib.Command1> 
            If TransferError Set `2515lib.FlagError=1
            If TransferError GoTo 2515lib.SkipSetParametresForResist
            If `2515lib,Input1*256+`2515lib,Input2=0 GoTo 2515lib.SkipSetParametresForResist_address
            If Whose<>`2515lib,Input1*256+`2515lib,Input2 Set `2515lib.FlagError=1
            If Whose<>`2515lib,Input1*256+`2515lib,Input2 GoTo 2515lib.SkipSetParametresForResist
:2515lib.SkipSetParametresForResist_address
            Set `2515lib.FlagError=0
            If TransferSize<>2 Set `2515lib.FlagError=2
            If 128+`2515lib.Prefix<>`2515lib.Prefix1 Set `2515lib.FlagError=2
            If `2515lib.Command<>`2515lib.Command1 Set `2515lib.FlagError=2
:2515lib.SkipSetParametresForResist
            Device `2515lib,DeviceAddress  //    
         CriticalSection End
Return //SetParametresForResist




/////////////////////////////////////////////////////////////////////
//       
// 2515lib.SetResist_ToMemory
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `2515lib,Input1=>BMem90001
Alias `2515lib,Input2=>BMem90002
Alias `2515lib.FlagError=>BMem90010
Alias `2515lib.Prefix=>BMem90011
Alias `2515lib.Prefix1=>BMem90012
Alias `2515lib.Command=>BMem90013
Alias `2515lib.Command1=>BMem90014
Alias `2515lib,DeviceAddress=>Mem90001


:2515lib.SetResist_ToMemory
         CriticalSection Begin
            Set `2515lib,DeviceAddress=DeviceAddress  //   
            Device `2515lib,Input1.`2515lib,Input2      //   () 
            Set `2515lib.Prefix=64
            Set `2515lib.Command=11
            Send <`2515lib.Prefix> <`2515lib.Command> 
            Receive <`2515lib.Prefix1> <`2515lib.Command1> 
            If TransferError Set `2515lib.FlagError=1
            If TransferError GoTo 2515lib.SkipSetResist_ToMemory
            If `2515lib,Input1*256+`2515lib,Input2=0 GoTo 2515lib.SkipSetResist_ToMemory_address
            If Whose<>`2515lib,Input1*256+`2515lib,Input2 Set `2515lib.FlagError=1
            If Whose<>`2515lib,Input1*256+`2515lib,Input2 GoTo 2515lib.SkipSetResist_ToMemory
:2515lib.SkipSetResist_ToMemory_address
            Set `2515lib.FlagError=0
            If TransferSize<>2 Set `2515lib.FlagError=2
            If 128+`2515lib.Prefix<>`2515lib.Prefix1 Set `2515lib.FlagError=2
            If `2515lib.Command<>`2515lib.Command1 Set `2515lib.FlagError=2
:2515lib.SkipSetResist_ToMemory
            Device `2515lib,DeviceAddress  //    
         CriticalSection End
Return //SetResist_ToMemory



/////////////////////////////////////////////////////////////////////
//    .  
// 2515lib.GetK_P
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90004 -  
//      : BMem90004 -  
//             Mem90016  -  . b0 
//             Mem90017  -  . b1
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `2515lib,Input1=>BMem90001
Alias `2515lib,Input2=>BMem90002
Alias `2515lib.ChannelNumber=>BMem90004
Alias `2515lib.Output1=>Mem90016
Alias `2515lib.Output2=>Mem90017
Alias `2515lib.FlagError=>BMem90010
Alias `2515lib.Prefix=>BMem90011
Alias `2515lib.Prefix1=>BMem90012
Alias `2515lib.Command=>BMem90013
Alias `2515lib.Command1=>BMem90014
Alias `2515lib,DeviceAddress=>Mem90001


:2515lib.GetK_P
         CriticalSection Begin
            Set `2515lib,DeviceAddress=DeviceAddress  //   
            Device `2515lib,Input1.`2515lib,Input2      //   () 
            Set `2515lib.Prefix=64
            Set `2515lib.Command=12
            Send <`2515lib.Prefix> <`2515lib.Command> <`2515lib.ChannelNumber>
            Receive <`2515lib.Prefix1> <`2515lib.Command1> <`2515lib.ChannelNumber> <`2515lib.Output1:DinFloat> <`2515lib.Output2:DinFloat>
            If TransferError Set `2515lib.FlagError=1
            If TransferError GoTo 2515lib.SkipGetK_P
            If `2515lib,Input1*256+`2515lib,Input2=0 GoTo 2515lib.SkipGetK_P_address
            If Whose<>`2515lib,Input1*256+`2515lib,Input2 Set `2515lib.FlagError=1
            If Whose<>`2515lib,Input1*256+`2515lib,Input2 GoTo 2515lib.SkipGetK_P
:2515lib.SkipGetK_P_address
            Set `2515lib.FlagError=0
            If TransferSize<>5 Set `2515lib.FlagError=2
            If 128+`2515lib.Prefix<>`2515lib.Prefix1 Set `2515lib.FlagError=2
            If `2515lib.Command<>`2515lib.Command1 Set `2515lib.FlagError=2
:2515lib.SkipGetK_P
            Device `2515lib,DeviceAddress  //    
         CriticalSection End
Return //GetK_P




/////////////////////////////////////////////////////////////////////
//    .  
// 2515lib.SetK_P
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90004 -  
//             Mem90016  -  . b0 
//             Mem90017  -  . b1 
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `2515lib,Input1=>BMem90001
Alias `2515lib,Input2=>BMem90002
Alias `2515lib.ChannelNumber=>BMem90004
Alias `2515lib.Input3=>Mem90016
Alias `2515lib.Input4=>Mem90017
Alias `2515lib.FlagError=>BMem90010
Alias `2515lib.Prefix=>BMem90011
Alias `2515lib.Prefix1=>BMem90012
Alias `2515lib.Command=>BMem90013
Alias `2515lib.Command1=>BMem90014
Alias `2515lib,DeviceAddress=>Mem90001


:2515lib.SetK_P
         CriticalSection Begin
            Set `2515lib,DeviceAddress=DeviceAddress  //   
            Device `2515lib,Input1.`2515lib,Input2      //   () 
            Set `2515lib.Prefix=64
            Set `2515lib.Command=13
            Send <`2515lib.Prefix> <`2515lib.Command> <`2515lib.ChannelNumber> <`2515lib.Input3:DinFloat> <`2515lib.Input4:DinFloat>
            Receive <`2515lib.Prefix1> <`2515lib.Command1> 
            If TransferError Set `2515lib.FlagError=1
            If TransferError GoTo 2515lib.SkipSetK_P
            If `2515lib,Input1*256+`2515lib,Input2=0 GoTo 2515lib.SkipSetK_P_address
            If Whose<>`2515lib,Input1*256+`2515lib,Input2 Set `2515lib.FlagError=1
            If Whose<>`2515lib,Input1*256+`2515lib,Input2 GoTo 2515lib.SkipSetK_P
:2515lib.SkipSetK_P_address
            Set `2515lib.FlagError=0
            If TransferSize<>2 Set `2515lib.FlagError=2
            If 128+`2515lib.Prefix<>`2515lib.Prefix1 Set `2515lib.FlagError=2
            If `2515lib.Command<>`2515lib.Command1 Set `2515lib.FlagError=2
:2515lib.SkipSetK_P
            Device `2515lib,DeviceAddress  //    
         CriticalSection End
Return //SetK_P





/////////////////////////////////////////////////////////////////////
//  .  
// 2515lib.SkipK_P
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90004 -   
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `2515lib,Input1=>BMem90001
Alias `2515lib,Input2=>BMem90002
Alias `2515lib.ChannelNumber=>BMem90004
Alias `2515lib.FlagError=>BMem90010
Alias `2515lib.Prefix=>BMem90011
Alias `2515lib.Prefix1=>BMem90012
Alias `2515lib.Command=>BMem90013
Alias `2515lib.Command1=>BMem90014
Alias `2515lib,DeviceAddress=>Mem90001


:2515lib.SkipK_P
         CriticalSection Begin
            Set `2515lib,DeviceAddress=DeviceAddress  //   
            Device `2515lib,Input1.`2515lib,Input2      //   () 
            Set `2515lib.Prefix=64
            Set `2515lib.Command=14
            Send <`2515lib.Prefix> <`2515lib.Command> <`2515lib.ChannelNumber>
            Receive <`2515lib.Prefix1> <`2515lib.Command1> 
            If TransferError Set `2515lib.FlagError=1
            If TransferError GoTo 2515lib.SkipK_P
            If `2515lib,Input1*256+`2515lib,Input2=0 GoTo 2515lib.SkipK_P_address
            If Whose<>`2515lib,Input1*256+`2515lib,Input2 Set `2515lib.FlagError=1
            If Whose<>`2515lib,Input1*256+`2515lib,Input2 GoTo 2515lib.SkipK_P
:2515lib.SkipK_P_address
            Set `2515lib.FlagError=0
            If TransferSize<>2 Set `2515lib.FlagError=2
            If 128+`2515lib.Prefix<>`2515lib.Prefix1 Set `2515lib.FlagError=2
            If `2515lib.Command<>`2515lib.Command1 Set `2515lib.FlagError=2
:2515lib.SkipK_P
            Device `2515lib,DeviceAddress  //    
         CriticalSection End
Return //SkipK_P





/////////////////////////////////////////////////////////////////////
//   
// 2515lib.AutoCalibDevice
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `2515lib,Input1=>BMem90001
Alias `2515lib,Input2=>BMem90002
Alias `2515lib.FlagError=>BMem90010
Alias `2515lib.Prefix=>BMem90011
Alias `2515lib.Prefix1=>BMem90012
Alias `2515lib.Command=>BMem90013
Alias `2515lib.Command1=>BMem90014
Alias `2515lib,DeviceAddress=>Mem90001


:2515lib.AutoCalibDevice
         CriticalSection Begin
            Set `2515lib,DeviceAddress=DeviceAddress  //   
            Device `2515lib,Input1.`2515lib,Input2      //   () 
            Set `2515lib.Prefix=64
            Set `2515lib.Command=15
            Send <`2515lib.Prefix> <`2515lib.Command> 
            Receive <`2515lib.Prefix1> <`2515lib.Command1> 
            If TransferError Set `2515lib.FlagError=1
            If TransferError GoTo 2515lib.SkipAutoCalibDevice
            If `2515lib,Input1*256+`2515lib,Input2=0 GoTo 2515lib.SkipAutoCalibDevice_address
            If Whose<>`2515lib,Input1*256+`2515lib,Input2 Set `2515lib.FlagError=1
            If Whose<>`2515lib,Input1*256+`2515lib,Input2 GoTo 2515lib.SkipAutoCalibDevice
:2515lib.SkipAutoCalibDevice_address
            Set `2515lib.FlagError=0
            If TransferSize<>2 Set `2515lib.FlagError=2
            If 128+`2515lib.Prefix<>`2515lib.Prefix1 Set `2515lib.FlagError=2
            If `2515lib.Command<>`2515lib.Command1 Set `2515lib.FlagError=2
:2515lib.SkipAutoCalibDevice
            Device `2515lib,DeviceAddress  //    
         CriticalSection End
Return //SkipK_P



/////////////////////////////////////////////////////////////////////
//      
// 2515lib.AutoResist
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `2515lib,Input1=>BMem90001
Alias `2515lib,Input2=>BMem90002
Alias `2515lib.FlagError=>BMem90010
Alias `2515lib.Prefix=>BMem90011
Alias `2515lib.Prefix1=>BMem90012
Alias `2515lib.Command=>BMem90013
Alias `2515lib.Command1=>BMem90014
Alias `2515lib,DeviceAddress=>Mem90001


:2515lib.AutoResist
         CriticalSection Begin
            Set `2515lib,DeviceAddress=DeviceAddress  //   
            Device `2515lib,Input1.`2515lib,Input2      //   () 
            Set `2515lib.Prefix=64
            Set `2515lib.Command=16
            Send <`2515lib.Prefix> <`2515lib.Command> 
            Receive <`2515lib.Prefix1> <`2515lib.Command1> 
            If TransferError Set `2515lib.FlagError=1
            If TransferError GoTo 2515lib.SkipAutoResist
            If `2515lib,Input1*256+`2515lib,Input2=0 GoTo 2515lib.SkipAutoResist_address
            If Whose<>`2515lib,Input1*256+`2515lib,Input2 Set `2515lib.FlagError=1
            If Whose<>`2515lib,Input1*256+`2515lib,Input2 GoTo 2515lib.SkipAutoResist
:2515lib.SkipAutoResist_address
            Set `2515lib.FlagError=0
            If TransferSize<>2 Set `2515lib.FlagError=2
            If 128+`2515lib.Prefix<>`2515lib.Prefix1 Set `2515lib.FlagError=2
            If `2515lib.Command<>`2515lib.Command1 Set `2515lib.FlagError=2
:2515lib.SkipAutoResist
            Device `2515lib,DeviceAddress  //    
         CriticalSection End
Return //AutoResist

