/////////////////////////////////////////////////////////////////////
//        2516
// 2516LIB.dsl
/////////////////////////////////////////////////////////////////////
//
//         
// 2516lib.GetTcurrent
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             90004 -  
//      : Mem90003  -     
//             BMem90003 -  
//             Mem90004 -  
//             Mem90005 -     
//                     0 -  
//                     1 -  
//                     2 -  
//                     3 -   
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//--------------------------------------------------------------------
//
//        
// 2516lib.GetRcurrent
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             90004 -  
//      : Mem90004  -    
//             BMem90003 -  
//             90004 -  
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//-------------------------------------------------------------------- 
//
//         
// 2516lib.GetTbetweenChannel
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             90006 -   ()
//             90007 -   ()
//      : 90006 -   ()
//             90007 -   ()
//             Mem90008 -     
//             Mem90009 -     
//             Mem90005  -   
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//--------------------------------------------------------------------
//
//           
// 2516lib.GetTbetweenChannelAndNumber
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             90006 -   ()
//      : 90008 -  
//             Mem90003 -   
//             Mem90006  -    /     
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//--------------------------------------------------------------------
//
//     
// 2516lib.SetNumberOfMeasure
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90003 -  
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//-------------------------------------------------------------------- 
//     
// 2516lib.GetNumberOfMeasure
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : BMem90003 -  
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//-------------------------------------------------------------------- 
//     
// 2516lib.SetParametresForSensor
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90004 -  
//             BMem90030 -  
//                     0 - 
//                     1 - 1 ()
//                     2 - 2 (Pt)
//             Mem90007  -    0 .
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//--------------------------------------------------------------------
//     
// 2516lib.GetParametresForSensor
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90004 -  
//      : BMem90004 -  
//             BMem90030 -  
//                     0 - 
//                     1 - 1 ()
//                     2 - 2 (Pt)
//             Mem90007  -    0 .
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//--------------------------------------------------------------------
//       
// 2516lib.SetK_ToMemory
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90004 -  
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//--------------------------------------------------------------------
//   
// 2516lib.FixOporaCalibration
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90004 -     
//             Mem90015  -   
//      : BMem90032 -    
//                0 - 
//                1 -    
//        BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//--------------------------------------------------------------------
//       
// 2516lib.SetResist_ToMemory
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//--------------------------------------------------------------------
//    .  
// 2516lib.GetK_P
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90004 -  
//      : BMem90004 -  
//             Mem90016  -  . b0 
//             Mem90017  -  . b1
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//--------------------------------------------------------------------
//    .  
// 2516lib.SetK_P
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90004 -  
//             Mem90016  -  . b0 
//             Mem90017  -  . b1 
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//--------------------------------------------------------------------
//
//  .  
// 2516lib.SkipK_P
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90004 -   
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//--------------------------------------------------------------------
//
//     
// 2516lib.SetRopInbegin
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//-------------------------------------------------------------------- 
//
//     EEPROM
// 2516lib.SaveInEEPROM
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//--------------------------------------------------------------------
//
//     EEPROM
// 2516lib.ReadFromEEPROM
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//--------------------------------------------------------------------
//
//    
// 2516lib.GetMinT
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : Mem90018  -    
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//-------------------------------------------------------------------- 
//       
// 2516lib.SetMinT
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             Mem90018  -     
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//-------------------------------------------------------------------- 
//    
// 2516lib.GetRop
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : Mem90017  -    
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//--------------------------------------------------------------------
//  -        
// 2516lib.SetPointOfMeasure
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90004 -  
//             BMem90033 -   
//             Mem90014  -    
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//--------------------------------------------------------------------
//
//    
// 2516lib.GetMaxT
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : Mem90019  -    
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//--------------------------------------------------------------------
//       
// 2516lib.SetMaxT
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             Mem90019  -     
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//--------------------------------------------------------------------
//    
// 2516lib.GetBaseT
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : Mem90020  -   
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//--------------------------------------------------------------------
//      
// 2516lib.SetBaseT
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             Mem90020  -    
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//--------------------------------------------------------------------
//    / 
// 2516lib.GetBlockChannel
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : BMem90035 -  ./.   
//                     0 -  
//                     1 -  
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//--------------------------------------------------------------------
//    / 
// 2516lib.SetBlockChannel
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90035 -  ./.   
//                     0 -  
//                     1 -  
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//--------------------------------------------------------------------
//    /   
// 2516lib.GetInformationAboutSound
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : BMem90037 -  ./. 
//                     0 -  
//                     1 -  
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//--------------------------------------------------------------------
//    /   
// 2516lib.SetInformationAboutSound
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90037 -  ./. 
//                     0 -  
//                     1 -  
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//--------------------------------------------------------------------
//     ./. 
// 2516lib.GetInformationAboutLimits
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : BMem90036 - 
//                     0 -     
//                     1 -    
//                     2 -    
//                     3 -       
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//--------------------------------------------------------------------
//     ./ 
// 2516lib.SetInformationAboutLimits
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90036 -  
//                     0 -     
//                     1 -    
//                     2 -    
//                     3 -      
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//--------------------------------------------------------------------
//
//   
// 2516lib.AutoCalibZero
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////

/////////////////////////////////////////////////////////////////////
//         
// 2516lib.GetTcurrent
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             90004 -  
//      : Mem90003  -     
//             BMem90003 -  
//             Mem90004 -  
//             Mem90005 -     
//                     0 -  
//                     1 -  
//                     2 -  
//                     3 -   
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `2516lib,Input1=>BMem90001
Alias `2516lib,Input2=>BMem90002
Alias `2516lib.Input3=>BMem90004
Alias `2516lib.Output2=>BMem90003
Alias `2516lib.Output1=>BMem90004
Alias `2516lib.Output4=>BMem90005
Alias `2516lib.Output3=>Mem90003
Alias `2516lib.FlagError=>BMem90010
Alias `2516lib.Prefix=>BMem90011
Alias `2516lib.Prefix1=>BMem90012
Alias `2516lib.Command=>BMem90013
Alias `2516lib.Command1=>BMem90014
Alias `2516lib,DeviceAddress=>Mem90001


:2516lib.GetTcurrent
         CriticalSection Begin
            Set `2516lib,DeviceAddress=DeviceAddress  //   
            Device `2516lib,Input1.`2516lib,Input2      //   () 
            Set `2516lib.Prefix=64
            Set `2516lib.Command=1
            Send <`2516lib.Prefix> <`2516lib.Command> <`2516lib.Input3>
            Receive <`2516lib.Prefix1> <`2516lib.Command1> <`2516lib.Output1> <`2516lib.Output2> <`2516lib.Output3:DinFloat> <`2516lib.Output4> 
            If TransferError Set `2516lib.FlagError=1
            If TransferError GoTo 2516lib.SkipGetTcurrent
            If `2516lib,Input1*256+`2516lib,Input2=0 GoTo 2516lib.SkipGetTcurrent_address
            If Whose<>`2516lib,Input1*256+`2516lib,Input2 Set `2516lib.FlagError=1
            If Whose<>`2516lib,Input1*256+`2516lib,Input2 GoTo 2516lib.SkipGetTcurrent
:2516lib.SkipGetTcurrent_address
            Set `2516lib.FlagError=0
            If TransferSize<>6 Set `2516lib.FlagError=2
            If 128+`2516lib.Prefix<>`2516lib.Prefix1 Set `2516lib.FlagError=2
            If `2516lib.Command<>`2516lib.Command1 Set `2516lib.FlagError=2
            If `2516lib.FlagError<>0 GoTo 2516lib.SkipGetTcurrent
            If InvalidTransfer5=1 Set  `2516lib.FlagError=3
:2516lib.SkipGetTcurrent
            Device `2516lib,DeviceAddress  //    
         CriticalSection End
Return //GetTcurrent


/////////////////////////////////////////////////////////////////////
//        
// 2516lib.GetRcurrent
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             90004 -  
//      : Mem90004  -    
//             BMem90003 -  
//             90004 -  
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `2516lib,Input1=>BMem90001
Alias `2516lib,Input2=>BMem90002
Alias `2516lib.Input3=>BMem90004
Alias `2516lib.Output1=>Mem90004
Alias `2516lib.Output2=>BMem90003
Alias `2516lib.Output3=>BMem90004
Alias `2516lib.FlagError=>BMem90010
Alias `2516lib.Prefix=>BMem90011
Alias `2516lib.Prefix1=>BMem90012
Alias `2516lib.Command=>BMem90013
Alias `2516lib.Command1=>BMem90014
Alias `2516lib,DeviceAddress=>Mem90001


:2516lib.GetRcurrent
         CriticalSection Begin
            Set `2516lib,DeviceAddress=DeviceAddress  //   
            Device `2516lib,Input1.`2516lib,Input2      //   () 
            Set `2516lib.Prefix=64
            Set `2516lib.Command=2
            Send <`2516lib.Prefix> <`2516lib.Command> <`2516lib.Input3>
            Receive <`2516lib.Prefix1> <`2516lib.Command1> <`2516lib.Output3> <`2516lib.Output2> <`2516lib.Output1:DinFloat>  
            If TransferError Set `2516lib.FlagError=1
            If TransferError GoTo 2516lib.SkipGetRcurrent
            If `2516lib,Input1*256+`2516lib,Input2=0 GoTo 2516lib.SkipGetRcurrent_address
            If Whose<>`2516lib,Input1*256+`2516lib,Input2 Set `2516lib.FlagError=1
            If Whose<>`2516lib,Input1*256+`2516lib,Input2 GoTo 2516lib.SkipGetRcurrent
:2516lib.SkipGetRcurrent_address
            Set `2516lib.FlagError=0
            If TransferSize<>5 Set `2516lib.FlagError=2
            If 128+`2516lib.Prefix<>`2516lib.Prefix1 Set `2516lib.FlagError=2
            If `2516lib.Command<>`2516lib.Command1 Set `2516lib.FlagError=2
            If `2516lib.FlagError<>0 GoTo 2516lib.SkipGetRcurrent
            If InvalidTransfer5=1 Set  `2516lib.FlagError=3
:2516lib.SkipGetRcurrent
            Device `2516lib,DeviceAddress  //    
         CriticalSection End
Return //GetTcurrentAndResist


/////////////////////////////////////////////////////////////////////
//         
// 2516lib.GetTbetweenChannel
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             90006 -   ()
//             90007 -   ()
//      : 90006 -   ()
//             90007 -   ()
//             Mem90008 -     
//             Mem90009 -     
//             Mem90005  -   
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `2516lib,Input1=>BMem90001
Alias `2516lib,Input2=>BMem90002
Alias `2516lib.Input3=>BMem90006
Alias `2516lib.Input4=>BMem90007
Alias `2516lib.Output1=>BMem90006
Alias `2516lib.Output2=>BMem90007
Alias `2516lib.Output3=>BMem90008
Alias `2516lib.Output4=>BMem90009
Alias `2516lib.Output5=>Mem90005
Alias `2516lib.FlagError=>BMem90010
Alias `2516lib.Prefix=>BMem90011
Alias `2516lib.Prefix1=>BMem90012
Alias `2516lib.Command=>BMem90013
Alias `2516lib.Command1=>BMem90014
Alias `2516lib,DeviceAddress=>Mem90001

:2516lib.GetTbetweenChannel
         CriticalSection Begin
            Set `2516lib,DeviceAddress=DeviceAddress  //   
            Device `2516lib,Input1.`2516lib,Input2      //   () 
            Set `2516lib.Prefix=64
            Set `2516lib.Command=3
            Send <`2516lib.Prefix> <`2516lib.Command> <`2516lib.Input3> <`2516lib.Input4>
            Receive <`2516lib.Prefix1> <`2516lib.Command1> <`2516lib.Output1> <`2516lib.Output2> <`2516lib.Output3> <`2516lib.Output4> <`2516lib.Output5:DinFloat>
            If TransferError Set `2516lib.FlagError=1
            If TransferError GoTo 2516lib.SkipGetTbetweenChannel
            If `2516lib,Input1*256+`2516lib,Input2=0 GoTo 2516lib.SkipGetTbetweenChannel_address
            If Whose<>`2516lib,Input1*256+`2516lib,Input2 Set `2516lib.FlagError=1
            If Whose<>`2516lib,Input1*256+`2516lib,Input2 GoTo 2516lib.SkipGetTbetweenChannel
:2516lib.SkipGetTbetweenChannel_address
            Set `2516lib.FlagError=0
            If TransferSize<>7 Set `2516lib.FlagError=2
            If 128+`2516lib.Prefix<>`2516lib.Prefix1 Set `2516lib.FlagError=2
            If `2516lib.Command<>`2516lib.Command1 Set `2516lib.FlagError=2
:2516lib.SkipGetTbetweenChannel
            Device `2516lib,DeviceAddress  //    
         CriticalSection End
Return //GetTbetweenChannel


/////////////////////////////////////////////////////////////////////
//           
// 2516lib.GetTbetweenChannelAndNumber
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             90006 -   ()
//      : 90008 -  
//             Mem90003 -   
//             Mem90006  -    /     
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `2516lib,Input1=>BMem90001
Alias `2516lib,Input2=>BMem90002
Alias `2516lib.Input3=>BMem90006
Alias `2516lib.Output1=>BMem90003
Alias `2516lib.Output2=>BMem90008
Alias `2516lib.Output3=>Mem90006
Alias `2516lib.FlagError=>BMem90010
Alias `2516lib.Prefix=>BMem90011
Alias `2516lib.Prefix1=>BMem90012
Alias `2516lib.Command=>BMem90013
Alias `2516lib.Command1=>BMem90014
Alias `2516lib,DeviceAddress=>Mem90001


:2516lib.GetTbetweenChannelAndNumber
         CriticalSection Begin
            Set `2516lib,DeviceAddress=DeviceAddress  //   
            Device `2516lib,Input1.`2516lib,Input2      //   () 
            Set `2516lib.Prefix=64
            Set `2516lib.Command=4
            Send <`2516lib.Prefix> <`2516lib.Command> <`2516lib.Input3>
            Receive <`2516lib.Prefix1> <`2516lib.Command1> <`2516lib.Output2> <`2516lib.Output1> <`2516lib.Output3:DinFloat>
            If TransferError Set `2516lib.FlagError=1
            If TransferError GoTo 2516lib.SkipGetTbetweenChannelAndNumber
            If `2516lib,Input1*256+`2516lib,Input2=0 GoTo 2516lib.SkipGetTbetweenChannelAndNumber_address
            If Whose<>`2516lib,Input1*256+`2516lib,Input2 Set `2516lib.FlagError=1
            If Whose<>`2516lib,Input1*256+`2516lib,Input2 GoTo 2516lib.SkipGetTbetweenChannelAndNumber
:2516lib.SkipGetTbetweenChannelAndNumber_address
            Set `2516lib.FlagError=0
            If TransferSize<>5 Set `2516lib.FlagError=2
            If 128+`2516lib.Prefix<>`2516lib.Prefix1 Set `2516lib.FlagError=2
            If `2516lib.Command<>`2516lib.Command1 Set `2516lib.FlagError=2
:2516lib.SkipGetTbetweenChannelAndNumber
            Device `2516lib,DeviceAddress  //    
         CriticalSection End
Return //GetTbetweenChannelAndNumber

/////////////////////////////////////////////////////////////////////
//     
// 2516lib.SetNumberOfMeasure
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90003 -  
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `2516lib,Input1=>BMem90001
Alias `2516lib,Input2=>BMem90002
Alias `2516lib.Input3=>BMem90003
Alias `2516lib.FlagError=>BMem90010
Alias `2516lib.Prefix=>BMem90011
Alias `2516lib.Prefix1=>BMem90012
Alias `2516lib.Command=>BMem90013
Alias `2516lib.Command1=>BMem90014
Alias `2516lib,DeviceAddress=>Mem90001

:2516lib.SetNumberOfMeasure
         CriticalSection Begin
            Set `2516lib,DeviceAddress=DeviceAddress  //   
            Device `2516lib,Input1.`2516lib,Input2      //   () 
            Set `2516lib.Prefix=64
            Set `2516lib.Command=31
            Send <`2516lib.Prefix> <`2516lib.Command> <`2516lib.Input3>
            Receive <`2516lib.Prefix1> <`2516lib.Command1>
            If TransferError Set `2516lib.FlagError=1
            If TransferError GoTo 2516lib.SkipSetNumberOfMeasure
            If `2516lib,Input1*256+`2516lib,Input2=0 GoTo 2516lib.SkipSetNumberOfMeasure_address
            If Whose<>`2516lib,Input1*256+`2516lib,Input2 Set `2516lib.FlagError=1
            If Whose<>`2516lib,Input1*256+`2516lib,Input2 GoTo 2516lib.SkipSetNumberOfMeasure
:2516lib.SkipSetNumberOfMeasure_address
            Set `2516lib.FlagError=0
            If TransferSize<>2 Set `2516lib.FlagError=2
            If 128+`2516lib.Prefix<>`2516lib.Prefix1 Set `2516lib.FlagError=2
            If `2516lib.Command<>`2516lib.Command1 Set `2516lib.FlagError=2
:2516lib.SkipSetNumberOfMeasure
            Device `2516lib,DeviceAddress  //    
         CriticalSection End
Return //SetNumberOfMeasure


/////////////////////////////////////////////////////////////////////
//     
// 2516lib.GetNumberOfMeasure
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : BMem90003 -  
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `2516lib,Input1=>BMem90001
Alias `2516lib,Input2=>BMem90002
Alias `2516lib.Output1=>BMem90003
Alias `2516lib.FlagError=>BMem90010
Alias `2516lib.Prefix=>BMem90011
Alias `2516lib.Prefix1=>BMem90012
Alias `2516lib.Command=>BMem90013
Alias `2516lib.Command1=>BMem90014
Alias `2516lib,DeviceAddress=>Mem90001


:2516lib.GetNumberOfMeasure
         CriticalSection Begin
            Set `2516lib,DeviceAddress=DeviceAddress  //   
            Device `2516lib,Input1.`2516lib,Input2      //   () 
            Set `2516lib.Prefix=64
            Set `2516lib.Command=30
            Send <`2516lib.Prefix> <`2516lib.Command>
            Receive <`2516lib.Prefix1> <`2516lib.Command1> <`2516lib.Output1>
            If TransferError Set `2516lib.FlagError=1
            If TransferError GoTo 2516lib.SkipGetNumberOfMeasure
            If `2516lib,Input1*256+`2516lib,Input2=0 GoTo 2516lib.SkipGetNumberOfMeasure_address
            If Whose<>`2516lib,Input1*256+`2516lib,Input2 Set `2516lib.FlagError=1
            If Whose<>`2516lib,Input1*256+`2516lib,Input2 GoTo 2516lib.SkipGetNumberOfMeasure
:2516lib.SkipGetNumberOfMeasure_address
            Set `2516lib.FlagError=0
            If TransferSize<>3 Set `2516lib.FlagError=2
            If 128+`2516lib.Prefix<>`2516lib.Prefix1 Set `2516lib.FlagError=2
            If `2516lib.Command<>`2516lib.Command1 Set `2516lib.FlagError=2
:2516lib.SkipGetNumberOfMeasure
            Device `2516lib,DeviceAddress  //    
         CriticalSection End
Return //GetNumberOfMeasure


/////////////////////////////////////////////////////////////////////
//     
// 2516lib.SetParametresForSensor
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90004 -  
//             BMem90030 -  
//                     0 - 
//                     1 - 1 ()
//                     2 - 2 (Pt)
//             Mem90007  -    0 .
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `2516lib,Input1=>BMem90001
Alias `2516lib,Input2=>BMem90002
Alias `2516lib.ChannelNumber=>BMem90004
Alias `2516lib.SensorType=>BMem90030
Alias `2516lib.Input3=>Mem90007
Alias `2516lib.FlagError=>BMem90010
Alias `2516lib.Prefix=>BMem90011
Alias `2516lib.Prefix1=>BMem90012
Alias `2516lib.Command=>BMem90013
Alias `2516lib.Command1=>BMem90014
Alias `2516lib,DeviceAddress=>Mem90001

:2516lib.SetParametresForSensor
         CriticalSection Begin
            Set `2516lib,DeviceAddress=DeviceAddress  //   
            Device `2516lib,Input1.`2516lib,Input2      //   () 
            Set `2516lib.Prefix=64
            Set `2516lib.Command=5
            Send <`2516lib.Prefix> <`2516lib.Command> <`2516lib.ChannelNumber> <`2516lib.SensorType> <`2516lib.Input3:DinFloat>  
            Receive <`2516lib.Prefix1> <`2516lib.Command1> 
            If TransferError Set `2516lib.FlagError=1
            If TransferError GoTo 2516lib.SkipSetParametresForSensor
            If `2516lib,Input1*256+`2516lib,Input2=0 GoTo 2516lib.SkipSetParametresForSensor_address
            If Whose<>`2516lib,Input1*256+`2516lib,Input2 Set `2516lib.FlagError=1
            If Whose<>`2516lib,Input1*256+`2516lib,Input2 GoTo 2516lib.SkipSetParametresForSensor
:2516lib.SkipSetParametresForSensor_address
            Set `2516lib.FlagError=0
            If TransferSize<>2 Set `2516lib.FlagError=2
            If 128+`2516lib.Prefix<>`2516lib.Prefix1 Set `2516lib.FlagError=2
            If `2516lib.Command<>`2516lib.Command1 Set `2516lib.FlagError=2
:2516lib.SkipSetParametresForSensor
            Device `2516lib,DeviceAddress  //    
         CriticalSection End
Return //SetParametresForSensor


/////////////////////////////////////////////////////////////////////
//     
// 2516lib.GetParametresForSensor
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90004 -  
//      : BMem90004 -  
//             BMem90030 -  
//                     0 - 
//                     1 - 1 ()
//                     2 - 2 (Pt)
//             Mem90007  -    0 .
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `2516lib,Input1=>BMem90001
Alias `2516lib,Input2=>BMem90002
Alias `2516lib.ChannelNumber=>BMem90004
Alias `2516lib.SensorType=>BMem90030
Alias `2516lib.Output1=>Mem90007
Alias `2516lib.FlagError=>BMem90010
Alias `2516lib.Prefix=>BMem90011
Alias `2516lib.Prefix1=>BMem90012
Alias `2516lib.Command=>BMem90013
Alias `2516lib.Command1=>BMem90014
Alias `2516lib,DeviceAddress=>Mem90001


:2516lib.GetParametresForSensor
         CriticalSection Begin
            Set `2516lib,DeviceAddress=DeviceAddress  //   
            Device `2516lib,Input1.`2516lib,Input2      //   () 
            Set `2516lib.Prefix=64
            Set `2516lib.Command=6
            Send <`2516lib.Prefix> <`2516lib.Command> <`2516lib.ChannelNumber>
            Receive <`2516lib.Prefix1> <`2516lib.Command1>  <`2516lib.ChannelNumber> <`2516lib.SensorType> <`2516lib.Output1:DinFloat> 
            If TransferError Set `2516lib.FlagError=1
            If TransferError GoTo 2516lib.SkipGetParametresForSensor
            If `2516lib,Input1*256+`2516lib,Input2=0 GoTo 2516lib.SkipGetParametresForSensor_address
            If Whose<>`2516lib,Input1*256+`2516lib,Input2 Set `2516lib.FlagError=1
            If Whose<>`2516lib,Input1*256+`2516lib,Input2 GoTo 2516lib.SkipGetParametresForSensor
:2516lib.SkipGetParametresForSensor_address
            Set `2516lib.FlagError=0
            If TransferSize<>5 Set `2516lib.FlagError=2
            If 128+`2516lib.Prefix<>`2516lib.Prefix1 Set `2516lib.FlagError=2
            If `2516lib.Command<>`2516lib.Command1 Set `2516lib.FlagError=2
:2516lib.SkipGetParametresForSensor
            Device `2516lib,DeviceAddress  //    
         CriticalSection End
Return //GetParametresForSensor

/////////////////////////////////////////////////////////////////////
//       
// 2516lib.SetK_ToMemory
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90004 -  
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `2516lib,Input1=>BMem90001
Alias `2516lib,Input2=>BMem90002
Alias `2516lib.ChannelNumber=>BMem90004
Alias `2516lib.FlagError=>BMem90010
Alias `2516lib.Prefix=>BMem90011
Alias `2516lib.Prefix1=>BMem90012
Alias `2516lib.Command=>BMem90013
Alias `2516lib.Command1=>BMem90014
Alias `2516lib,DeviceAddress=>Mem90001

:2516lib.SetK_ToMemory
         CriticalSection Begin
            Set `2516lib,DeviceAddress=DeviceAddress  //   
            Device `2516lib,Input1.`2516lib,Input2      //   () 
            Set `2516lib.Prefix=64
            Set `2516lib.Command=8
            Send <`2516lib.Prefix> <`2516lib.Command> <`2516lib.ChannelNumber>
            Receive <`2516lib.Prefix1> <`2516lib.Command1> 
            If TransferError Set `2516lib.FlagError=1
            If TransferError GoTo 2516lib.SkipSetK_ToMemory
            If `2516lib,Input1*256+`2516lib,Input2=0 GoTo 2516lib.SkipSetKToMemory_address
            If Whose<>`2516lib,Input1*256+`2516lib,Input2 Set `2516lib.FlagError=1
            If Whose<>`2516lib,Input1*256+`2516lib,Input2 GoTo 2516lib.SkipSetK_ToMemory
:2516lib.SkipSetKToMemory_address
            Set `2516lib.FlagError=0
            If TransferSize<>2 Set `2516lib.FlagError=2
            If 128+`2516lib.Prefix<>`2516lib.Prefix1 Set `2516lib.FlagError=2
            If `2516lib.Command<>`2516lib.Command1 Set `2516lib.FlagError=2
:2516lib.SkipSetK_ToMemory
            Device `2516lib,DeviceAddress  //    
         CriticalSection End
Return //SetK_ToMemory

/////////////////////////////////////////////////////////////////////
//   
// 2516lib.FixOporaCalibration
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90004 -   
//             Mem90015  -   
//      : BMem90032 -    
//                     0 - 
//                     1 -    
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `2516lib,Input1=>BMem90001
Alias `2516lib,Input2=>BMem90002
Alias `2516lib.Input3=>BMem90004
Alias `2516lib.Input4=>Mem90015
Alias `2516lib.Output1=>BMem90032
Alias `2516lib.FlagError=>BMem90010
Alias `2516lib.Prefix=>BMem90011
Alias `2516lib.Prefix1=>BMem90012
Alias `2516lib.Command=>BMem90013
Alias `2516lib.Command1=>BMem90014
Alias `2516lib,DeviceAddress=>Mem90001


:2516lib.FixOporaCalibration
         CriticalSection Begin
            Set `2516lib,DeviceAddress=DeviceAddress  //   
            Device `2516lib,Input1.`2516lib,Input2      //   () 
            Set `2516lib.Prefix=64
            Set `2516lib.Command=9
            Send <`2516lib.Prefix> <`2516lib.Command> <`2516lib.Input3> <`2516lib.Input4:DinFloat> 
            Receive <`2516lib.Prefix1> <`2516lib.Command1> <`2516lib.Output1>
            If TransferError Set `2516lib.FlagError=1
            If TransferError GoTo 2516lib.SkipFixOporaCalibration
            If `2516lib,Input1*256+`2516lib,Input2=0 GoTo 2516lib.SkipFixOporaCalibration_address
            If Whose<>`2516lib,Input1*256+`2516lib,Input2 Set `2516lib.FlagError=1
            If Whose<>`2516lib,Input1*256+`2516lib,Input2 GoTo 2516lib.SkipFixOporaCalibration
:2516lib.SkipFixOporaCalibration_address
            Set `2516lib.FlagError=0
            If TransferSize<>3 Set `2516lib.FlagError=2
            If 128+`2516lib.Prefix<>`2516lib.Prefix1 Set `2516lib.FlagError=2
            If `2516lib.Command<>`2516lib.Command1 Set `2516lib.FlagError=2
:2516lib.SkipFixOporaCalibration
            Device `2516lib,DeviceAddress  //    
         CriticalSection End
Return //FixOporaCalibration

/////////////////////////////////////////////////////////////////////
//       
// 2516lib.SetResist_ToMemory
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `2516lib,Input1=>BMem90001
Alias `2516lib,Input2=>BMem90002
Alias `2516lib.FlagError=>BMem90010
Alias `2516lib.Prefix=>BMem90011
Alias `2516lib.Prefix1=>BMem90012
Alias `2516lib.Command=>BMem90013
Alias `2516lib.Command1=>BMem90014
Alias `2516lib,DeviceAddress=>Mem90001


:2516lib.SetResist_ToMemory
         CriticalSection Begin
            Set `2516lib,DeviceAddress=DeviceAddress  //   
            Device `2516lib,Input1.`2516lib,Input2      //   () 
            Set `2516lib.Prefix=64
            Set `2516lib.Command=10
            Send <`2516lib.Prefix> <`2516lib.Command> 
            Receive <`2516lib.Prefix1> <`2516lib.Command1> 
            If TransferError Set `2516lib.FlagError=1
            If TransferError GoTo 2516lib.SkipSetResist_ToMemory
            If `2516lib,Input1*256+`2516lib,Input2=0 GoTo 2516lib.SkipSetResistToMemory_address
            If Whose<>`2516lib,Input1*256+`2516lib,Input2 Set `2516lib.FlagError=1
            If Whose<>`2516lib,Input1*256+`2516lib,Input2 GoTo 2516lib.SkipSetResist_ToMemory
:2516lib.SkipSetResistToMemory_address
            Set `2516lib.FlagError=0
            If TransferSize<>2 Set `2516lib.FlagError=2
            If 128+`2516lib.Prefix<>`2516lib.Prefix1 Set `2516lib.FlagError=2
            If `2516lib.Command<>`2516lib.Command1 Set `2516lib.FlagError=2
:2516lib.SkipSetResist_ToMemory
            Device `2516lib,DeviceAddress  //    
         CriticalSection End
Return //SetResist_ToMemory



/////////////////////////////////////////////////////////////////////
//    .  
// 2516lib.GetK_P
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90004 -  
//      : BMem90004 -  
//             Mem90016  -  . b0 
//             Mem90017  -  . b1
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `2516lib,Input1=>BMem90001
Alias `2516lib,Input2=>BMem90002
Alias `2516lib.ChannelNumber=>BMem90004
Alias `2516lib.Output1=>Mem90016
Alias `2516lib.Output2=>Mem90017
Alias `2516lib.FlagError=>BMem90010
Alias `2516lib.Prefix=>BMem90011
Alias `2516lib.Prefix1=>BMem90012
Alias `2516lib.Command=>BMem90013
Alias `2516lib.Command1=>BMem90014
Alias `2516lib,DeviceAddress=>Mem90001

:2516lib.GetK_P
         CriticalSection Begin
            Set `2516lib,DeviceAddress=DeviceAddress  //   
            Device `2516lib,Input1.`2516lib,Input2      //   () 
            Set `2516lib.Prefix=64
            Set `2516lib.Command=11
            Send <`2516lib.Prefix> <`2516lib.Command> <`2516lib.ChannelNumber>
            Receive <`2516lib.Prefix1> <`2516lib.Command1> <`2516lib.ChannelNumber> <`2516lib.Output1:DinFloat> <`2516lib.Output2:DinFloat>
            If TransferError Set `2516lib.FlagError=1
            If TransferError GoTo 2516lib.SkipGetK_P
            If `2516lib,Input1*256+`2516lib,Input2=0 GoTo 2516lib.SkipGetKP_address
            If Whose<>`2516lib,Input1*256+`2516lib,Input2 Set `2516lib.FlagError=1
            If Whose<>`2516lib,Input1*256+`2516lib,Input2 GoTo 2516lib.SkipGetK_P
:2516lib.SkipGetKP_address
            Set `2516lib.FlagError=0
            If TransferSize<>5 Set `2516lib.FlagError=2
            If 128+`2516lib.Prefix<>`2516lib.Prefix1 Set `2516lib.FlagError=2
            If `2516lib.Command<>`2516lib.Command1 Set `2516lib.FlagError=2
:2516lib.SkipGetK_P
            Device `2516lib,DeviceAddress  //    
         CriticalSection End
Return //GetK_P




/////////////////////////////////////////////////////////////////////
//    .  
// 2516lib.SetK_P
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90004 -  
//             Mem90016  -  . b0 
//             Mem90017  -  . b1 
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `2516lib,Input1=>BMem90001
Alias `2516lib,Input2=>BMem90002
Alias `2516lib.ChannelNumber=>BMem90004
Alias `2516lib.Input3=>Mem90016
Alias `2516lib.Input4=>Mem90017
Alias `2516lib.FlagError=>BMem90010
Alias `2516lib.Prefix=>BMem90011
Alias `2516lib.Prefix1=>BMem90012
Alias `2516lib.Command=>BMem90013
Alias `2516lib.Command1=>BMem90014
Alias `2516lib,DeviceAddress=>Mem90001

:2516lib.SetK_P
         CriticalSection Begin
            Set `2516lib,DeviceAddress=DeviceAddress  //   
            Device `2516lib,Input1.`2516lib,Input2      //   () 
            Set `2516lib.Prefix=64
            Set `2516lib.Command=12
            Send <`2516lib.Prefix> <`2516lib.Command> <`2516lib.ChannelNumber> <`2516lib.Input3:DinFloat> <`2516lib.Input4:DinFloat>
            Receive <`2516lib.Prefix1> <`2516lib.Command1> 
            If TransferError Set `2516lib.FlagError=1
            If TransferError GoTo 2516lib.SkipSetK_P
            If `2516lib,Input1*256+`2516lib,Input2=0 GoTo 2516lib.SkipSetKP_address
            If Whose<>`2516lib,Input1*256+`2516lib,Input2 Set `2516lib.FlagError=1
            If Whose<>`2516lib,Input1*256+`2516lib,Input2 GoTo 2516lib.SkipSetK_P
:2516lib.SkipSetKP_address
            Set `2516lib.FlagError=0
            If TransferSize<>2 Set `2516lib.FlagError=2
            If 128+`2516lib.Prefix<>`2516lib.Prefix1 Set `2516lib.FlagError=2
            If `2516lib.Command<>`2516lib.Command1 Set `2516lib.FlagError=2
:2516lib.SkipSetK_P
            Device `2516lib,DeviceAddress  //    
         CriticalSection End
Return //SetK_P

/////////////////////////////////////////////////////////////////////
//  .  
// 2516lib.SkipK_P
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90004 -   
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `2516lib,Input1=>BMem90001
Alias `2516lib,Input2=>BMem90002
Alias `2516lib.ChannelNumber=>BMem90004
Alias `2516lib.FlagError=>BMem90010
Alias `2516lib.Prefix=>BMem90011
Alias `2516lib.Prefix1=>BMem90012
Alias `2516lib.Command=>BMem90013
Alias `2516lib.Command1=>BMem90014
Alias `2516lib,DeviceAddress=>Mem90001

:2516lib.SkipK_P
         CriticalSection Begin
            Set `2516lib,DeviceAddress=DeviceAddress  //   
            Device `2516lib,Input1.`2516lib,Input2      //   () 
            Set `2516lib.Prefix=64
            Set `2516lib.Command=13
            Send <`2516lib.Prefix> <`2516lib.Command> <`2516lib.ChannelNumber>
            Receive <`2516lib.Prefix1> <`2516lib.Command1> 
            If TransferError Set `2516lib.FlagError=1
            If TransferError GoTo 2516lib.EndSkipK_P
            If `2516lib,Input1*256+`2516lib,Input2=0 GoTo 2516lib.EndSkipKP_address
            If Whose<>`2516lib,Input1*256+`2516lib,Input2 Set `2516lib.FlagError=1
            If Whose<>`2516lib,Input1*256+`2516lib,Input2 GoTo 2516lib.EndSkipK_P
:2516lib.EndSkipKP_address
            Set `2516lib.FlagError=0
            If TransferSize<>2 Set `2516lib.FlagError=2
            If 128+`2516lib.Prefix<>`2516lib.Prefix1 Set `2516lib.FlagError=2
            If `2516lib.Command<>`2516lib.Command1 Set `2516lib.FlagError=2
:2516lib.EndSkipK_P
            Device `2516lib,DeviceAddress  //    
         CriticalSection End
Return //SkipK_P

/////////////////////////////////////////////////////////////////////
//     
// 2516lib.SetRopInbegin
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `2516lib,Input1=>BMem90001
Alias `2516lib,Input2=>BMem90002
Alias `2516lib.FlagError=>BMem90010
Alias `2516lib.Prefix=>BMem90011
Alias `2516lib.Prefix1=>BMem90012
Alias `2516lib.Command=>BMem90013
Alias `2516lib.Command1=>BMem90014
Alias `2516lib,DeviceAddress=>Mem90001

:2516lib.SetRopInBegin
         CriticalSection Begin
            Set `2516lib,DeviceAddress=DeviceAddress  //   
            Device `2516lib,Input1.`2516lib,Input2      //   () 
            Set `2516lib.Prefix=64
            Set `2516lib.Command=14
            Send <`2516lib.Prefix> <`2516lib.Command>
            Receive <`2516lib.Prefix1> <`2516lib.Command1> 
            If TransferError Set `2516lib.FlagError=1
            If TransferError GoTo 2516lib.SkipSetRopInBegin
            If `2516lib,Input1*256+`2516lib,Input2=0 GoTo 2516lib.SkipSetRopInBegin_address
            If Whose<>`2516lib,Input1*256+`2516lib,Input2 Set `2516lib.FlagError=1
            If Whose<>`2516lib,Input1*256+`2516lib,Input2 GoTo 2516lib.SkipSetRopInBegin
:2516lib.SkipSetRopInBegin_address
            Set `2516lib.FlagError=0
            If TransferSize<>2 Set `2516lib.FlagError=2
            If 128+`2516lib.Prefix<>`2516lib.Prefix1 Set `2516lib.FlagError=2
            If `2516lib.Command<>`2516lib.Command1 Set `2516lib.FlagError=2
:2516lib.SkipSetRopInBegin
            Device `2516lib,DeviceAddress  //    
         CriticalSection End
Return //SkipK_P

/////////////////////////////////////////////////////////////////////
//     EEPROM
// 2516lib.SaveInEEPROM
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `2516lib,Input1=>BMem90001
Alias `2516lib,Input2=>BMem90002
Alias `2516lib.FlagError=>BMem90010
Alias `2516lib.Prefix=>BMem90011
Alias `2516lib.Prefix1=>BMem90012
Alias `2516lib.Command=>BMem90013
Alias `2516lib.Command1=>BMem90014
Alias `2516lib,DeviceAddress=>Mem90001


:2516lib.SaveInEEPROM
         CriticalSection Begin
            Set `2516lib,DeviceAddress=DeviceAddress  //   
            Device `2516lib,Input1.`2516lib,Input2      //   () 
            Set `2516lib.Prefix=64
            Set `2516lib.Command=16
            Send <`2516lib.Prefix> <`2516lib.Command>
            Receive <`2516lib.Prefix1> <`2516lib.Command1> 
            If TransferError Set `2516lib.FlagError=1
            If TransferError GoTo 2516lib.SkipSaveInEEPROM
            If `2516lib,Input1*256+`2516lib,Input2=0 GoTo 2516lib.SkipSaveInEEPROM_address
            If Whose<>`2516lib,Input1*256+`2516lib,Input2 Set `2516lib.FlagError=1
            If Whose<>`2516lib,Input1*256+`2516lib,Input2 GoTo 2516lib.SkipSaveInEEPROM
:2516lib.SkipSaveInEEPROM_address
            Set `2516lib.FlagError=0
            If TransferSize<>2 Set `2516lib.FlagError=2
            If 128+`2516lib.Prefix<>`2516lib.Prefix1 Set `2516lib.FlagError=2
            If `2516lib.Command<>`2516lib.Command1 Set `2516lib.FlagError=2
:2516lib.SkipSaveInEEPROM
            Device `2516lib,DeviceAddress  //    
         CriticalSection End
Return //SkipK_P


/////////////////////////////////////////////////////////////////////
//     EEPROM
// 2516lib.ReadFromEEPROM
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `2516lib,Input1=>BMem90001
Alias `2516lib,Input2=>BMem90002
Alias `2516lib.FlagError=>BMem90010
Alias `2516lib.Prefix=>BMem90011
Alias `2516lib.Prefix1=>BMem90012
Alias `2516lib.Command=>BMem90013
Alias `2516lib.Command1=>BMem90014
Alias `2516lib,DeviceAddress=>Mem90001


:2516lib.ReadFromEEPROM
         CriticalSection Begin
            Set `2516lib,DeviceAddress=DeviceAddress  //   
            Device `2516lib,Input1.`2516lib,Input2      //   () 
            Set `2516lib.Prefix=64
            Set `2516lib.Command=17
            Send <`2516lib.Prefix> <`2516lib.Command>
            Receive <`2516lib.Prefix1> <`2516lib.Command1> 
            If TransferError Set `2516lib.FlagError=1
            If TransferError GoTo 2516lib.SkipSaveInEEPROM
            If `2516lib,Input1*256+`2516lib,Input2=0 GoTo 2516lib.SkipReadFromEEPROM_address
            If Whose<>`2516lib,Input1*256+`2516lib,Input2 Set `2516lib.FlagError=1
            If Whose<>`2516lib,Input1*256+`2516lib,Input2 GoTo 2516lib.SkipReadFromEEPROM
:2516lib.SkipReadFromEEPROM_address
            Set `2516lib.FlagError=0
            If TransferSize<>2 Set `2516lib.FlagError=2
            If 128+`2516lib.Prefix<>`2516lib.Prefix1 Set `2516lib.FlagError=2
            If `2516lib.Command<>`2516lib.Command1 Set `2516lib.FlagError=2
:2516lib.SkipReadFromEEPROM
            Device `2516lib,DeviceAddress  //    
         CriticalSection End
Return //SkipK_P

/////////////////////////////////////////////////////////////////////
//    
// 2516lib.GetMinT
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : Mem90018  -    
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `2516lib,Input1=>BMem90001
Alias `2516lib,Input2=>BMem90002
Alias `2516lib.Output1=>Mem90018
Alias `2516lib.FlagError=>BMem90010
Alias `2516lib.Prefix=>BMem90011
Alias `2516lib.Prefix1=>BMem90012
Alias `2516lib.Command=>BMem90013
Alias `2516lib.Command1=>BMem90014
Alias `2516lib,DeviceAddress=>Mem90001

:2516lib.GetMinT
         CriticalSection Begin
            Set `2516lib,DeviceAddress=DeviceAddress  //   
            Device `2516lib,Input1.`2516lib,Input2      //   () 
            Set `2516lib.Prefix=64
            Set `2516lib.Command=18
            Send <`2516lib.Prefix> <`2516lib.Command>
            Receive <`2516lib.Prefix1> <`2516lib.Command1> <`2516lib.Output1:DinFloat>
            If TransferError Set `2516lib.FlagError=1
            If TransferError GoTo 2516lib.SkipGetMinT
            If `2516lib,Input1*256+`2516lib,Input2=0 GoTo 2516lib.SkipGetMinT_address
            If Whose<>`2516lib,Input1*256+`2516lib,Input2 Set `2516lib.FlagError=1
            If Whose<>`2516lib,Input1*256+`2516lib,Input2 GoTo 2516lib.SkipGetMinT
:2516lib.SkipGetMinT_address
            Set `2516lib.FlagError=0
            If TransferSize<>3 Set `2516lib.FlagError=2
            If 128+`2516lib.Prefix<>`2516lib.Prefix1 Set `2516lib.FlagError=2
            If `2516lib.Command<>`2516lib.Command1 Set `2516lib.FlagError=2
:2516lib.SkipGetMinT
            Device `2516lib,DeviceAddress  //    
         CriticalSection End
Return //SkipK_P

/////////////////////////////////////////////////////////////////////
//       
// 2516lib.SetMinT
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             Mem90018  -     
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `2516lib,Input1=>BMem90001
Alias `2516lib,Input2=>BMem90002
Alias `2516lib.Input3=>Mem90018
Alias `2516lib.FlagError=>BMem90010
Alias `2516lib.Prefix=>BMem90011
Alias `2516lib.Prefix1=>BMem90012
Alias `2516lib.Command=>BMem90013
Alias `2516lib.Command1=>BMem90014
Alias `2516lib,DeviceAddress=>Mem90001


:2516lib.SetMinT
         CriticalSection Begin
            Set `2516lib,DeviceAddress=DeviceAddress  //   
            Device `2516lib,Input1.`2516lib,Input2      //   () 
            Set `2516lib.Prefix=64
            Set `2516lib.Command=19
            Send <`2516lib.Prefix> <`2516lib.Command> <`2516lib.Input3:DinFloat>
            Receive <`2516lib.Prefix1> <`2516lib.Command1> 
            If TransferError Set `2516lib.FlagError=1
            If TransferError GoTo 2516lib.SkipSetMinT
            If `2516lib,Input1*256+`2516lib,Input2=0 GoTo 2516lib.SkipSetMinT_address
            If Whose<>`2516lib,Input1*256+`2516lib,Input2 Set `2516lib.FlagError=1
            If Whose<>`2516lib,Input1*256+`2516lib,Input2 GoTo 2516lib.SkipSetMinT
            Set `2516lib.FlagError=0
            If TransferSize<>2 Set `2516lib.FlagError=2
            If 128+`2516lib.Prefix<>`2516lib.Prefix1 Set `2516lib.FlagError=2
            If `2516lib.Command<>`2516lib.Command1 Set `2516lib.FlagError=2
:2516lib.SkipSetMinT
            Device `2516lib,DeviceAddress  //    
         CriticalSection End
Return //SkipK_P


/////////////////////////////////////////////////////////////////////
//    
// 2516lib.GetRop
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : Mem90017  -    
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `2516lib,Input1=>BMem90001
Alias `2516lib,Input2=>BMem90002
Alias `2516lib.Output1=>Mem90017
Alias `2516lib.FlagError=>BMem90010
Alias `2516lib.Prefix=>BMem90011
Alias `2516lib.Prefix1=>BMem90012
Alias `2516lib.Command=>BMem90013
Alias `2516lib.Command1=>BMem90014
Alias `2516lib,DeviceAddress=>Mem90001


:2516lib.GetRop
         CriticalSection Begin
            Set `2516lib,DeviceAddress=DeviceAddress  //   
            Device `2516lib,Input1.`2516lib,Input2      //   () 
            Set `2516lib.Prefix=64
            Set `2516lib.Command=15
            Send <`2516lib.Prefix> <`2516lib.Command>
            Receive <`2516lib.Prefix1> <`2516lib.Command1> <`2516lib.Output1:DinFloat>
            If TransferError Set `2516lib.FlagError=1
            If TransferError GoTo 2516lib.SkipGetRop
            If `2516lib,Input1*256+`2516lib,Input2=0 GoTo 2516lib.SkipGetRop_address
            If Whose<>`2516lib,Input1*256+`2516lib,Input2 Set `2516lib.FlagError=1
            If Whose<>`2516lib,Input1*256+`2516lib,Input2 GoTo 2516lib.SkipGetRop
:2516lib.SkipGetRop_address
            Set `2516lib.FlagError=0
            If TransferSize<>3 Set `2516lib.FlagError=2
            If 128+`2516lib.Prefix<>`2516lib.Prefix1 Set `2516lib.FlagError=2
            If `2516lib.Command<>`2516lib.Command1 Set `2516lib.FlagError=2
:2516lib.SkipGetRop
            Device `2516lib,DeviceAddress  //    
         CriticalSection End
Return //SkipK_P



/////////////////////////////////////////////////////////////////////
//  -        
// 2516lib.SetPointOfMeasure
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90004 -  
//             BMem90033 -   
//             Mem90014  -    
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `2516lib,Input1=>BMem90001
Alias `2516lib,Input2=>BMem90002
Alias `2516lib.ChannelNumber=>BMem90004
Alias `2516lib.Input3=>BMem90033
Alias `2516lib.Input4=>Mem90014
Alias `2516lib.FlagError=>BMem90010
Alias `2516lib.Prefix=>BMem90011
Alias `2516lib.Prefix1=>BMem90012
Alias `2516lib.Command=>BMem90013
Alias `2516lib.Command1=>BMem90014
Alias `2516lib,DeviceAddress=>Mem90001


:2516lib.SetPointOfMeasure
         CriticalSection Begin
            Set `2516lib,DeviceAddress=DeviceAddress  //   
            Device `2516lib,Input1.`2516lib,Input2      //   () 
            Set `2516lib.Prefix=64
            Set `2516lib.Command=7
            Send <`2516lib.Prefix> <`2516lib.Command> <`2516lib.ChannelNumber> <`2516lib.Input3> <`2516lib.Input4:DinFloat>
            Receive <`2516lib.Prefix1> <`2516lib.Command1> 
            If TransferError Set `2516lib.FlagError=1
            If TransferError GoTo 2516lib.SkipSetPointOfMeasure
            If `2516lib,Input1*256+`2516lib,Input2=0 GoTo 2516lib.SkipSetPointOfMeasure_address
            If Whose<>`2516lib,Input1*256+`2516lib,Input2 Set `2516lib.FlagError=1
            If Whose<>`2516lib,Input1*256+`2516lib,Input2 GoTo 2516lib.SkipSetPointOfMeasure
:2516lib.SkipSetPointOfMeasure_address
            Set `2516lib.FlagError=0
            If TransferSize<>2 Set `2516lib.FlagError=2
            If 128+`2516lib.Prefix<>`2516lib.Prefix1 Set `2516lib.FlagError=2
            If `2516lib.Command<>`2516lib.Command1 Set `2516lib.FlagError=2
:2516lib.SkipSetPointOfMeasure
            Device `2516lib,DeviceAddress  //    
         CriticalSection End
Return //SkipSetPointOfMeasure


/////////////////////////////////////////////////////////////////////
//    
// 2516lib.GetMaxT
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : Mem90019  -    
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `2516lib,Input1=>BMem90001
Alias `2516lib,Input2=>BMem90002
Alias `2516lib.Output1=>Mem90019
Alias `2516lib.FlagError=>BMem90010
Alias `2516lib.Prefix=>BMem90011
Alias `2516lib.Prefix1=>BMem90012
Alias `2516lib.Command=>BMem90013
Alias `2516lib.Command1=>BMem90014
Alias `2516lib,DeviceAddress=>Mem90001

:2516lib.GetMaxT
         CriticalSection Begin
            Set `2516lib,DeviceAddress=DeviceAddress  //   
            Device `2516lib,Input1.`2516lib,Input2      //   () 
            Set `2516lib.Prefix=64
            Set `2516lib.Command=20
            Send <`2516lib.Prefix> <`2516lib.Command>
            Receive <`2516lib.Prefix1> <`2516lib.Command1> <`2516lib.Output1:DinFloat>
            If TransferError Set `2516lib.FlagError=1
            If TransferError GoTo 2516lib.SkipGetMaxT
            If `2516lib,Input1*256+`2516lib,Input2=0 GoTo 2516lib.SkipGetMaxT_address
            If Whose<>`2516lib,Input1*256+`2516lib,Input2 Set `2516lib.FlagError=1
            If Whose<>`2516lib,Input1*256+`2516lib,Input2 GoTo 2516lib.SkipGetMaxT
:2516lib.SkipGetMaxT_address
            Set `2516lib.FlagError=0
            If TransferSize<>3 Set `2516lib.FlagError=2
            If 128+`2516lib.Prefix<>`2516lib.Prefix1 Set `2516lib.FlagError=2
            If `2516lib.Command<>`2516lib.Command1 Set `2516lib.FlagError=2
:2516lib.SkipGetMaxT
            Device `2516lib,DeviceAddress  //    
         CriticalSection End
Return //SkipK_P

/////////////////////////////////////////////////////////////////////
//       
// 2516lib.SetMaxT
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             Mem90019  -     
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `2516lib,Input1=>BMem90001
Alias `2516lib,Input2=>BMem90002
Alias `2516lib.Input3=>Mem90019
Alias `2516lib.FlagError=>BMem90010
Alias `2516lib.Prefix=>BMem90011
Alias `2516lib.Prefix1=>BMem90012
Alias `2516lib.Command=>BMem90013
Alias `2516lib.Command1=>BMem90014
Alias `2516lib,DeviceAddress=>Mem90001


:2516lib.SetMaxT
         CriticalSection Begin
            Set `2516lib,DeviceAddress=DeviceAddress  //   
            Device `2516lib,Input1.`2516lib,Input2      //   () 
            Set `2516lib.Prefix=64
            Set `2516lib.Command=21
            Send <`2516lib.Prefix> <`2516lib.Command> <`2516lib.Input3:DinFloat>
            Receive <`2516lib.Prefix1> <`2516lib.Command1> 
            If TransferError Set `2516lib.FlagError=1
            If TransferError GoTo 2516lib.SkipSetMaxT
            If `2516lib,Input1*256+`2516lib,Input2=0 GoTo 2516lib.SkipSetMaxT_address
            If Whose<>`2516lib,Input1*256+`2516lib,Input2 Set `2516lib.FlagError=1
            If Whose<>`2516lib,Input1*256+`2516lib,Input2 GoTo 2516lib.SkipSetMaxT
:2516lib.SkipSetMaxT_address
            Set `2516lib.FlagError=0
            If TransferSize<>2 Set `2516lib.FlagError=2
            If 128+`2516lib.Prefix<>`2516lib.Prefix1 Set `2516lib.FlagError=2
            If `2516lib.Command<>`2516lib.Command1 Set `2516lib.FlagError=2
:2516lib.SkipSetMaxT
            Device `2516lib,DeviceAddress  //    
         CriticalSection End
Return //SkipK_P

/////////////////////////////////////////////////////////////////////
//    
// 2516lib.GetBaseT
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : Mem90020  -   
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `2516lib,Input1=>BMem90001
Alias `2516lib,Input2=>BMem90002
Alias `2516lib.Output1=>Mem90020
Alias `2516lib.FlagError=>BMem90010
Alias `2516lib.Prefix=>BMem90011
Alias `2516lib.Prefix1=>BMem90012
Alias `2516lib.Command=>BMem90013
Alias `2516lib.Command1=>BMem90014
Alias `2516lib,DeviceAddress=>Mem90001

:2516lib.GetBaseT
         CriticalSection Begin
            Set `2516lib,DeviceAddress=DeviceAddress  //   
            Device `2516lib,Input1.`2516lib,Input2      //   () 
            Set `2516lib.Prefix=64
            Set `2516lib.Command=22
            Send <`2516lib.Prefix> <`2516lib.Command>
            Receive <`2516lib.Prefix1> <`2516lib.Command1> <`2516lib.Output1:DinFloat>
            If TransferError Set `2516lib.FlagError=1
            If TransferError GoTo 2516lib.SkipGetBaseT
            If `2516lib,Input1*256+`2516lib,Input2=0 GoTo 2516lib.SkipGetBaseT_address
            If Whose<>`2516lib,Input1*256+`2516lib,Input2 Set `2516lib.FlagError=1
            If Whose<>`2516lib,Input1*256+`2516lib,Input2 GoTo 2516lib.SkipGetBaseT
:2516lib.SkipGetBaseT_address
            Set `2516lib.FlagError=0
            If TransferSize<>3 Set `2516lib.FlagError=2
            If 128+`2516lib.Prefix<>`2516lib.Prefix1 Set `2516lib.FlagError=2
            If `2516lib.Command<>`2516lib.Command1 Set `2516lib.FlagError=2
:2516lib.SkipGetBaseT
            Device `2516lib,DeviceAddress  //    
         CriticalSection End
Return //SkipK_P

/////////////////////////////////////////////////////////////////////
//      
// 2516lib.SetBaseT
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             Mem90020  -    
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `2516lib,Input1=>BMem90001
Alias `2516lib,Input2=>BMem90002
Alias `2516lib.Input3=>Mem90020
Alias `2516lib.FlagError=>BMem90010
Alias `2516lib.Prefix=>BMem90011
Alias `2516lib.Prefix1=>BMem90012
Alias `2516lib.Command=>BMem90013
Alias `2516lib.Command1=>BMem90014
Alias `2516lib,DeviceAddress=>Mem90001


:2516lib.SetBaseT
         CriticalSection Begin
            Set `2516lib,DeviceAddress=DeviceAddress  //   
            Device `2516lib,Input1.`2516lib,Input2      //   () 
            Set `2516lib.Prefix=64
            Set `2516lib.Command=23
            Send <`2516lib.Prefix> <`2516lib.Command> <`2516lib.Input3:DinFloat>
            Receive <`2516lib.Prefix1> <`2516lib.Command1> 
            If TransferError Set `2516lib.FlagError=1
            If TransferError GoTo 2516lib.SkipSetBaseT
            If `2516lib,Input1*256+`2516lib,Input2=0 GoTo 2516lib.SkipSetBaseT_address
            If Whose<>`2516lib,Input1*256+`2516lib,Input2 Set `2516lib.FlagError=1
            If Whose<>`2516lib,Input1*256+`2516lib,Input2 GoTo 2516lib.SkipSetBaseT
:2516lib.SkipSetBaseT_address
            Set `2516lib.FlagError=0
            If TransferSize<>2 Set `2516lib.FlagError=2
            If 128+`2516lib.Prefix<>`2516lib.Prefix1 Set `2516lib.FlagError=2
            If `2516lib.Command<>`2516lib.Command1 Set `2516lib.FlagError=2
:2516lib.SkipSetBaseT
            Device `2516lib,DeviceAddress  //    
         CriticalSection End
Return //SkipK_P


/////////////////////////////////////////////////////////////////////
//    / 
// 2516lib.GetBlockChannel
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : BMem90035 -  ./.   
//                     0 -  
//                     1 -  
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `2516lib,Input1=>BMem90001
Alias `2516lib,Input2=>BMem90002
Alias `2516lib.Output1=>BMem90035
Alias `2516lib.FlagError=>BMem90010
Alias `2516lib.Prefix=>BMem90011
Alias `2516lib.Prefix1=>BMem90012
Alias `2516lib.Command=>BMem90013
Alias `2516lib.Command1=>BMem90014
Alias `2516lib,DeviceAddress=>Mem90001

:2516lib.GetBlockChannel
         CriticalSection Begin
            Set `2516lib,DeviceAddress=DeviceAddress  //   
            Device `2516lib,Input1.`2516lib,Input2      //   () 
            Set `2516lib.Prefix=64
            Set `2516lib.Command=24
            Send <`2516lib.Prefix> <`2516lib.Command>
            Receive <`2516lib.Prefix1> <`2516lib.Command1> <`2516lib.Output1>
            If TransferError Set `2516lib.FlagError=1
            If TransferError GoTo 2516lib.SkipGetBlockChannel
            If `2516lib,Input1*256+`2516lib,Input2=0 GoTo 2516lib.SkipGetBlockChannel_address
            If Whose<>`2516lib,Input1*256+`2516lib,Input2 Set `2516lib.FlagError=1
            If Whose<>`2516lib,Input1*256+`2516lib,Input2 GoTo 2516lib.SkipGetBlockChannel
:2516lib.SkipGetBlockChannel_address
            Set `2516lib.FlagError=0
            If TransferSize<>3 Set `2516lib.FlagError=2
            If 128+`2516lib.Prefix<>`2516lib.Prefix1 Set `2516lib.FlagError=2
            If `2516lib.Command<>`2516lib.Command1 Set `2516lib.FlagError=2
:2516lib.SkipGetBlockChannel
            Device `2516lib,DeviceAddress  //    
         CriticalSection End
Return //SkipK_P

/////////////////////////////////////////////////////////////////////
//    / 
// 2516lib.SetBlockChannel
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90035 -  ./.   
//                     0 -  
//                     1 -  
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `2516lib,Input1=>BMem90001
Alias `2516lib,Input2=>BMem90002
Alias `2516lib.Input3=>BMem90035
Alias `2516lib.FlagError=>BMem90010
Alias `2516lib.Prefix=>BMem90011
Alias `2516lib.Prefix1=>BMem90012
Alias `2516lib.Command=>BMem90013
Alias `2516lib.Command1=>BMem90014
Alias `2516lib,DeviceAddress=>Mem90001

:2516lib.SetBlockChannel
         CriticalSection Begin
            Set `2516lib,DeviceAddress=DeviceAddress  //   
            Device `2516lib,Input1.`2516lib,Input2      //   () 
            Set `2516lib.Prefix=64
            Set `2516lib.Command=25
            Send <`2516lib.Prefix> <`2516lib.Command> <`2516lib.Input3>
            Receive <`2516lib.Prefix1> <`2516lib.Command1>
            If TransferError Set `2516lib.FlagError=1
            If TransferError GoTo 2516lib.SkipSetBlockChannel
            If `2516lib,Input1*256+`2516lib,Input2=0 GoTo 2516lib.SkipSetBlockChannel_address
            If Whose<>`2516lib,Input1*256+`2516lib,Input2 Set `2516lib.FlagError=1
            If Whose<>`2516lib,Input1*256+`2516lib,Input2 GoTo 2516lib.SkipSetBlockChannel
:2516lib.SkipSetBlockChannel_address
            Set `2516lib.FlagError=0
            If TransferSize<>2 Set `2516lib.FlagError=2
            If 128+`2516lib.Prefix<>`2516lib.Prefix1 Set `2516lib.FlagError=2
            If `2516lib.Command<>`2516lib.Command1 Set `2516lib.FlagError=2
:2516lib.SkipSetBlockChannel
            Device `2516lib,DeviceAddress  //    
         CriticalSection End
Return //SkipK_P


/////////////////////////////////////////////////////////////////////
//    /   
// 2516lib.GetInformationAboutSound
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : BMem90037 -  ./. 
//                     0 -  
//                     1 -  
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `2516lib,Input1=>BMem90001
Alias `2516lib,Input2=>BMem90002
Alias `2516lib.Output1=>BMem90037
Alias `2516lib.FlagError=>BMem90010
Alias `2516lib.Prefix=>BMem90011
Alias `2516lib.Prefix1=>BMem90012
Alias `2516lib.Command=>BMem90013
Alias `2516lib.Command1=>BMem90014
Alias `2516lib,DeviceAddress=>Mem90001

:2516lib.GetInformationAboutSound
         CriticalSection Begin
            Set `2516lib,DeviceAddress=DeviceAddress  //   
            Device `2516lib,Input1.`2516lib,Input2      //   () 
            Set `2516lib.Prefix=64
            Set `2516lib.Command=28
            Send <`2516lib.Prefix> <`2516lib.Command>
            Receive <`2516lib.Prefix1> <`2516lib.Command1> <`2516lib.Output1>
            If TransferError Set `2516lib.FlagError=1
            If TransferError GoTo 2516lib.SkipGetInformationAboutSound
            If `2516lib,Input1*256+`2516lib,Input2=0 GoTo 2516lib.SkipGetInformationAboutSound_address
            If Whose<>`2516lib,Input1*256+`2516lib,Input2 Set `2516lib.FlagError=1
            If Whose<>`2516lib,Input1*256+`2516lib,Input2 GoTo 2516lib.SkipGetInformationAboutSound
:2516lib.SkipGetInformationAboutSound_address
            Set `2516lib.FlagError=0
            If TransferSize<>3 Set `2516lib.FlagError=2
            If 128+`2516lib.Prefix<>`2516lib.Prefix1 Set `2516lib.FlagError=2
            If `2516lib.Command<>`2516lib.Command1 Set `2516lib.FlagError=2
:2516lib.SkipGetInformationAboutSound
            Device `2516lib,DeviceAddress  //    
         CriticalSection End
Return //SkipK_P

/////////////////////////////////////////////////////////////////////
//    /   
// 2516lib.SetInformationAboutSound
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90037 -  ./. 
//                     0 -  
//                     1 -  
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `2516lib,Input1=>BMem90001
Alias `2516lib,Input2=>BMem90002
Alias `2516lib.Input3=>BMem90037
Alias `2516lib.FlagError=>BMem90010
Alias `2516lib.Prefix=>BMem90011
Alias `2516lib.Prefix1=>BMem90012
Alias `2516lib.Command=>BMem90013
Alias `2516lib.Command1=>BMem90014
Alias `2516lib,DeviceAddress=>Mem90001

:2516lib.SetInformationAboutSound
         CriticalSection Begin
            Set `2516lib,DeviceAddress=DeviceAddress  //   
            Device `2516lib,Input1.`2516lib,Input2      //   () 
            Set `2516lib.Prefix=64
            Set `2516lib.Command=29
            Send <`2516lib.Prefix> <`2516lib.Command> <`2516lib.Input3>
            Receive <`2516lib.Prefix1> <`2516lib.Command1>
            If TransferError Set `2516lib.FlagError=1
            If TransferError GoTo 2516lib.SkipSetInformationAboutSound
            If `2516lib,Input1*256+`2516lib,Input2=0 GoTo 2516lib.SkipSetInformationAboutSound_address
            If Whose<>`2516lib,Input1*256+`2516lib,Input2 Set `2516lib.FlagError=1
            If Whose<>`2516lib,Input1*256+`2516lib,Input2 GoTo 2516lib.SkipSetInformationAboutSound
:2516lib.SkipSetInformationAboutSound_address
            Set `2516lib.FlagError=0
            If TransferSize<>2 Set `2516lib.FlagError=2
            If 128+`2516lib.Prefix<>`2516lib.Prefix1 Set `2516lib.FlagError=2
            If `2516lib.Command<>`2516lib.Command1 Set `2516lib.FlagError=2
:2516lib.SkipSetInformationAboutSound
            Device `2516lib,DeviceAddress  //    
         CriticalSection End
Return //SkipK_P


/////////////////////////////////////////////////////////////////////
//     ./. 
// 2516lib.GetInformationAboutLimits
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : BMem90036 - 
//                     0 -     
//                     1 -    
//                     2 -    
//                     3 -       
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `2516lib,Input1=>BMem90001
Alias `2516lib,Input2=>BMem90002
Alias `2516lib.Output1=>BMem90036
Alias `2516lib.FlagError=>BMem90010
Alias `2516lib.Prefix=>BMem90011
Alias `2516lib.Prefix1=>BMem90012
Alias `2516lib.Command=>BMem90013
Alias `2516lib.Command1=>BMem90014
Alias `2516lib,DeviceAddress=>Mem90001

:2516lib.GetInformationAboutLimits
         CriticalSection Begin
            Set `2516lib,DeviceAddress=DeviceAddress  //   
            Device `2516lib,Input1.`2516lib,Input2      //   () 
            Set `2516lib.Prefix=64
            Set `2516lib.Command=26
            Send <`2516lib.Prefix> <`2516lib.Command>
            Receive <`2516lib.Prefix1> <`2516lib.Command1> <`2516lib.Output1>
            If TransferError Set `2516lib.FlagError=1
            If TransferError GoTo 2516lib.SkipGetInformationAboutLimits
            If `2516lib,Input1*256+`2516lib,Input2=0 GoTo 2516lib.SkipGetInformationAboutLimits_address
            If Whose<>`2516lib,Input1*256+`2516lib,Input2 Set `2516lib.FlagError=1
            If Whose<>`2516lib,Input1*256+`2516lib,Input2 GoTo 2516lib.SkipGetInformationAboutLimits
:2516lib.SkipGetInformationAboutLimits_address
            Set `2516lib.FlagError=0
            If TransferSize<>3 Set `2516lib.FlagError=2
            If 128+`2516lib.Prefix<>`2516lib.Prefix1 Set `2516lib.FlagError=2
            If `2516lib.Command<>`2516lib.Command1 Set `2516lib.FlagError=2
:2516lib.SkipGetInformationAboutLimits
            Device `2516lib,DeviceAddress  //    
         CriticalSection End
Return //SkipK_P


/////////////////////////////////////////////////////////////////////
//     ./ 
// 2516lib.SetInformationAboutLimits
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90036 -  
//                     0 -     
//                     1 -    
//                     2 -    
//                     3 -      
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `2516lib,Input1=>BMem90001
Alias `2516lib,Input2=>BMem90002
Alias `2516lib.Input3=>BMem90036
Alias `2516lib.FlagError=>BMem90010
Alias `2516lib.Prefix=>BMem90011
Alias `2516lib.Prefix1=>BMem90012
Alias `2516lib.Command=>BMem90013
Alias `2516lib.Command1=>BMem90014
Alias `2516lib,DeviceAddress=>Mem90001

:2516lib.SetInformationAboutLimits
         CriticalSection Begin
            Set `2516lib,DeviceAddress=DeviceAddress  //   
            Device `2516lib,Input1.`2516lib,Input2      //   () 
            Set `2516lib.Prefix=64
            Set `2516lib.Command=27
            Send <`2516lib.Prefix> <`2516lib.Command> <`2516lib.Input3>
            Receive <`2516lib.Prefix1> <`2516lib.Command1>
            If TransferError Set `2516lib.FlagError=1
            If TransferError GoTo 2516lib.SkipSetInformationAboutLimits
            If `2516lib,Input1*256+`2516lib,Input2=0 GoTo 2516lib.SkipSetInformationAboutLimits_address
            If Whose<>`2516lib,Input1*256+`2516lib,Input2 Set `2516lib.FlagError=1
            If Whose<>`2516lib,Input1*256+`2516lib,Input2 GoTo 2516lib.SkipSetInformationAboutLimits
:2516lib.SkipSetInformationAboutLimits_address
            Set `2516lib.FlagError=0
            If TransferSize<>2 Set `2516lib.FlagError=2
            If 128+`2516lib.Prefix<>`2516lib.Prefix1 Set `2516lib.FlagError=2
            If `2516lib.Command<>`2516lib.Command1 Set `2516lib.FlagError=2
:2516lib.SkipSetInformationAboutLimits
            Device `2516lib,DeviceAddress  //    
         CriticalSection End
Return //SkipK_P


/////////////////////////////////////////////////////////////////////
//   
// 2516lib.AutoCalibZero
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `2516lib,Input1=>BMem90001
Alias `2516lib,Input2=>BMem90002
Alias `2516lib.FlagError=>BMem90010
Alias `2516lib.Prefix=>BMem90011
Alias `2516lib.Prefix1=>BMem90012
Alias `2516lib.Command=>BMem90013
Alias `2516lib.Command1=>BMem90014
Alias `2516lib,DeviceAddress=>Mem90001


:2516lib.AutoCalibZero
         CriticalSection Begin
            Set `2516lib,DeviceAddress=DeviceAddress  //   
            Device `2516lib,Input1.`2516lib,Input2      //   () 
            Set `2516lib.Prefix=64
            Set `2516lib.Command=32
            Send <`2516lib.Prefix> <`2516lib.Command> 
            Receive <`2516lib.Prefix1> <`2516lib.Command1> 
            If TransferError Set `2516lib.FlagError=1
            If TransferError GoTo 2516lib.SkipAutoCalibZero
            If `2516lib,Input1*256+`2516lib,Input2=0 GoTo 2516lib.SkipAutoCalibZero_address
            If Whose<>`2516lib,Input1*256+`2516lib,Input2 Set `2516lib.FlagError=1
            If Whose<>`2516lib,Input1*256+`2516lib,Input2 GoTo 2516lib.SkipAutoCalibZero
:2516lib.SkipAutoCalibZero_address
            Set `2516lib.FlagError=0
            If TransferSize<>2 Set `2516lib.FlagError=2
            If 128+`2516lib.Prefix<>`2516lib.Prefix1 Set `2516lib.FlagError=2
            If `2516lib.Command<>`2516lib.Command1 Set `2516lib.FlagError=2
:2516lib.SkipAutoCalibZero
            Device `2516lib,DeviceAddress  //    
         CriticalSection End
Return //SetResist_ToMemory





