/////////////////////////////////////////////////////////////////////
//        2521-2
// 2521-2lib.dsl
/////////////////////////////////////////////////////////////////////
//
//     
// 2521-2lib.SetTreg
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90003 -  
//             Mem90004  - 
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//--------------------------------------------------------------------
//
//    
// 2521-2lib.SetHisteresis
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90003 -  
//             Mem90005  - 
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//--------------------------------------------------------------------
//
//        
// 2521-2lib.SetTalarmHi
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90003 -  
//             Mem90006  -     
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//--------------------------------------------------------------------
//
//        
// 2521-2lib.SetTalarmLow
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90003 -  
//             Mem90007  -     
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//--------------------------------------------------------------------
//     ,   
// 2521-2lib.GetParametres
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90003 -  
//      : Mem90003  -  
//             Mem90004  - 
//             Mem90005  - 
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//--------------------------------------------------------------------
//
//
//       
// 2521-2lib.GetTalarms
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90003 -  
//      : Mem90006  -  
//             Mem90007  -  
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//--------------------------------------------------------------------
//
//     
// 2521-2lib.GetTcomp
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : Mem90008  -  
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//--------------------------------------------------------------------
/////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////



/////////////////////////////////////////////////////////////////////
//
//     ,   
// 2521-2lib.GetParametres
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90003 -  
//      : Mem90003  -  
//             Mem90004  - 
//             Mem90005  - 
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `2521-2lib,Input1=>BMem90001
Alias `2521-2lib,Input2=>BMem90002
Alias `2521-2lib.ChannelNumber=>BMem90003
Alias `2521-2lib.Output1=>Mem90003
Alias `2521-2lib.Output2=>Mem90004
Alias `2521-2lib.Output3=>Mem90005
Alias `2521-2lib.FlagError=>BMem90010
Alias `2521-2lib.Prefix=>BMem90011
Alias `2521-2lib.Command=>BMem90012
Alias `2521-2lib.Prefix1=>BMem90013
Alias `2521-2lib.Command1=>BMem90014
Alias `2521-2lib,DeviceAddress=>Mem90001


:2521-2lib.GetParametres
         CriticalSection Begin
            Set `2521-2lib,DeviceAddress=DeviceAddress  //   
            Device `2521-2lib,Input1.`2521-2lib,Input2      //   () 
            Set `2521-2lib.Prefix=64
            Set `2521-2lib.Command=5
            Send <`2521-2lib.Prefix> <`2521-2lib.Command> <`2521-2lib.ChannelNumber>
            Receive <`2521-2lib.Prefix1> <`2521-2lib.Command1> <`2521-2lib.ChannelNumber> <`2521-2lib.Output1> <`2521-2lib.Output2> <`2521-2lib.Output3>
            If TransferError Set `2521-2lib.FlagError=1
            If TransferError GoTo 2521-2lib.SkipGetParametres
            If `2521-2lib,Input1*256+`2521-2lib,Input2=0 GoTo 2521-2lib.SkipGetParametres_address
            If Whose<>`2521-2lib,Input1*256+`2521-2lib,Input2 Set `2521-2lib.FlagError=1
            If Whose<>`2521-2lib,Input1*256+`2521-2lib,Input2 GoTo 2521-2lib.SkipGetParametres
:2521-2lib.SkipGetParametres_address
            Set `2521-2lib.FlagError=0
            If TransferSize<>6 Set `2521-2lib.FlagError=2
            If 128+`2521-2lib.Prefix<>`2521-2lib.Prefix1 Set `2521-2lib.FlagError=2
            If `2521-2lib.Command<>`2521-2lib.Command1 Set `2521-2lib.FlagError=2
            If `2521-2lib.FlagError<>0 GoTo 2521-2lib.SkipGetParametres
            If InvalidTransfer4=1 Set  `2521-2lib.FlagError=3
:2521-2lib.SkipGetParametres
            Device `2521-2lib,DeviceAddress  //    
         CriticalSection End
Return //GetParametres




/////////////////////////////////////////////////////////////////////
//     
// 2521-2lib.SetTreg
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90003 -  
//             Mem90004  - 
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//
/////////////////////////////////////////////////////////////////////

Alias `2521-2lib,Input1=>BMem90001
Alias `2521-2lib,Input2=>BMem90002
Alias `2521-2lib.ChannelNumber=>BMem90003
Alias `2521-2lib.Input3=>Mem90004
Alias `2521-2lib.FlagError=>BMem90010
Alias `2521-2lib.Prefix=>BMem90011
Alias `2521-2lib.Command=>BMem90012
Alias `2521-2lib.Prefix1=>BMem90013
Alias `2521-2lib.Command1=>BMem90014
Alias `2521-2lib,DeviceAddress=>Mem90001


:2521-2lib.SetTreg
         CriticalSection Begin
            Set `2521-2lib,DeviceAddress=DeviceAddress  //   
            Device `2521-2lib,Input1.`2521-2lib,Input2      //   () 
            Set `2521-2lib.Prefix=64
            Set `2521-2lib.Command=1
            Send <`2521-2lib.Prefix> <`2521-2lib.Command> <`2521-2lib.ChannelNumber> <`2521-2lib.Input3>
            Receive <`2521-2lib.Prefix1> <`2521-2lib.Command1> <`2521-2lib.ChannelNumber> <`2521-2lib.Input3> 
            If TransferError Set `2521-2lib.FlagError=1
            If TransferError GoTo 2521-2lib.SkipSetTreg
            If `2521-2lib,Input1*256+`2521-2lib,Input2=0 GoTo 2521-2lib.SkipSetTreg_address
            If Whose<>`2521-2lib,Input1*256+`2521-2lib,Input2 Set `2521-2lib.FlagError=1
            If Whose<>`2521-2lib,Input1*256+`2521-2lib,Input2 GoTo 2521-2lib.SkipSetTreg
:2521-2lib.SkipSetTreg_address
            Set `2521-2lib.FlagError=0
            If TransferSize<>4 Set `2521-2lib.FlagError=2
            If 128+`2521-2lib.Prefix<>`2521-2lib.Prefix1 Set `2521-2lib.FlagError=2
            If `2521-2lib.Command<>`2521-2lib.Command1 Set `2521-2lib.FlagError=2
:2521-2lib.SkipSetTreg
            Device `2521-2lib,DeviceAddress  //    
         CriticalSection End
Return //SetTreg



/////////////////////////////////////////////////////////////////////
//    
// 2521-2lib.SetHisteresis
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90003 -  
//             Mem90005  - 
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `2521-2lib,Input1=>BMem90001
Alias `2521-2lib,Input2=>BMem90002
Alias `2521-2lib.ChannelNumber=>BMem90003
Alias `2521-2lib.Input3=>Mem90005
Alias `2521-2lib.FlagError=>BMem90010
Alias `2521-2lib.Prefix=>BMem90011
Alias `2521-2lib.Command=>BMem90012
Alias `2521-2lib.Prefix1=>BMem90013
Alias `2521-2lib.Command1=>BMem90014
Alias `2521-2lib,DeviceAddress=>Mem90001


:2521-2lib.SetHisteresis
         CriticalSection Begin
            Set `2521-2lib,DeviceAddress=DeviceAddress  //   
            Device `2521-2lib,Input1.`2521-2lib,Input2      //   () 
            Set `2521-2lib.Prefix=64
            Set `2521-2lib.Command=2
            Send <`2521-2lib.Prefix> <`2521-2lib.Command> <`2521-2lib.ChannelNumber> <`2521-2lib.Input3>
            Receive <`2521-2lib.Prefix1> <`2521-2lib.Command1> <`2521-2lib.ChannelNumber> <`2521-2lib.Input3> 
            If TransferError Set `2521-2lib.FlagError=1
            If TransferError GoTo 2521-2lib.SkipSetHisteresis
            If `2521-2lib,Input1*256+`2521-2lib,Input2=0 GoTo 2521-2lib.SkipSetHisteresis_address
            If Whose<>`2521-2lib,Input1*256+`2521-2lib,Input2 Set `2521-2lib.FlagError=1
            If Whose<>`2521-2lib,Input1*256+`2521-2lib,Input2 GoTo 2521-2lib.SkipSetHisteresis
:2521-2lib.SkipSetHisteresis_address
            Set `2521-2lib.FlagError=0
            If TransferSize<>4 Set `2521-2lib.FlagError=2
            If 128+`2521-2lib.Prefix<>`2521-2lib.Prefix1 Set `2521-2lib.FlagError=2
            If `2521-2lib.Command<>`2521-2lib.Command1 Set `2521-2lib.FlagError=2
:2521-2lib.SkipSetHisteresis
            Device `2521-2lib,DeviceAddress  //    
         CriticalSection End
Return //SetHisteresis



/////////////////////////////////////////////////////////////////////
//        
// 2521-2lib.SetTalarmHi
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90003 -  
//             Mem90006  -     
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `2521-2lib,Input1=>BMem90001
Alias `2521-2lib,Input2=>BMem90002
Alias `2521-2lib.ChannelNumber=>BMem90003
Alias `2521-2lib.Input3=>Mem90006
Alias `2521-2lib.FlagError=>BMem90010
Alias `2521-2lib.Prefix=>BMem90011
Alias `2521-2lib.Command=>BMem90012
Alias `2521-2lib.Prefix1=>BMem90013
Alias `2521-2lib.Command1=>BMem90014
Alias `2521-2lib,DeviceAddress=>Mem90001


:2521-2lib.SetTalarmHi
         CriticalSection Begin
            Set `2521-2lib,DeviceAddress=DeviceAddress  //   
            Device `2521-2lib,Input1.`2521-2lib,Input2      //   () 
            Set `2521-2lib.Prefix=64
            Set `2521-2lib.Command=3
            Send <`2521-2lib.Prefix> <`2521-2lib.Command> <`2521-2lib.ChannelNumber> <`2521-2lib.Input3>
            Receive <`2521-2lib.Prefix1> <`2521-2lib.Command1> <`2521-2lib.ChannelNumber> <`2521-2lib.Input3> 
            If TransferError Set `2521-2lib.FlagError=1
            If TransferError GoTo 2521-2lib.SkipSetTalarmHi
            If `2521-2lib,Input1*256+`2521-2lib,Input2=0 GoTo 2521-2lib.SkipSetTalarmHi_address
            If Whose<>`2521-2lib,Input1*256+`2521-2lib,Input2 Set `2521-2lib.FlagError=1
            If Whose<>`2521-2lib,Input1*256+`2521-2lib,Input2 GoTo 2521-2lib.SkipSetTalarmHi
:2521-2lib.SkipSetTalarmHi_address
            Set `2521-2lib.FlagError=0
            If TransferSize<>4 Set `2521-2lib.FlagError=2
            If 128+`2521-2lib.Prefix<>`2521-2lib.Prefix1 Set `2521-2lib.FlagError=2
            If `2521-2lib.Command<>`2521-2lib.Command1 Set `2521-2lib.FlagError=2
:2521-2lib.SkipSetTalarmHi
            Device `2521-2lib,DeviceAddress  //    
         CriticalSection End
Return //SetTalarmHi







/////////////////////////////////////////////////////////////////////
//        
// 2521-2lib.SetTalarmLow
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90003 -  
//             Mem90007  -     
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `2521-2lib,Input1=>BMem90001
Alias `2521-2lib,Input2=>BMem90002
Alias `2521-2lib.ChannelNumber=>BMem90003
Alias `2521-2lib.Input3=>Mem90007
Alias `2521-2lib.FlagError=>BMem90010
Alias `2521-2lib.Prefix=>BMem90011
Alias `2521-2lib.Command=>BMem90012
Alias `2521-2lib.Prefix1=>BMem90013
Alias `2521-2lib.Command1=>BMem90014
Alias `2521-2lib,DeviceAddress=>Mem90001


:2521-2lib.SetTalarmLow
         CriticalSection Begin
            Set `2521-2lib,DeviceAddress=DeviceAddress  //   
            Device `2521-2lib,Input1.`2521-2lib,Input2      //   () 
            Set `2521-2lib.Prefix=64
            Set `2521-2lib.Command=4
            Send <`2521-2lib.Prefix> <`2521-2lib.Command> <`2521-2lib.ChannelNumber> <`2521-2lib.Input3>
            Receive <`2521-2lib.Prefix1> <`2521-2lib.Command1> <`2521-2lib.ChannelNumber> <`2521-2lib.Input3> 
            If TransferError Set `2521-2lib.FlagError=1
            If TransferError GoTo 2521-2lib.SkipSetTalarmLow
            If `2521-2lib,Input1*256+`2521-2lib,Input2=0 GoTo 2521-2lib.SkipSetTalarmLow_address
            If Whose<>`2521-2lib,Input1*256+`2521-2lib,Input2 Set `2521-2lib.FlagError=1
            If Whose<>`2521-2lib,Input1*256+`2521-2lib,Input2 GoTo 2521-2lib.SkipSetTalarmLow
:2521-2lib.SkipSetTalarmLow_address
            Set `2521-2lib.FlagError=0
            If TransferSize<>4 Set `2521-2lib.FlagError=2
            If 128+`2521-2lib.Prefix<>`2521-2lib.Prefix1 Set `2521-2lib.FlagError=2
            If `2521-2lib.Command<>`2521-2lib.Command1 Set `2521-2lib.FlagError=2
:2521-2lib.SkipSetTalarmLow
            Device `2521-2lib,DeviceAddress  //    
         CriticalSection End
Return //SetTalarmLow







/////////////////////////////////////////////////////////////////////
//       
// 2521-2lib.GetTalarms
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90003 -  
//      : Mem90006  -  
//             Mem90007  -  
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `2521-2lib,Input1=>BMem90001
Alias `2521-2lib,Input2=>BMem90002
Alias `2521-2lib.ChannelNumber=>BMem90003
Alias `2521-2lib.Output1=>Mem90006
Alias `2521-2lib.Output2=>Mem90007
Alias `2521-2lib.FlagError=>BMem90010
Alias `2521-2lib.Prefix=>BMem90011
Alias `2521-2lib.Command=>BMem90012
Alias `2521-2lib.Prefix1=>BMem90013
Alias `2521-2lib.Command1=>BMem90014
Alias `2521-2lib,DeviceAddress=>Mem90001


:2521-2lib.GetTalarms
         CriticalSection Begin
            Set `2521-2lib,DeviceAddress=DeviceAddress  //   
            Device `2521-2lib,Input1.`2521-2lib,Input2      //   () 
            Set `2521-2lib.Prefix=64
            Set `2521-2lib.Command=6
            Send <`2521-2lib.Prefix> <`2521-2lib.Command> <`2521-2lib.ChannelNumber>
            Receive <`2521-2lib.Prefix1> <`2521-2lib.Command1> <`2521-2lib.ChannelNumber> <`2521-2lib.Output1> <`2521-2lib.Output2> 
            If TransferError Set `2521-2lib.FlagError=1
            If TransferError GoTo 2521-2lib.SkipGetTalarms
            If `2521-2lib,Input1*256+`2521-2lib,Input2=0 GoTo 2521-2lib.SkipGetTalarms_address
            If Whose<>`2521-2lib,Input1*256+`2521-2lib,Input2 Set `2521-2lib.FlagError=1
            If Whose<>`2521-2lib,Input1*256+`2521-2lib,Input2 GoTo 2521-2lib.SkipGetTalarms
:2521-2lib.SkipGetTalarms_address
            Set `2521-2lib.FlagError=0
            If TransferSize<>5 Set `2521-2lib.FlagError=2
            If 128+`2521-2lib.Prefix<>`2521-2lib.Prefix1 Set `2521-2lib.FlagError=2
            If `2521-2lib.Command<>`2521-2lib.Command1 Set `2521-2lib.FlagError=2
:2521-2lib.SkipGetTalarms
            Device `2521-2lib,DeviceAddress  //    
         CriticalSection End
Return //GetTalarms






/////////////////////////////////////////////////////////////////////
//     
// 2521-2lib.GetTcomp
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : Mem90008  -  
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `2521-2lib,Input1=>BMem90001
Alias `2521-2lib,Input2=>BMem90002
Alias `2521-2lib.Output1=>Mem90008
Alias `2521-2lib.FlagError=>BMem90010
Alias `2521-2lib.Prefix=>BMem90011
Alias `2521-2lib.Command=>BMem90012
Alias `2521-2lib.Prefix1=>BMem90013
Alias `2521-2lib.Command1=>BMem90014
Alias `2521-2lib,DeviceAddress=>Mem90001


:2521-2lib.GetTcomp
         CriticalSection Begin
            Set `2521-2lib,DeviceAddress=DeviceAddress  //   
            Device `2521-2lib,Input1.`2521-2lib,Input2      //   () 
            Set `2521-2lib.Prefix=64
            Set `2521-2lib.Command=7
            Send <`2521-2lib.Prefix> <`2521-2lib.Command> 
            Receive <`2521-2lib.Prefix1> <`2521-2lib.Command1> <`2521-2lib.Output1>  
            If TransferError Set `2521-2lib.FlagError=1
            If TransferError GoTo 2521-2lib.SkipGetTcomp
            If `2521-2lib,Input1*256+`2521-2lib,Input2=0 GoTo 2521-2lib.SkipGetTcomp_address
            If Whose<>`2521-2lib,Input1*256+`2521-2lib,Input2 Set `2521-2lib.FlagError=1
            If Whose<>`2521-2lib,Input1*256+`2521-2lib,Input2 GoTo 2521-2lib.SkipGetTcomp
:2521-2lib.SkipGetTcomp_address
            Set `2521-2lib.FlagError=0
            If TransferSize<>3 Set `2521-2lib.FlagError=2
            If 128+`2521-2lib.Prefix<>`2521-2lib.Prefix1 Set `2521-2lib.FlagError=2
            If `2521-2lib.Command<>`2521-2lib.Command1 Set `2521-2lib.FlagError=2
            If `2521-2lib.FlagError<>0 GoTo 2521-2lib.SkipGetTcomp
            If InvalidTransfer3=1 Set  `2521-2lib.FlagError=3
:2521-2lib.SkipGetTcomp
            Device `2521-2lib,DeviceAddress  //    
         CriticalSection End
Return //GetTcomp



