/////////////////////////////////////////////////////////////////////
//        2522
// 2522LIB.dsl
/////////////////////////////////////////////////////////////////////
//
//    
// 2522lib.GetParametres
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : Mem90003  -    
//             Mem90004  -    
//             Mem90005  -    
//             Mem90006  -   
//             BMem90009 -  /    
//                  0 - 0 -      
//                         1 - 
//                  1 - 0 -      
//                         1 - 
//                  2 - 0 -      
//                         1 - 
//                  3 - 0 -    
//                         1 - 
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//--------------------------------------------------------------------
//
//    
// 2522lib.SetParametres
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             Mem90003  -    
//             Mem90004  -    
//             Mem90005  -    
//             Mem90006  -   
//             BMem90009 -  /    
//                  0 - 0 -      
//                         1 - 
//                  1 - 0 -      
//                         1 - 
//                  2 - 0 -      
//                         1 - 
//                  3 - 0 -    
//                         1 - 
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//-------------------------------------------------------------------- 
//
//     
// 2522lib.GetCurrentParametres
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : Mem90007  -     
//             Mem90008  -     
//             Mem90009  -     
//             Mem90010  -    
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//             BMem90015 -     :
//                  0 -   1 -         
//                  1 -   1 -         
//                  2 -   1 -         
//                  3 -   1 -       
//--------------------------------------------------------------------
//    
// 2522lib.GetDeviceState
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : BMem90003 -   
//                     0 -    
//                     1 -     
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//--------------------------------------------------------------------
//    
// 2522lib.SetDeviceInWorkState
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//--------------------------------------------------------------------
//    
// 2522lib.SetDeviceInStopState
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//
/////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////




/////////////////////////////////////////////////////////////////////
//    
// 2522lib.GetParametres
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : Mem90003  -    
//             Mem90004  -    
//             Mem90005  -    
//             Mem90006  -   
//             BMem90009 -  /    
//                  0 - 0 -      
//                         1 - 
//                  1 - 0 -      
//                         1 - 
//                  2 - 0 -      
//                         1 - 
//                  3 - 0 -    
//                         1 - 
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `2522lib,Input1=>BMem90001
Alias `2522lib,Input2=>BMem90002
Alias `2522lib.Output1=>Mem90003
Alias `2522lib.Output2=>Mem90004
Alias `2522lib.Output3=>Mem90005
Alias `2522lib.Output4=>Mem90006
Alias `2522lib.Output5=>BMem90009
Alias `2522lib.FlagError=>BMem90010
Alias `2522lib.Prefix=>BMem90011
Alias `2522lib.Prefix1=>BMem90012
Alias `2522lib.Command=>BMem90013
Alias `2522lib.Command1=>BMem90014
Alias `2522lib,DeviceAddress=>Mem90001


:2522lib.GetParametres
         CriticalSection Begin
            Set `2522lib,DeviceAddress=DeviceAddress  //   
            Device `2522lib,Input1.`2522lib,Input2      //   () 
            Set `2522lib.Prefix=64
            Set `2522lib.Command=1
            Send <`2522lib.Prefix> <`2522lib.Command> 
            Receive <`2522lib.Prefix1> <`2522lib.Command1> <`2522lib.Output5> <`2522lib.Output1> <`2522lib.Output2> <`2522lib.Output3> <`2522lib.Output4> 
            If TransferError Set `2522lib.FlagError=1
            If TransferError GoTo 2522lib.SkipGetParametres
            If `2522lib,Input1*256+`2522lib,Input2=0 GoTo 2522lib.SkipGetParametres_address
            If Whose<>`2522lib,Input1*256+`2522lib,Input2 Set `2522lib.FlagError=1
            If Whose<>`2522lib,Input1*256+`2522lib,Input2 GoTo 2522lib.SkipGetParametres
:2522lib.SkipGetParametres_address
            Set `2522lib.FlagError=0
            If TransferSize<>7 Set `2522lib.FlagError=2
            If 128+`2522lib.Prefix<>`2522lib.Prefix1 Set `2522lib.FlagError=2
            If `2522lib.Command<>`2522lib.Command1 Set `2522lib.FlagError=2
:2522lib.SkipGetParametres
            Device `2522lib,DeviceAddress  //    
         CriticalSection End
Return //GetParametres





/////////////////////////////////////////////////////////////////////
//    
// 2522lib.SetParametres
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             Mem90003  -    
//             Mem90004  -    
//             Mem90005  -    
//             Mem90006  -   
//             BMem90009 -  /    
//                  0 - 0 -      
//                         1 - 
//                  1 - 0 -      
//                         1 - 
//                  2 - 0 -      
//                         1 - 
//                  3 - 0 -    
//                         1 - 
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `2522lib,Input1=>BMem90001
Alias `2522lib,Input2=>BMem90002
Alias `2522lib,DeviceAddress=>Mem90001
Alias `2522lib.Input1=>BMem90009
Alias `2522lib.Input2=>Mem90003
Alias `2522lib.Input3=>Mem90004
Alias `2522lib.Input4=>Mem90005
Alias `2522lib.Input5=>Mem90006
Alias `2522lib.FlagError=>BMem90010
Alias `2522lib.Prefix=>BMem90011
Alias `2522lib.Command=>BMem90012
Alias `2522lib.Prefix1=>BMem90013
Alias `2522lib.Command1=>BMem90014

:2522lib.SetParametres
         CriticalSection Begin
            Set `2522lib,DeviceAddress=DeviceAddress  //   
            Device `2522lib,Input1.`2522lib,Input2      //   () 
            Set `2522lib.Prefix=64
            Set `2522lib.Command=0
            Send <`2522lib.Prefix> <`2522lib.Command> <`2522lib.Input1> <`2522lib.Input2> <`2522lib.Input3> <`2522lib.Input4> <`2522lib.Input5>
            Receive <`2522lib.Prefix1> <`2522lib.Command1> <`2522lib.Input1> <`2522lib.Input2> <`2522lib.Input3> <`2522lib.Input4> <`2522lib.Input5>
            If TransferError Set `2522lib.FlagError=1
            If TransferError GoTo 2522lib.SkipSetParametres
            If `2522lib,Input1*256+`2522lib,Input2=0 GoTo 2522lib.SkipSetParametres_address
            If Whose<>`2522lib,Input1*256+`2522lib,Input2 Set `2522lib.FlagError=1
            If Whose<>`2522lib,Input1*256+`2522lib,Input2 GoTo 2522lib.SkipSetParametres
:2522lib.SkipSetParametres_address
            Set `2522lib.FlagError=0
            If TransferSize<>7 Set `2522lib.FlagError=2 
            If `2522lib.Prefix1<>`2522lib.Prefix+128 Set `2522lib.FlagError=2
            If `2522lib.Command<>`2522lib.Command1 Set `2522lib.FlagError=2
:2522lib.SkipSetParametres
            Device `2522lib,DeviceAddress  //    
         CriticalSection End
Return //SetParametres




/////////////////////////////////////////////////////////////////////
//        ,     
// 2522lib.GetCurrentParamertes
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : Mem90007  -     
//             Mem90008  -     
//             Mem90009  -     
//             Mem90010  -    
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//             BMem90015 -     :
//                  0 -   1 -         
//                  1 -   1 -         
//                  2 -   1 -         
//                  3 -   1 -       
/////////////////////////////////////////////////////////////////////

Alias `2522lib,Input1=>BMem90001
Alias `2522lib,Input2=>BMem90002
Alias `2522lib.Output1=>Mem90007
Alias `2522lib.Output2=>Mem90008
Alias `2522lib.Output3=>Mem90009
Alias `2522lib.Output4=>Mem90010
Alias `2522lib.FlagError=>BMem90010
Alias `2522lib.FlagError1=>BMem90015
Alias `2522lib.Prefix=>BMem90011
Alias `2522lib.Prefix1=>BMem90012
Alias `2522lib.Command=>BMem90013
Alias `2522lib.Command1=>BMem90014
Alias `2522lib,DeviceAddress=>Mem90001


:2522lib.GetCurrentParametres
         CriticalSection Begin
            Set `2522lib,DeviceAddress=DeviceAddress  //   
            Device `2522lib,Input1.`2522lib,Input2      //   () 
            Set `2522lib.Prefix=64
            Set `2522lib.Command=5
            Send <`2522lib.Prefix> <`2522lib.Command> 
            Receive <`2522lib.Prefix1> <`2522lib.Command1> <`2522lib.Output1> <`2522lib.Output2> <`2522lib.Output3> <`2522lib.Output4> 
            If TransferError Set `2522lib.FlagError=1
            If TransferError GoTo 2522lib.SkipGetCurrentParametres
            If `2522lib,Input1*256+`2522lib,Input2=0 GoTo 2522lib.SkipGetCurrentParametres_address
            If Whose<>`2522lib,Input1*256+`2522lib,Input2 Set `2522lib.FlagError=1
            If Whose<>`2522lib,Input1*256+`2522lib,Input2 GoTo 2522lib.SkipGetCurrentParametres
:2522lib.SkipGetCurrentParametres_address
            Set `2522lib.FlagError=0
            If TransferSize<>6 Set `2522lib.FlagError=2
            If 128+`2522lib.Prefix<>`2522lib.Prefix1 Set `2522lib.FlagError=2
            If `2522lib.Command<>`2522lib.Command1 Set `2522lib.FlagError=2
            If `2522lib.FlagError<>0 GoTo 2522lib.SkipGetCurrentParametres
            Set `2525lib.FlagError1=0
            If InvalidTransfer3=1 Set  `2525lib.FlagError1=1
            If InvalidTransfer4=1 Set  `2525lib.FlagError1=`2525lib.FlagError1+2^1
            If InvalidTransfer5=1 Set  `2525lib.FlagError1=`2525lib.FlagError1+2^2
            If InvalidTransfer6=1 Set  `2525lib.FlagError1=`2525lib.FlagError1+2^3
            If `2525lib.FlagError1<>0 Set `2525lib.FlagError=3
:2522lib.SkipGetCurrentParametres
            Device `2522lib,DeviceAddress  //    
         CriticalSection End
Return //GetCurrentParametres




/////////////////////////////////////////////////////////////////////
//    
// 2522lib.GetDeviceState
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : BMem90003 -   
//                     0 -    
//                     1 -     
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `2522lib,Input1=>BMem90001
Alias `2522lib,Input2=>BMem90002
Alias `2522lib.Output1=>BMem90003
Alias `2522lib.FlagError=>BMem90010
Alias `2522lib.Prefix=>BMem90011
Alias `2522lib.Prefix1=>BMem90012
Alias `2522lib.Command=>BMem90013
Alias `2522lib.Command1=>BMem90014
Alias `2522lib,DeviceAddress=>Mem90001


:2522lib.GetDeviceState
         CriticalSection Begin
            Set `2522lib,DeviceAddress=DeviceAddress  //   
            Device `2522lib,Input1.`2522lib,Input2      //   () 
            Set `2522lib.Prefix=64
            Set `2522lib.Command=4
            Send <`2522lib.Prefix> <`2522lib.Command> 
            Receive <`2522lib.Prefix1> <`2522lib.Command1> <`2522lib.Output1> 
            If TransferError Set `2522lib.FlagError=1
            If TransferError GoTo 2522lib.SkipGetDeviceState
            If `2522lib,Input1*256+`2522lib,Input2=0 GoTo 2522lib.SkipGetDeviceState_address
            If Whose<>`2522lib,Input1*256+`2522lib,Input2 Set `2522lib.FlagError=1
            If Whose<>`2522lib,Input1*256+`2522lib,Input2 GoTo 2522lib.SkipGetDeviceState
:2522lib.SkipGetDeviceState_address
            Set `2522lib.FlagError=0
            If TransferSize<>3 Set `2522lib.FlagError=2
            If 128+`2522lib.Prefix<>`2522lib.Prefix1 Set `2522lib.FlagError=2
            If `2522lib.Command<>`2522lib.Command1 Set `2522lib.FlagError=2
:2522lib.SkipGetDeviceState
            Device `2522lib,DeviceAddress  //    
         CriticalSection End
Return //GetDeviceState





/////////////////////////////////////////////////////////////////////
//    
// 2522lib.SetDeviceInWorkState
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `2522lib,Input1=>BMem90001
Alias `2522lib,Input2=>BMem90002
Alias `2522lib.FlagError=>BMem90010
Alias `2522lib.Prefix=>BMem90011
Alias `2522lib.Prefix1=>BMem90012
Alias `2522lib.Command=>BMem90013
Alias `2522lib.Command1=>BMem90014
Alias `2522lib,DeviceAddress=>Mem90001


:2522lib.SetDeviceInWorkState
         CriticalSection Begin
            Set `2522lib,DeviceAddress=DeviceAddress  //   
            Device `2522lib,Input1.`2522lib,Input2      //   () 
            Set `2522lib.Prefix=64
            Set `2522lib.Command=2
            Send <`2522lib.Prefix> <`2522lib.Command> 
            Receive <`2522lib.Prefix1> <`2522lib.Command1> 
            If TransferError Set `2522lib.FlagError=1
            If TransferError GoTo 2522lib.SkipSetDeviceInWorkState
            If `2522lib,Input1*256+`2522lib,Input2=0 GoTo 2522lib.SkipSetDeviceInWorkState_address
            If Whose<>`2522lib,Input1*256+`2522lib,Input2 Set `2522lib.FlagError=1
            If Whose<>`2522lib,Input1*256+`2522lib,Input2 GoTo 2522lib.SkipSetDeviceInWorkState
:2522lib.SkipSetDeviceInWorkState_address
            Set `2522lib.FlagError=0
            If TransferSize<>2 Set `2522lib.FlagError=2
            If 128+`2522lib.Prefix<>`2522lib.Prefix1 Set `2522lib.FlagError=2
            If `2522lib.Command<>`2522lib.Command1 Set `2522lib.FlagError=2
:2522lib.SkipSetDeviceInWorkState
            Device `2522lib,DeviceAddress  //    
         CriticalSection End
Return //SetDeviceInWorkState








/////////////////////////////////////////////////////////////////////
//    
// 2522lib.SetDeviceInStopState
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `2522lib,Input1=>BMem90001
Alias `2522lib,Input2=>BMem90002
Alias `2522lib.FlagError=>BMem90010
Alias `2522lib.Prefix=>BMem90011
Alias `2522lib.Prefix1=>BMem90012
Alias `2522lib.Command=>BMem90013
Alias `2522lib.Command1=>BMem90014
Alias `2522lib,DeviceAddress=>Mem90001


:2522lib.SetDeviceInStopState
         CriticalSection Begin
            Set `2522lib,DeviceAddress=DeviceAddress  //   
            Device `2522lib,Input1.`2522lib,Input2      //   () 
            Set `2522lib.Prefix=64
            Set `2522lib.Command=3
            Send <`2522lib.Prefix> <`2522lib.Command> 
            Receive <`2522lib.Prefix1> <`2522lib.Command1> 
            If TransferError Set `2522lib.FlagError=1
            If TransferError GoTo 2522lib.SkipSetDeviceInStopState
            If `2522lib,Input1*256+`2522lib,Input2=0 GoTo 2522lib.SkipSetDeviceInStopState_address
            If Whose<>`2522lib,Input1*256+`2522lib,Input2 Set `2522lib.FlagError=1
            If Whose<>`2522lib,Input1*256+`2522lib,Input2 GoTo 2522lib.SkipSetDeviceInStopState
:2522lib.SkipSetDeviceInStopState_address
            Set `2522lib.FlagError=0
            If TransferSize<>2 Set `2522lib.FlagError=2
            If 128+`2522lib.Prefix<>`2522lib.Prefix1 Set `2522lib.FlagError=2
            If `2522lib.Command<>`2522lib.Command1 Set `2522lib.FlagError=2
:2522lib.SkipSetDeviceInStopState
            Device `2522lib,DeviceAddress  //    
         CriticalSection End
Return //SetDeviceInStopState

