/////////////////////////////////////////////////////////////////////
//        2524 
// 2524LIB.dsl
/////////////////////////////////////////////////////////////////////
//
//--------------------------------------------------------------------
//   
// 2524lib.GetTcurrent
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : Mem90014  -   
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//--------------------------------------------------------------------
/////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////




/////////////////////////////////////////////////////////////////////
//   
// 2524lib.GetTcurrent
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : Mem90014  -   
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `2524lib,Input1=>BMem90001
Alias `2524lib,Input2=>BMem90002
Alias `2524lib.Output1=>Mem90014
Alias `2524lib.FlagError=>BMem90010
Alias `2524lib.Prefix=>BMem90011
Alias `2524lib.Prefix1=>BMem90012
Alias `2524lib.Command=>BMem90013
Alias `2524lib.Command1=>BMem90014
Alias `2524lib,DeviceAddress=>Mem90001


:2524lib.GetTcurrent
         CriticalSection Begin
            Set `2524lib,DeviceAddress=DeviceAddress  //   
            Device `2524lib,Input1.`2524lib,Input2      //   () 
            Set `2524lib.Prefix=64
            Set `2524lib.Command=24
            Send <`2524lib.Prefix> <`2524lib.Command> 
            Receive <`2524lib.Prefix1> <`2524lib.Command1> <`2524lib.Output1> 
            If TransferError Set `2524lib.FlagError=1
            If TransferError GoTo 2524lib.SkipGetTcurrent
            If `2524lib,Input1*256+`2524lib,Input2=0 GoTo 2524lib.SkipGetTcurrent_address
            If Whose<>`2524lib,Input1*256+`2524lib,Input2 Set `2524lib.FlagError=1
            If Whose<>`2524lib,Input1*256+`2524lib,Input2 GoTo 2524lib.SkipGetTcurrent
:2524lib.SkipGetTcurrent_address
            Set `2524lib.FlagError=0
            If TransferSize<>3 Set `2524lib.FlagError=2
            If 128+`2524lib.Prefix<>`2524lib.Prefix1 Set `2524lib.FlagError=2
            If `2524lib.Command<>`2524lib.Command1 Set `2524lib.FlagError=2
            If `2524lib.FlagError<>0 GoTo 2524lib.SkipGetTcurrent
            If InvalidTransfer3=1 Set  `2524lib.FlagError=3
:2524lib.SkipGetTcurrent
            Device `2524lib,DeviceAddress  //    
         CriticalSection End
Return //GetTcurrent

