/////////////////////////////////////////////////////////////////////
//        3603
// 3603lib.dsl
/////////////////////////////////////////////////////////////////////
//
//        
// 3603lib.GetPoint
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : Mem90003  -     
//                     0 -  
//                     1 -      
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//--------------------------------------------------------------------
//
//     
// 3603lib.SetPoint
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             Mem90003  -     
//                     0 -  
//                     1 -      
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
// 
//--------------------------------------------------------------------
//
//      1
// 3603lib.SetRreg1
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             Mem90004  -   1
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
// 
//--------------------------------------------------------------------
//
//      1
// 3603lib.GetRreg1
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : Mem90004  -   1
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//--------------------------------------------------------------------
//
//      2
// 3603lib.SetRreg2
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             Mem90005  -   2
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
// 
//--------------------------------------------------------------------
//
//      2
// 3603lib.GetRreg2
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : Mem90005  -   2
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//--------------------------------------------------------------------
//
//      1
// 3603lib.SetRhisteresis1
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             Mem90006  -   1
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
// 
//--------------------------------------------------------------------
//
//      1
// 3603lib.GetRhisteresis1
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : Mem90006  -   1
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//--------------------------------------------------------------------
//
//      2
// 3603lib.SetRhisteresis2
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             Mem90007  -   2
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
// 
//--------------------------------------------------------------------
//
//      2
// 3603lib.GetRhisteresis2
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : Mem90007  -   2
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//--------------------------------------------------------------------
//
//     
// 3603lib.GetRcurrent
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : Mem90008  - ,  
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//
/////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////






/////////////////////////////////////////////////////////////////////
//        
// 3603lib.GetPoint
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : Mem90003  -     
//                     0 -  
//                     1 -      
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `3603lib,Input1=>BMem90001
Alias `3603lib,Input2=>BMem90002
Alias `3603lib.Output1=>Mem90003
Alias `3603lib.FlagError=>BMem90010
Alias `3603lib.BCommand1=>BMem90011
Alias `3603lib.BCommand2=>BMem90012
Alias `3603lib.BCommand4=>BMem90014
Alias `3603lib.BCommand5=>BMem90015
Alias `3603lib,DeviceAddress=>Mem90001


:3603lib.GetPoint
         CriticalSection Begin
            Set `3603lib,DeviceAddress=DeviceAddress  //   
            Device `3603lib,Input1.`3603lib,Input2      //   () 
            Set `3603lib.BCommand1=64
            Set `3603lib.BCommand2=1
            Send <`3603lib.BCommand1> <`3603lib.BCommand2> 
            Receive <`3603lib.BCommand4> <`3603lib.BCommand5> <`3603lib.Output1> 
            If TransferError Set `3603lib.FlagError=1
            If TransferError GoTo 3603lib.SkipGetPoint
            If `3603lib,Input1*256+`3603lib,Input2=0 GoTo 3603lib.SkipGetPoint_address
            If Whose<>`3603lib,Input1*256+`3603lib,Input2 Set `3603lib.FlagError=1
            If Whose<>`3603lib,Input1*256+`3603lib,Input2 GoTo 3603lib.SkipGetPoint
:3603lib.SkipGetPoint_address
            Set `3603lib.FlagError=0
            If TransferSize<>3 Set `3603lib.FlagError=2
            If 128+`3603lib.BCommand1<>`3603lib.BCommand4 Set `3603lib.FlagError=2
            If `3603lib.BCommand2<>`3603lib.BCommand5 Set `3603lib.FlagError=2
:3603lib.SkipGetPoint
            Device `3603lib,DeviceAddress  //    
         CriticalSection End
Return //GetPoint









/////////////////////////////////////////////////////////////////////
//     
// 3603lib.SetPoint
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             Mem90003  -     
//                     0 -  
//                     1 -      
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `3603lib,Input1=>BMem90001
Alias `3603lib,Input2=>BMem90002
Alias `3603lib.Input3=>Mem90003
Alias `3603lib.FlagError=>BMem90010
Alias `3603lib.BCommand1=>BMem90011
Alias `3603lib.BCommand2=>BMem90012
Alias `3603lib.BCommand4=>BMem90014
Alias `3603lib.BCommand5=>BMem90015
Alias `3603lib,DeviceAddress=>Mem90001


:3603lib.SetPoint
         CriticalSection Begin
            Set `3603lib,DeviceAddress=DeviceAddress  //   
            Device `3603lib,Input1.`3603lib,Input2      //   () 
            Set `3603lib.BCommand1=64
            Set `3603lib.BCommand2=0
            Send <`3603lib.BCommand1> <`3603lib.BCommand2> <`3603lib.Input3> 
            Receive <`3603lib.BCommand4> <`3603lib.BCommand5> <`3603lib.Input3> 
            If TransferError Set `3603lib.FlagError=1
            If TransferError GoTo 3603lib.SkipSetPoint
            If `3603lib,Input1*256+`3603lib,Input2=0 GoTo 3603lib.SkipSetPoint_address
            If Whose<>`3603lib,Input1*256+`3603lib,Input2 Set `3603lib.FlagError=1
            If Whose<>`3603lib,Input1*256+`3603lib,Input2 GoTo 3603lib.SkipSetPoint
:3603lib.SkipSetPoint_address
            Set `3603lib.FlagError=0
            If TransferSize<>3 Set `3603lib.FlagError=2
            If 128+`3603lib.BCommand1<>`3603lib.BCommand4 Set `3603lib.FlagError=2
            If `3603lib.BCommand2<>`3603lib.BCommand5 Set `3603lib.FlagError=2
:3603lib.SkipSetPoint
            Device `3603lib,DeviceAddress  //    
         CriticalSection End
Return //SetPoint





/////////////////////////////////////////////////////////////////////
//      1
// 3603lib.SetRreg1
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             Mem90004  -   1
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `3603lib,Input1=>BMem90001
Alias `3603lib,Input2=>BMem90002
Alias `3603lib.Input3=>Mem90004
Alias `3603lib.FlagError=>BMem90010
Alias `3603lib.BCommand1=>BMem90011
Alias `3603lib.BCommand2=>BMem90012
Alias `3603lib.BCommand4=>BMem90014
Alias `3603lib.BCommand5=>BMem90015
Alias `3603lib,DeviceAddress=>Mem90001


:3603lib.SetRreg1
         CriticalSection Begin
            Set `3603lib,DeviceAddress=DeviceAddress  //   
            Device `3603lib,Input1.`3603lib,Input2      //   () 
            Set `3603lib.BCommand1=64
            Set `3603lib.BCommand2=2
            Send <`3603lib.BCommand1> <`3603lib.BCommand2> <`3603lib.Input3> 
            Receive <`3603lib.BCommand4> <`3603lib.BCommand5> <`3603lib.Input3> 
            If TransferError Set `3603lib.FlagError=1
            If TransferError GoTo 3603lib.SkipSetRreg1
            If `3603lib,Input1*256+`3603lib,Input2=0 GoTo 3603lib.SkipSetRreg1_address
            If Whose<>`3603lib,Input1*256+`3603lib,Input2 Set `3603lib.FlagError=1
            If Whose<>`3603lib,Input1*256+`3603lib,Input2 GoTo 3603lib.SkipSetRreg1
:3603lib.SkipSetRreg1_address
            Set `3603lib.FlagError=0
            If TransferSize<>3 Set `3603lib.FlagError=2
            If 128+`3603lib.BCommand1<>`3603lib.BCommand4 Set `3603lib.FlagError=2
            If `3603lib.BCommand2<>`3603lib.BCommand5 Set `3603lib.FlagError=2
:3603lib.SkipSetRreg1
            Device `3603lib,DeviceAddress  //    
         CriticalSection End
Return //SetRreg1





/////////////////////////////////////////////////////////////////////
//      1
// 3603lib.GetRreg1
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : Mem90004  -   1
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `3603lib,Input1=>BMem90001
Alias `3603lib,Input2=>BMem90002
Alias `3603lib.Output1=>Mem90004
Alias `3603lib.FlagError=>BMem90010
Alias `3603lib.BCommand1=>BMem90011
Alias `3603lib.BCommand2=>BMem90012
Alias `3603lib.BCommand4=>BMem90014
Alias `3603lib.BCommand5=>BMem90015
Alias `3603lib,DeviceAddress=>Mem90001


:3603lib.GetRreg1
         CriticalSection Begin
            Set `3603lib,DeviceAddress=DeviceAddress  //   
            Device `3603lib,Input1.`3603lib,Input2      //   () 
            Set `3603lib.BCommand1=64
            Set `3603lib.BCommand2=3
            Send <`3603lib.BCommand1> <`3603lib.BCommand2> 
            Receive <`3603lib.BCommand4> <`3603lib.BCommand5> <`3603lib.Output1> 
            If TransferError Set `3603lib.FlagError=1
            If TransferError GoTo 3603lib.SkipGetRreg1
            If `3603lib,Input1*256+`3603lib,Input2=0 GoTo 3603lib.SkipGetRreg1_address
            If Whose<>`3603lib,Input1*256+`3603lib,Input2 Set `3603lib.FlagError=1
            If Whose<>`3603lib,Input1*256+`3603lib,Input2 GoTo 3603lib.SkipGetRreg1
:3603lib.SkipGetRreg1_address
            Set `3603lib.FlagError=0
            If TransferSize<>3 Set `3603lib.FlagError=2
            If 128+`3603lib.BCommand1<>`3603lib.BCommand4 Set `3603lib.FlagError=2
            If `3603lib.BCommand2<>`3603lib.BCommand5 Set `3603lib.FlagError=2
:3603lib.SkipGetRreg1
            Device `3603lib,DeviceAddress  //    
         CriticalSection End
Return //GetRreg1





/////////////////////////////////////////////////////////////////////
//      2
// 3603lib.SetRreg2
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             Mem90005  -   2
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `3603lib,Input1=>BMem90001
Alias `3603lib,Input2=>BMem90002
Alias `3603lib.Input3=>Mem90005
Alias `3603lib.FlagError=>BMem90010
Alias `3603lib.BCommand1=>BMem90011
Alias `3603lib.BCommand2=>BMem90012
Alias `3603lib.BCommand4=>BMem90014
Alias `3603lib.BCommand5=>BMem90015
Alias `3603lib,DeviceAddress=>Mem90001


:3603lib.SetRreg2
         CriticalSection Begin
            Set `3603lib,DeviceAddress=DeviceAddress  //   
            Device `3603lib,Input1.`3603lib,Input2      //   () 
            Set `3603lib.BCommand1=64
            Set `3603lib.BCommand2=4
            Send <`3603lib.BCommand1> <`3603lib.BCommand2> <`3603lib.Input3> 
            Receive <`3603lib.BCommand4> <`3603lib.BCommand5> <`3603lib.Input3> 
            If TransferError Set `3603lib.FlagError=1
            If TransferError GoTo 3603lib.SkipSetRreg2
            If `3603lib,Input1*256+`3603lib,Input2=0 GoTo 3603lib.SkipSetRreg2_address
            If Whose<>`3603lib,Input1*256+`3603lib,Input2 Set `3603lib.FlagError=1
            If Whose<>`3603lib,Input1*256+`3603lib,Input2 GoTo 3603lib.SkipSetRreg2
:3603lib.SkipSetRreg2_address
            Set `3603lib.FlagError=0
            If TransferSize<>3 Set `3603lib.FlagError=2
            If 128+`3603lib.BCommand1<>`3603lib.BCommand4 Set `3603lib.FlagError=2
            If `3603lib.BCommand2<>`3603lib.BCommand5 Set `3603lib.FlagError=2
:3603lib.SkipSetRreg2
            Device `3603lib,DeviceAddress  //    
         CriticalSection End
Return //SetRreg2




/////////////////////////////////////////////////////////////////////
//      2
// 3603lib.GetRreg2
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : Mem90005  -   2
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `3603lib,Input1=>BMem90001
Alias `3603lib,Input2=>BMem90002
Alias `3603lib.Output1=>Mem90005
Alias `3603lib.FlagError=>BMem90010
Alias `3603lib.BCommand1=>BMem90011
Alias `3603lib.BCommand2=>BMem90012
Alias `3603lib.BCommand4=>BMem90014
Alias `3603lib.BCommand5=>BMem90015
Alias `3603lib,DeviceAddress=>Mem90001


:3603lib.GetRreg2
         CriticalSection Begin
            Set `3603lib,DeviceAddress=DeviceAddress  //   
            Device `3603lib,Input1.`3603lib,Input2      //   () 
            Set `3603lib.BCommand1=64
            Set `3603lib.BCommand2=5
            Send <`3603lib.BCommand1> <`3603lib.BCommand2> 
            Receive <`3603lib.BCommand4> <`3603lib.BCommand5> <`3603lib.Output1> 
            If TransferError Set `3603lib.FlagError=1
            If TransferError GoTo 3603lib.SkipGetRreg2
            If `3603lib,Input1*256+`3603lib,Input2=0 GoTo 3603lib.SkipGetRreg2_address
            If Whose<>`3603lib,Input1*256+`3603lib,Input2 Set `3603lib.FlagError=1
            If Whose<>`3603lib,Input1*256+`3603lib,Input2 GoTo 3603lib.SkipGetRreg2
:3603lib.SkipGetRreg2_address
            Set `3603lib.FlagError=0
            If TransferSize<>3 Set `3603lib.FlagError=2
            If 128+`3603lib.BCommand1<>`3603lib.BCommand4 Set `3603lib.FlagError=2
            If `3603lib.BCommand2<>`3603lib.BCommand5 Set `3603lib.FlagError=2
:3603lib.SkipGetRreg2
            Device `3603lib,DeviceAddress  //    
         CriticalSection End
Return //GetRreg2




/////////////////////////////////////////////////////////////////////
//      1
// 3603lib.SetRhisteresis1
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             Mem90006  -   1
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `3603lib,Input1=>BMem90001
Alias `3603lib,Input2=>BMem90002
Alias `3603lib.Input3=>Mem90006
Alias `3603lib.FlagError=>BMem90010
Alias `3603lib.BCommand1=>BMem90011
Alias `3603lib.BCommand2=>BMem90012
Alias `3603lib.BCommand4=>BMem90014
Alias `3603lib.BCommand5=>BMem90015
Alias `3603lib,DeviceAddress=>Mem90001


:3603lib.SetRhisteresis1
         CriticalSection Begin
            Set `3603lib,DeviceAddress=DeviceAddress  //   
            Device `3603lib,Input1.`3603lib,Input2      //   () 
            Set `3603lib.BCommand1=64
            Set `3603lib.BCommand2=6
            Send <`3603lib.BCommand1> <`3603lib.BCommand2> <`3603lib.Input3> 
            Receive <`3603lib.BCommand4> <`3603lib.BCommand5> <`3603lib.Input3> 
            If TransferError Set `3603lib.FlagError=1
            If TransferError GoTo 3603lib.SkipSetRhisteresis1
            If `3603lib,Input1*256+`3603lib,Input2=0 GoTo 3603lib.SkipSetRhisteresis1_address
            If Whose<>`3603lib,Input1*256+`3603lib,Input2 Set `3603lib.FlagError=1
            If Whose<>`3603lib,Input1*256+`3603lib,Input2 GoTo 3603lib.SkipSetRhisteresis1
:3603lib.SkipSetRhisteresis1_address
            Set `3603lib.FlagError=0
            If TransferSize<>3 Set `3603lib.FlagError=2
            If 128+`3603lib.BCommand1<>`3603lib.BCommand4 Set `3603lib.FlagError=2
            If `3603lib.BCommand2<>`3603lib.BCommand5 Set `3603lib.FlagError=2
:3603lib.SkipSetRhisteresis1
            Device `3603lib,DeviceAddress  //    
         CriticalSection End
Return //SetRhisteresis1




/////////////////////////////////////////////////////////////////////
//      1
// 3603lib.GetRhisteresis1
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : Mem90006  -   1
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `3603lib,Input1=>BMem90001
Alias `3603lib,Input2=>BMem90002
Alias `3603lib.Output1=>Mem90006
Alias `3603lib.FlagError=>BMem90010
Alias `3603lib.BCommand1=>BMem90011
Alias `3603lib.BCommand2=>BMem90012
Alias `3603lib.BCommand4=>BMem90014
Alias `3603lib.BCommand5=>BMem90015
Alias `3603lib,DeviceAddress=>Mem90001


:3603lib.GetRhisteresis1
         CriticalSection Begin
            Set `3603lib,DeviceAddress=DeviceAddress  //   
            Device `3603lib,Input1.`3603lib,Input2      //   () 
            Set `3603lib.BCommand1=64
            Set `3603lib.BCommand2=7
            Send <`3603lib.BCommand1> <`3603lib.BCommand2> 
            Receive <`3603lib.BCommand4> <`3603lib.BCommand5> <`3603lib.Output1> 
            If TransferError Set `3603lib.FlagError=1
            If TransferError GoTo 3603lib.SkipGetRhisteresis1
            If `3603lib,Input1*256+`3603lib,Input2=0 GoTo 3603lib.SkipGetRhisteresis1_address
            If Whose<>`3603lib,Input1*256+`3603lib,Input2 Set `3603lib.FlagError=1
            If Whose<>`3603lib,Input1*256+`3603lib,Input2 GoTo 3603lib.SkipGetRhisteresis1
:3603lib.SkipGetRhisteresis1_address
            Set `3603lib.FlagError=0
            If TransferSize<>3 Set `3603lib.FlagError=2
            If 128+`3603lib.BCommand1<>`3603lib.BCommand4 Set `3603lib.FlagError=2
            If `3603lib.BCommand2<>`3603lib.BCommand5 Set `3603lib.FlagError=2
:3603lib.SkipGetRhisteresis1
            Device `3603lib,DeviceAddress  //    
         CriticalSection End
Return //GetRhisteresis1





/////////////////////////////////////////////////////////////////////
//      2
// 3603lib.SetRhisteresis2
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             Mem90007  -   2
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `3603lib,Input1=>BMem90001
Alias `3603lib,Input2=>BMem90002
Alias `3603lib.Input3=>Mem90007
Alias `3603lib.FlagError=>BMem90010
Alias `3603lib.BCommand1=>BMem90011
Alias `3603lib.BCommand2=>BMem90012
Alias `3603lib.BCommand4=>BMem90014
Alias `3603lib.BCommand5=>BMem90015
Alias `3603lib,DeviceAddress=>Mem90001


:3603lib.SetRhisteresis2
         CriticalSection Begin
            Set `3603lib,DeviceAddress=DeviceAddress  //   
            Device `3603lib,Input1.`3603lib,Input2      //   () 
            Set `3603lib.BCommand1=64
            Set `3603lib.BCommand2=8
            Send <`3603lib.BCommand1> <`3603lib.BCommand2> <`3603lib.Input3> 
            Receive <`3603lib.BCommand4> <`3603lib.BCommand5> <`3603lib.Input3> 
            If TransferError Set `3603lib.FlagError=1
            If TransferError GoTo 3603lib.SkipSetRhisteresis2
            If `3603lib,Input1*256+`3603lib,Input2=0 GoTo 3603lib.SkipSetRhisteresis2_address
            If Whose<>`3603lib,Input1*256+`3603lib,Input2 Set `3603lib.FlagError=1
            If Whose<>`3603lib,Input1*256+`3603lib,Input2 GoTo 3603lib.SkipSetRhisteresis2
:3603lib.SkipSetRhisteresis2_address
            Set `3603lib.FlagError=0
            If TransferSize<>3 Set `3603lib.FlagError=2
            If 128+`3603lib.BCommand1<>`3603lib.BCommand4 Set `3603lib.FlagError=2
            If `3603lib.BCommand2<>`3603lib.BCommand5 Set `3603lib.FlagError=2
:3603lib.SkipSetRhisteresis2
            Device `3603lib,DeviceAddress  //    
         CriticalSection End
Return //SetRhisteresis2





/////////////////////////////////////////////////////////////////////
//      2
// 3603lib.GetRhisteresis2
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : Mem90007  -   2
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `3603lib,Input1=>BMem90001
Alias `3603lib,Input2=>BMem90002
Alias `3603lib.Output1=>Mem90007
Alias `3603lib.FlagError=>BMem90010
Alias `3603lib.BCommand1=>BMem90011
Alias `3603lib.BCommand2=>BMem90012
Alias `3603lib.BCommand4=>BMem90014
Alias `3603lib.BCommand5=>BMem90015
Alias `3603lib,DeviceAddress=>Mem90001


:3603lib.GetRhisteresis2
         CriticalSection Begin
            Set `3603lib,DeviceAddress=DeviceAddress  //   
            Device `3603lib,Input1.`3603lib,Input2      //   () 
            Set `3603lib.BCommand1=64
            Set `3603lib.BCommand2=9
            Send <`3603lib.BCommand1> <`3603lib.BCommand2> 
            Receive <`3603lib.BCommand4> <`3603lib.BCommand5> <`3603lib.Output1> 
            If TransferError Set `3603lib.FlagError=1
            If TransferError GoTo 3603lib.SkipGetRhisteresis2
            If `3603lib,Input1*256+`3603lib,Input2=0 GoTo 3603lib.SkipGetRhisteresis2_address
            If Whose<>`3603lib,Input1*256+`3603lib,Input2 Set `3603lib.FlagError=1
            If Whose<>`3603lib,Input1*256+`3603lib,Input2 GoTo 3603lib.SkipGetRhisteresis2
:3603lib.SkipGetRhisteresis2_address
            Set `3603lib.FlagError=0
            If TransferSize<>3 Set `3603lib.FlagError=2
            If 128+`3603lib.BCommand1<>`3603lib.BCommand4 Set `3603lib.FlagError=2
            If `3603lib.BCommand2<>`3603lib.BCommand5 Set `3603lib.FlagError=2
:3603lib.SkipGetRhisteresis2
            Device `3603lib,DeviceAddress  //    
         CriticalSection End
Return //GetRhisteresis2




/////////////////////////////////////////////////////////////////////
//     
// 3603lib.GetRcurrent
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : Mem90008  - ,  
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `3603lib,Input1=>BMem90001
Alias `3603lib,Input2=>BMem90002
Alias `3603lib.Output1=>Mem90008
Alias `3603lib.FlagError=>BMem90010
Alias `3603lib.BCommand1=>BMem90011
Alias `3603lib.BCommand2=>BMem90012
Alias `3603lib.BCommand4=>BMem90014
Alias `3603lib.BCommand5=>BMem90015
Alias `3603lib,DeviceAddress=>Mem90001


:3603lib.GetRcurrent
         CriticalSection Begin
            Set `3603lib,DeviceAddress=DeviceAddress  //   
            Device `3603lib,Input1.`3603lib,Input2      //   () 
            Set `3603lib.BCommand1=64
            Set `3603lib.BCommand2=10
            Send <`3603lib.BCommand1> <`3603lib.BCommand2> 
            Receive <`3603lib.BCommand4> <`3603lib.BCommand5> <`3603lib.Output1> 
            If TransferError Set `3603lib.FlagError=1
            If TransferError GoTo 3603lib.SkipGetRcurrent
            If `3603lib,Input1*256+`3603lib,Input2=0 GoTo 3603lib.SkipGetRcurrent_address
            If Whose<>`3603lib,Input1*256+`3603lib,Input2 Set `3603lib.FlagError=1
            If Whose<>`3603lib,Input1*256+`3603lib,Input2 GoTo 3603lib.SkipGetRcurrent
:3603lib.SkipGetRcurrent_address
            Set `3603lib.FlagError=0
            If TransferSize<>3 Set `3603lib.FlagError=2
            If 128+`3603lib.BCommand1<>`3603lib.BCommand4 Set `3603lib.FlagError=2
            If `3603lib.BCommand2<>`3603lib.BCommand5 Set `3603lib.FlagError=2
            If `3603lib.FlagError<>0 GoTo 3603lib.SkipGetRcurrent
            If InvalidTransfer3=1 Set  `3603lib.FlagError=3
:3603lib.SkipGetRcurrent
            Device `3603lib,DeviceAddress  //    
         CriticalSection End
Return //GetRcurrent







