/////////////////////////////////////////////////////////////////////
//      1
// dIOIO.dsl
/////////////////////////////////////////////////////////////////////
//
//         
// dIOLIB.GetAllInputs
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : BMem90004 -     
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//--------------------------------------------------------------------
//         
// dIOLIB.GetInputForChannel
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90003 -   (1..6)
//      : BMem90004 -    
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//--------------------------------------------------------------------
//         
// dIOLIB.GetAllOutputs
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : BMem90004 -     
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//--------------------------------------------------------------------
//         
// dIOLIB.GetInputForChannel
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90003 -   (1..6)
//      : BMem90004 -    
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//--------------------------------------------------------------------
//          
// dIOLIB.SetAllOutputs
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90004 -   
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//--------------------------------------------------------------------
//         
// dIOLIB.SetOutputForChannel
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90003 -   
//             BMem90004 -   
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//--------------------------------------------------------------------
//   EEPROM
// dIOLIB.SaveOutputState
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
/////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////







/////////////////////////////////////////////////////////////////////
//         
// dIOLIB.GetAllInputs
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : BMem90004 -     
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
/////////////////////////////////////////////////////////////////////

Alias `dIOLIB,Input1=>BMem90001
Alias `dIOLIB,Input2=>BMem90002
Alias `dIOLIB.Channels=>BMem90003
Alias `dIOLIB.Output=>BMem90004
Alias `dIOLIB.Prefix=>BMem90005
Alias `dIOLIB.Command=>BMem90006
Alias `dIOLIB.Prefix1=>BMem90007
Alias `dIOLIB.Command1=>BMem90008
Alias `dIOLIB.FlagError=>BMem90010
Alias `dIOLIB,DeviceAddress=>Mem90001

:dIOLIB.GetAllInputs
            Set `dIOLIB,DeviceAddress=DeviceAddress  //   
            Device `dIOLIB,Input1.`dIOLIB,Input2      //   () 
            Set `dIOLIB.Prefix=64
            Set `dIOLIB.Command=0
            Set `dIOLIB.Channels=0
            Send <`dIOLIB.Prefix> <`dIOLIB.Command> <`dIOLIB.Channels> 
            Receive <`dIOLIB.Prefix1> <`dIOLIB.Command1> <`dIOLIB.Channels> <`dIOLIB.Output>
            If TransferError Set `dIOLIB.FlagError=1
            If TransferError Goto dIOLIB.SkipGetAllInputs
            If Whose<>`dIOlib,Input1*256+`dIOlib,Input2 Set `dIOlib.FlagError=1
            If Whose<>`dIOlib,Input1*256+`dIOlib,Input2 GoTo dIOlib.SkipGetAllInputs
            Set `dIOLIB.FlagError=0
            If TransferSize<>4  Set `dIOLIB.FlagError=2
            If `dIOLIB.Command<>`dIOLIB.Command1  Set `dIOLIB.FlagError=2
            If `dIOLIB.Prefix1<>`dIOLIB.Prefix+128  Set `dIOLIB.FlagError=2
:dIOLIB.SkipGetAllInputs
            Device `dIOLIB,DeviceAddress  //    
Return  //GetAllInputs





/////////////////////////////////////////////////////////////////////
//         
// dIOLIB.GetInputForChannel
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90003 -   (1..6)
//      : BMem90004 -    
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
/////////////////////////////////////////////////////////////////////

Alias `dIOLIB,Input1=>BMem90001
Alias `dIOLIB,Input2=>BMem90002
Alias `dIOLIB.Channels=>BMem90003
Alias `dIOLIB.Output=>BMem90004
Alias `dIOLIB.Prefix=>BMem90005
Alias `dIOLIB.Command=>BMem90006
Alias `dIOLIB.Prefix1=>BMem90007
Alias `dIOLIB.Command1=>BMem90008
Alias `dIOLIB.FlagError=>BMem90010
Alias `dIOLIB,DeviceAddress=>Mem90001

:dIOLIB.GetInputForChannel
            Set `dIOLIB,DeviceAddress=DeviceAddress  //   
            Device `dIOLIB,Input1.`dIOLIB,Input2      //   () 
            Set `dIOLIB.Prefix=64
            Set `dIOLIB.Command=0
            Send <`dIOLIB.Prefix> <`dIOLIB.Command> <`dIOLIB.Channels> 
            Receive <`dIOLIB.Prefix1> <`dIOLIB.Command1> <`dIOLIB.Channels> <`dIOLIB.Output>
            If TransferError Set `dIOLIB.FlagError=1
            If TransferError Goto dIOLIB.SkipGetInputForChannel
            If Whose<>`dIOlib,Input1*256+`dIOlib,Input2 Set `dIOlib.FlagError=1
            If Whose<>`dIOlib,Input1*256+`dIOlib,Input2 GoTo dIOlib.SkipGetInputForChannel
            Set `dIOLIB.FlagError=0
            If TransferSize<>4  Set `dIOLIB.FlagError=2
            If `dIOLIB.Command<>`dIOLIB.Command1  Set `dIOLIB.FlagError=2
            If `dIOLIB.Prefix1<>`dIOLIB.Prefix+128  Set `dIOLIB.FlagError=2
:dIOLIB.SkipGetInputForChannel
            Device `dIOLIB,DeviceAddress  //    
Return  // GetInputForChannel





/////////////////////////////////////////////////////////////////////
//         
// dIOLIB.GetAllOutputs
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : BMem90004 -     
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
/////////////////////////////////////////////////////////////////////

Alias `dIOLIB,Input1=>BMem90001
Alias `dIOLIB,Input2=>BMem90002
Alias `dIOLIB.Channels=>BMem90003
Alias `dIOLIB.Output=>BMem90004
Alias `dIOLIB.Prefix=>BMem90006
Alias `dIOLIB.Command=>BMem90007
Alias `dIOLIB.Prefix1=>BMem90008
Alias `dIOLIB.Command1=>BMem90009
Alias `dIOLIB.FlagError=>BMem90010
Alias `dIOLIB,DeviceAddress=>Mem90001

:dIOLIB.GetAllOutputs
            Set `dIOLIB,DeviceAddress=DeviceAddress  //   
            Device `dIOLIB,Input1.`dIOLIB,Input2      //   () 
            Set `dIOLIB.Prefix=64
            Set `dIOLIB.Command=1
            Set `dIOLIB.Channels=0
            Send <`dIOLIB.Prefix> <`dIOLIB.Command> <`dIOLIB.Channels> 
            Receive <`dIOLIB.Prefix1> <`dIOLIB.Command1> <`dIOLIB.Channels> <`dIOLIB.Output>
            If TransferError Set `dIOLIB.FlagError=1
            If TransferError Goto dIOLIB.SkipGetAllOutputs
            If Whose<>`dIOlib,Input1*256+`dIOlib,Input2 Set `dIOlib.FlagError=1
            If Whose<>`dIOlib,Input1*256+`dIOlib,Input2 GoTo dIOlib.SkipGetAllOutputs
            Set `dIOLIB.FlagError=0
            If TransferSize<>4  Set `dIOLIB.FlagError=2
            If `dIOLIB.Command<>`dIOLIB.Command1  Set `dIOLIB.FlagError=2
            If `dIOLIB.Prefix1<>`dIOLIB.Prefix+128  Set `dIOLIB.FlagError=2
:dIOLIB.SkipGetAllOutputs
            Device `dIOLIB,DeviceAddress  //    
Return  //GetAllOutputs



/////////////////////////////////////////////////////////////////////
//         
// dIOLIB.GetOutputForChannel
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90003 -   (1..6)
//      : BMem90004 -    
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
/////////////////////////////////////////////////////////////////////

Alias `dIOLIB,Input1=>BMem90001
Alias `dIOLIB,Input2=>BMem90002
Alias `dIOLIB.Channels=>BMem90003
Alias `dIOLIB.Output=>BMem90004
Alias `dIOLIB.Prefix=>BMem90006
Alias `dIOLIB.Command=>BMem90007
Alias `dIOLIB.Prefix1=>BMem90008
Alias `dIOLIB.Command1=>BMem90009
Alias `dIOLIB.FlagError=>BMem90010
Alias `dIOLIB,DeviceAddress=>Mem90001

:dIOLIB.GetOutputForChannel
            Set `dIOLIB,DeviceAddress=DeviceAddress  //   
            Device `dIOLIB,Input1.`dIOLIB,Input2      //   () 
            Set `dIOLIB.Prefix=64
            Set `dIOLIB.Command=1
            Send <`dIOLIB.Prefix> <`dIOLIB.Command> <`dIOLIB.Channels> 
            Receive <`dIOLIB.Prefix1> <`dIOLIB.Command1> <`dIOLIB.Channels> <`dIOLIB.Output>
            If TransferError Set `dIOLIB.FlagError=1
            If TransferError Goto dIOLIB.SkipGetOutputForChannel
            If Whose<>`dIOlib,Input1*256+`dIOlib,Input2 Set `dIOlib.FlagError=1
            If Whose<>`dIOlib,Input1*256+`dIOlib,Input2 GoTo dIOlib.SkipGetOutputForChannel
            Set `dIOLIB.FlagError=0
            If TransferSize<>4  Set `dIOLIB.FlagError=2
            If `dIOLIB.Command<>`dIOLIB.Command1  Set `dIOLIB.FlagError=2
            If `dIOLIB.Prefix1<>`dIOLIB.Prefix+128  Set `dIOLIB.FlagError=2
:dIOLIB.SkipGetOutputForChannel
            Device `dIOLIB,DeviceAddress  //    
Return  //GetOutputForChannel





/////////////////////////////////////////////////////////////////////
//          
// dIOLIB.SetAllOutputs
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90004 -   
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
/////////////////////////////////////////////////////////////////////

Alias `dIOLIB,Input1=>BMem90001
Alias `dIOLIB,Input2=>BMem90002
Alias `dIOLIB.OutAll=>BMem90004
Alias `dIOLIB.Channels=>BMem90003
Alias `dIOLIB.Prefix=>BMem90006
Alias `dIOLIB.Command=>BMem90007
Alias `dIOLIB.Prefix1=>BMem90008
Alias `dIOLIB.Command1=>BMem90009
Alias `dIOLIB.FlagError=>BMem90010
Alias `dIOLIB,DeviceAddress=>Mem90001

:dIOLIB.SetAllOutputs
            Set `dIOLIB,DeviceAddress=DeviceAddress  //   
            Device `dIOLIB,Input1.`dIOLIB,Input2      //   () 
            Set `dIOLIB.Prefix=64
            Set `dIOLIB.Command=2
            Set `dIOLIB.Channels=0
            Send <`dIOLIB.Prefix> <`dIOLIB.Command> <`dIOLIB.Channels> <`dIOLIB.OutAll> 
            Receive <`dIOLIB.Prefix1> <`dIOLIB.Command1> <`dIOLIB.Channels> <`dIOLIB.OutAll>
            If TransferError Set `dIOLIB.FlagError=1
            If TransferError Goto dIOLIB.SkipSetAllOutputs
            If Whose<>`dIOlib,Input1*256+`dIOlib,Input2 Set `dIOlib.FlagError=1
            If Whose<>`dIOlib,Input1*256+`dIOlib,Input2 GoTo dIOlib.SkipSetAllOutputs
            Set `dIOLIB.FlagError=0
            If TransferSize<>4  Set `dIOLIB.FlagError=2
            If `dIOLIB.Command<>`dIOLIB.Command1  Set `dIOLIB.FlagError=2
            If `dIOLIB.Prefix1<>`dIOLIB.Prefix+128  Set `dIOLIB.FlagError=2
:dIOLIB.SkipSetAllOutputs
            Device `dIOLIB,DeviceAddress  //    
Return //SetAllOutputs





/////////////////////////////////////////////////////////////////////
//         
// dIOLIB.SetOutputForChannel
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90003 -   
//             BMem90004 -   
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
/////////////////////////////////////////////////////////////////////

Alias `dIOLIB,Input1=>BMem90001
Alias `dIOLIB,Input2=>BMem90002
Alias `dIOLIB.OutAll=>BMem90004
Alias `dIOLIB.Channels=>BMem90003
Alias `dIOLIB.Prefix=>BMem90006
Alias `dIOLIB.Command=>BMem90007
Alias `dIOLIB.Prefix1=>BMem90008
Alias `dIOLIB.Command1=>BMem90009
Alias `dIOLIB.FlagError=>BMem90010
Alias `dIOLIB,DeviceAddress=>Mem90001

:dIOLIB.SetOutputForChannel
            Set `dIOLIB,DeviceAddress=DeviceAddress  //   
            Device `dIOLIB,Input1.`dIOLIB,Input2      //   () 
            Set `dIOLIB.Prefix=64
            Set `dIOLIB.Command=2
            Send <`dIOLIB.Prefix> <`dIOLIB.Command> <`dIOLIB.Channels> <`dIOLIB.OutAll> 
            Receive <`dIOLIB.Prefix1> <`dIOLIB.Command1> <`dIOLIB.Channels> <`dIOLIB.OutAll>
            If TransferError Set `dIOLIB.FlagError=1
            If TransferError Goto dIOLIB.SkipSetOutputForChannel
            If Whose<>`dIOlib,Input1*256+`dIOlib,Input2 Set `dIOlib.FlagError=1
            If Whose<>`dIOlib,Input1*256+`dIOlib,Input2 GoTo dIOlib.SkipSetOutputForChannel
            Set `dIOLIB.FlagError=0
            If TransferSize<>4  Set `dIOLIB.FlagError=2
            If `dIOLIB.Command<>`dIOLIB.Command1  Set `dIOLIB.FlagError=2
            If `dIOLIB.Prefix1<>`dIOLIB.Prefix+128  Set `dIOLIB.FlagError=2
:dIOLIB.SkipSetOutputForChannel
            Device `dIOLIB,DeviceAddress  //    
Return //SetOutputForChannel





/////////////////////////////////////////////////////////////////////
//   EEPROM
// dIOLIB.SaveOutputsState
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
/////////////////////////////////////////////////////////////////////

Alias `dIOLIB,Input1=>BMem90001
Alias `dIOLIB,Input2=>BMem90002
Alias `dIOLIB,DeviceAddress=>Mem90001
Alias `dIOLIB.Prefix=>BMem90005
Alias `dIOLIB.Command=>BMem90006
Alias `dIOLIB.Prefix1=>BMem90007
Alias `dIOLIB.Command1=>BMem90008
Alias `dIOLIB.FlagError=>BMem90010

:dIOLIB.SaveOutputState
            Set `dIOLIB,DeviceAddress=DeviceAddress  //   
            Device `dIOLIB,Input1.`dIOLIB,Input2      //   () 
            Set `dIOLIB.Prefix=64
            Set `dIOLIB.Command=3
            Send <`dIOLIB.Prefix> <`dIOLIB.Command> 
            Receive <`dIOLIB.Prefix1> <`dIOLIB.Command1>
            If TransferError Set `dIOLIB.FlagError=1
            If TransferError Goto dIOLIB.SkipSaveOutputState
            If Whose<>`dIOlib,Input1*256+`dIOlib,Input2 Set `dIOlib.FlagError=1
            If Whose<>`dIOlib,Input1*256+`dIOlib,Input2 GoTo dIOlib.SkipSaveOutputState
            Set `dIOLIB.FlagError=0
            If TransferSize<>2  Set `dIOLIB.FlagError=2
            If `dIOLIB.Command<>`dIOLIB.Command1  Set `dIOLIB.FlagError=2
            If `dIOLIB.Prefix1<>`dIOLIB.Prefix+128  Set `dIOLIB.FlagError=2
:dIOLIB.SkipSaveOutputState
            Device `dIOLIB,DeviceAddress  //    
Return //SaveOutputState
