/////////////////////////////////////////////////////////////////////
//        2518
// 2518lib.dsl
/////////////////////////////////////////////////////////////////////
//    
//(            2518lib.*_Single)
//    
// 2518lib.GetResultForChannel
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90003 -   
//      : Mem90003 -  
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//
//-------------------------------------------------------------------
//       
// 2518lib.GetAlarms
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : Mem90003 -  
//             Mem90004 -   
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//
//-------------------------------------------------------------------
//
//     
// 2518lib.SetLowAlarm
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             Mem90003  -  
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
// 
//-------------------------------------------------------------------
//
//     
// 2518lib.SetHighAlarm
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             Mem90004  -  
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
// 
//-------------------------------------------------------------------
//
//        
// 2518lib.GetAllTemperaturs
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : BMem90005 - -  
//             Mem90005  -    1- 
//             Mem90006  -    2- 
//             Mem90007  -    3- 
//             Mem90008  -    4- 
//             Mem90009  -    5- 
//             Mem90010  -    6- 
//             Mem90011  -    7- 
//             Mem90012  -    8- 
//             Mem90013  -    9- 
//             Mem90014  -    10- 
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//             BMem90015 -     :
//                  0 -   1 -      1- 
//                  1 -   1 -      2- 
//                  2 -   1 -      3- 
//                  3 -   1 -      4- 
//                  4 -   1 -      5- 
//             BMem90016 -     :
//                  0 -   1 -      6- 
//                  1 -   1 -      7- 
//                  2 -   1 -      8- 
//                  3 -   1 -      9- 
//                  4 -   1 -      10- 
/////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////


/////////////////////////////////////////////////////////////////////
//    
// 2518lib.GetNumberDeviceDialog
//      :  BMem90050 -   
//      : BMem90050 -    
/////////////////////////////////////////////////////////////////////
Alias `2518lib.NumberDeviceDialog=>BMem90050

:2518lib.GetNumberDeviceDialog
            If `2518lib.NumberDeviceDialog<1 Set `2518lib.NumberDeviceDialog=2
Return //2518lib.GetNumberDeviceDialog





/////////////////////////////////////////////////////////////////////
//
//    
// 2518lib.GetResultForChannel_Single
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             BMem90003 -   
//      : Mem90003 -  
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
/////////////////////////////////////////////////////////////////////

Alias `2518lib,Input1=>BMem90001
Alias `2518lib,Input2=>BMem90002
Alias `2518lib.ChannelNumber=>BMem90003
Alias `2518lib.Output1=>Mem90003
Alias `2518lib.FlagError=>BMem90010
Alias `2518lib.BCommand1=>BMem90021
Alias `2518lib.BCommand2=>BMem90022
Alias `2518lib.BCommand3=>BMem90023
Alias `2518lib.BCommand4=>BMem90024
Alias `2518lib.BCommand5=>BMem90025
Alias `2518lib.BCommand6=>BMem90026
Alias `2518lib,DeviceAddress=>Mem90001


:2518lib.GetResultForChannel_Single
         CriticalSection Begin
            Set `2518lib,DeviceAddress=DeviceAddress  //   
            Device `2518lib,Input1.`2518lib,Input2      //   () 
            Set `2518lib.BCommand1=64
            Set `2518lib.BCommand2=10
            Set `2518lib.BCommand3=`2518lib.ChannelNumber 
            Send <`2518lib.BCommand1> <`2518lib.BCommand2> <`2518lib.BCommand3>
            Receive <`2518lib.BCommand4> <`2518lib.BCommand5> <`2518lib.BCommand6> <`2518lib.Output1>
            If TransferError Set `2518lib.FlagError=1
            If TransferError GoTo 2518lib.SkipGetResult_Single
            If `2518lib,Input1*256+`2518lib,Input2=0 GoTo 2518lib.SkipGetResult_Single_address
            If Whose<>`2518lib,Input1*256+`2518lib,Input2 Set `2518lib.FlagError=1
            If Whose<>`2518lib,Input1*256+`2518lib,Input2 GoTo 2518lib.SkipGetResult_Single
:2518lib.SkipGetResult_Single_address
            Set `2518lib.FlagError=0
            If TransferSize<>4 Set `2518lib.FlagError=2
            If 128+`2518lib.BCommand1<>`2518lib.BCommand4 Set `2518lib.FlagError=2
            If `2518lib.BCommand2<>`2518lib.BCommand5 Set `2518lib.FlagError=2
            If `2518lib.BCommand3<>`2518lib.BCommand6 Set `2518lib.FlagError=2
            If `2518lib.FlagError<>0 GoTo 2518lib.SkipGetResult_Single
            If InvalidTransfer4=1 Set  `2518lib.FlagError=3
:2518lib.SkipGetResult_Single
            Device `2518lib,DeviceAddress  //    
         CriticalSection End
Return //GetResultForChannel


Alias `2518lib.CicleNumberDeviceDialog=>BMem90051

:2518Lib.GetResultForChannel
            If `2518lib.NumberDeviceDialog<1 Set `2518lib.NumberDeviceDialog=2
            For `2518lib.CicleNumberDeviceDialog=1 TO `2518lib.NumberDeviceDialog
              GoSub 2518lib.GetResultForChannel_Single
              If `2518lib.FlagError=0 Set `2518lib.CicleNumberDeviceDialog=`2518lib.NumberDeviceDialog+1
              If `2518lib.FlagError=3 Set `2518lib.CicleNumberDeviceDialog=`2518lib.NumberDeviceDialog+1
            Next `2518lib.CicleNumberDeviceDialog
:2518Lib.EndGetResultForChannel
Return //GetTcurrent




/////////////////////////////////////////////////////////////////////
//       
// 2518lib.GetAlarms_Single
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : Mem90003 -  
//             Mem90004 -   
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
/////////////////////////////////////////////////////////////////////

Alias `2518lib,Input1=>BMem90001
Alias `2518lib,Input2=>BMem90002
Alias `2518lib.Output1=>Mem90003
Alias `2518lib.Output2=>Mem90004
Alias `2518lib.FlagError=>BMem90010
Alias `2518lib.Prefix=>BMem90011
Alias `2518lib.Command=>BMem90012
Alias `2518lib.Prefix1=>BMem90013
Alias `2518lib.Command1=>BMem90014
Alias `2518lib,DeviceAddress=>Mem90001


:2518lib.GetAlarms_Single
         CriticalSection Begin
            Set `2518lib,DeviceAddress=DeviceAddress  //   
            Device `2518lib,Input1.`2518lib,Input2      //   () 
            Set `2518lib.Prefix=64
            Set `2518lib.Command=15
            Send <`2518lib.Prefix> <`2518lib.Command>
            Receive <`2518lib.Prefix1> <`2518lib.Command1> <`2518lib.Output1> <`2518lib.Output2>
            If TransferError Set `2518lib.FlagError=1
            If TransferError GoTo 2518lib.SkipGetAlarms_Single
            If `2518lib,Input1*256+`2518lib,Input2=0 GoTo 2518lib.SkipGetAlarms_Single_address
            If Whose<>`2518lib,Input1*256+`2518lib,Input2 Set `2518lib.FlagError=1
            If Whose<>`2518lib,Input1*256+`2518lib,Input2 GoTo 2518lib.SkipGetAlarms_Single
:2518lib.SkipGetAlarms_Single_address
            Set `2518lib.FlagError=0
            If TransferSize<>4 Set `2518lib.FlagError=2
            If `2518lib.Prefix1<>128+`2518lib.Prefix Set `2518lib.FlagError=2
            If  `2518lib.Command<>`2518lib.Command1 Set `2518lib.FlagError=2
:2518lib.SkipGetAlarms_Single
            Device `2518lib,DeviceAddress  //    
         CriticalSection End
Return //GetAlarms_Single


Alias `2518lib.CicleNumberDeviceDialog=>BMem90051

:2518Lib.GetAlarms
            If `2518lib.NumberDeviceDialog<1 Set `2518lib.NumberDeviceDialog=2
            For `2518lib.CicleNumberDeviceDialog=1 TO `2518lib.NumberDeviceDialog
              GoSub 2518lib.GetAlarms_Single
              If `2518lib.FlagError=0 Set `2518lib.CicleNumberDeviceDialog=`2518lib.NumberDeviceDialog+1
              If `2518lib.FlagError=3 Set `2518lib.CicleNumberDeviceDialog=`2518lib.NumberDeviceDialog+1
            Next `2518lib.CicleNumberDeviceDialog
:2518Lib.EndGetAlarms
Return //GetAlarms



/////////////////////////////////////////////////////////////////////
//     
// 2518lib.SetLowAlarm_Single
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             Mem90003  -  
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
/////////////////////////////////////////////////////////////////////

Alias `2518lib,Input1=>BMem90001
Alias `2518lib,Input2=>BMem90002
Alias `2518lib,DeviceAddress=>Mem90001
Alias `2518lib.DownAlarm=>Mem90003
Alias `2518lib.FlagError=>BMem90010
Alias `2518lib.Prefix=>BMem90011
Alias `2518lib.Command=>BMem90012
Alias `2518lib.Prefix1=>BMem90013
Alias `2518lib.Command1=>BMem90014


:2518lib.SetLowAlarm_Single
         CriticalSection Begin
            Set `2518lib,DeviceAddress=DeviceAddress  //   
            Device `2518lib,Input1.`2518lib,Input2      //   () 
            Set `2518lib.Prefix=64
            Set `2518lib.Command=13
            Send <`2518lib.Prefix> <`2518lib.Command> <`2518lib.DownAlarm>
            Receive <`2518lib.Prefix1> <`2518lib.Command1> <`2518lib.DownAlarm>
            If TransferError Set `2518lib.FlagError=1
            If TransferError GoTo 2518lib.SkipSetLowAlarm_Single
            If `2518lib,Input1*256+`2518lib,Input2=0 GoTo 2518lib.SkipSetLowAlarm_Single_address
            If Whose<>`2518lib,Input1*256+`2518lib,Input2 Set `2518lib.FlagError=1
            If Whose<>`2518lib,Input1*256+`2518lib,Input2 GoTo 2518lib.SkipSetLowAlarm_Single
:2518lib.SkipSetLowAlarm_Single_address
            Set `2518lib.FlagError=0
            If TransferSize<>3 Set `2518lib.FlagError=2 
            If `2518lib.Prefix1<>`2518lib.Prefix+128 Set `2518lib.FlagError=2
            If `2518lib.Command<>`2518lib.Command1 Set `2518lib.FlagError=2
:2518lib.SkipSetLowAlarm_Single
            Device `2518lib,DeviceAddress  //    
         CriticalSection End
Return //SetLowAlarm_Single



Alias `2518lib.CicleNumberDeviceDialog=>BMem90051

:2518Lib.SetLowAlarm
            If `2518lib.NumberDeviceDialog<1 Set `2518lib.NumberDeviceDialog=2
            For `2518lib.CicleNumberDeviceDialog=1 TO `2518lib.NumberDeviceDialog
              GoSub 2518lib.SetLowAlarm_Single
              If `2518lib.FlagError=0 Set `2518lib.CicleNumberDeviceDialog=`2518lib.NumberDeviceDialog+1
              If `2518lib.FlagError=3 Set `2518lib.CicleNumberDeviceDialog=`2518lib.NumberDeviceDialog+1
            Next `2518lib.CicleNumberDeviceDialog
:2518Lib.EndSetLowAlarm
Return //SetLowAlarm


/////////////////////////////////////////////////////////////////////
//     
// 2518lib.SetHighAlarm_Single
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//             Mem90004  -  
//      : BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
// 
//
/////////////////////////////////////////////////////////////////////


Alias `2518lib,Input1=>BMem90001
Alias `2518lib,Input2=>BMem90002
Alias `2518lib,DeviceAddress=>Mem90001
Alias `2518lib.TopAlarm=>Mem90004
Alias `2518lib.FlagError=>BMem90010
Alias `2518lib.Prefix=>BMem90011
Alias `2518lib.Command=>BMem90012
Alias `2518lib.Prefix1=>BMem90013
Alias `2518lib.Command1=>BMem90014


:2518lib.SetHighAlarm_Single
         CriticalSection Begin
            Set `2518lib,DeviceAddress=DeviceAddress  //   
            Device `2518lib,Input1.`2518lib,Input2      //   () 
            Set `2518lib.Prefix=64
            Set `2518lib.Command=14
            Send <`2518lib.Prefix> <`2518lib.Command> <`2518lib.TopAlarm>
            Receive <`2518lib.Prefix1> <`2518lib.Command1> <`2518lib.TopAlarm>
            If TransferError Set `2518lib.FlagError=1
            If TransferError GoTo 2518lib.SkipSetHighAlarm_Single
            If `2518lib,Input1*256+`2518lib,Input2=0 GoTo 2518lib.SkipSetHighAlarm_Single_address
            If Whose<>`2518lib,Input1*256+`2518lib,Input2 Set `2518lib.FlagError=1
            If Whose<>`2518lib,Input1*256+`2518lib,Input2 GoTo 2518lib.SkipSetHighAlarm_Single
:2518lib.SkipSetHighAlarm_Single_address
            Set `2518lib.FlagError=0
            If TransferSize<>3 Set `2518lib.FlagError=2
            If `2518lib.Prefix1<>`2518lib.Prefix+128 Set `2518lib.FlagError=2
            If `2518lib.Command<>`2518lib.Command1 Set `2518lib.FlagError=2
:2518lib.SkipSetHighAlarm_Single
            Device `2518lib,DeviceAddress  //    
         CriticalSection End
Return //SetHighAlarm


Alias `2518lib.CicleNumberDeviceDialog=>BMem90051

:2518Lib.SetHighAlarm
            If `2518lib.NumberDeviceDialog<1 Set `2518lib.NumberDeviceDialog=2
            For `2518lib.CicleNumberDeviceDialog=1 TO `2518lib.NumberDeviceDialog
              GoSub 2518lib.SetHighAlarm_Single
              If `2518lib.FlagError=0 Set `2518lib.CicleNumberDeviceDialog=`2518lib.NumberDeviceDialog+1
              If `2518lib.FlagError=3 Set `2518lib.CicleNumberDeviceDialog=`2518lib.NumberDeviceDialog+1
            Next `2518lib.CicleNumberDeviceDialog
:2518Lib.EndSetHighAlarm
Return //SetHighAlarm




/////////////////////////////////////////////////////////////////////
//
//        
// 2518lib.GetAllTemperaturs_Single
//      :  BMem90001 -    (   )
//             BMem90002 -     (   )
//      : BMem90005 - -  
//             Mem90005  -    1- 
//             Mem90006  -    2- 
//             Mem90007  -    3- 
//             Mem90008  -    4- 
//             Mem90009  -    5- 
//             Mem90010  -    6- 
//             Mem90011  -    7- 
//             Mem90012  -    8- 
//             Mem90013  -    9- 
//             Mem90014  -    10- 
//             BMem90010 -     :
//                     0 -    
//                     1 -     
//                     2 -       
//                         ( ,      ..)
//                     3 -   ,     
//             BMem90015 -     :
//                  0 -   1 -      1- 
//                  1 -   1 -      2- 
//                  2 -   1 -      3- 
//                  3 -   1 -      4- 
//                  4 -   1 -      5- 
//             BMem90016 -     :
//                  0 -   1 -      6- 
//                  1 -   1 -      7- 
//                  2 -   1 -      8- 
//                  3 -   1 -      9- 
//                  4 -   1 -      10- 
/////////////////////////////////////////////////////////////////////

Alias `2518lib,Input1=>BMem90001
Alias `2518lib,Input2=>BMem90002
Alias `2518lib.RealChannelNumber=>BMem90005
Alias `2518lib.Output1=>Mem90005
Alias `2518lib.Output2=>Mem90006
Alias `2518lib.Output3=>Mem90007
Alias `2518lib.Output4=>Mem90008
Alias `2518lib.Output5=>Mem90009
Alias `2518lib.Output6=>Mem90010
Alias `2518lib.Output7=>Mem90011
Alias `2518lib.Output8=>Mem90012
Alias `2518lib.Output9=>Mem90013
Alias `2518lib.Output10=>Mem90014
Alias `2518lib.FlagError=>BMem90010
Alias `2518lib.FlagError1=>BMem90015
Alias `2518lib.FlagError2=>BMem90016
Alias `2518lib.BCommand1=>BMem90021
Alias `2518lib.BCommand2=>BMem90022
Alias `2518lib.BCommand3=>BMem90023
Alias `2518lib.BCommand4=>BMem90024
Alias `2518lib.BCommand5=>BMem90025
Alias `2518lib.BCommand6=>BMem90026
Alias `2518lib,DeviceAddress=>Mem90001


:2518lib.GetAllTemperaturs_Single
         CriticalSection Begin
            Set `2518lib,DeviceAddress=DeviceAddress  //   
            Device `2518lib,Input1.`2518lib,Input2      //   () 
            Set `2518lib.BCommand1=64
            Set `2518lib.BCommand2=16
            Send <`2518lib.BCommand1> <`2518lib.BCommand2>
            Receive <`2518lib.BCommand4> <`2518lib.BCommand5> <`2518lib.RealChannelNumber> <`2518lib.Output1> <`2518lib.Output2> <`2518lib.Output3> <`2518lib.Output4> <`2518lib.Output5> <`2518lib.Output6> <`2518lib.Output7> <`2518lib.Output8> <`2518lib.Output9> <`2518lib.Output10>
//meswrite `2518lib.RealChannelNumber
            If `2518lib.RealChannelNumber=0 Set `2518lib.FlagError=1
            If TransferError Set `2518lib.FlagError=1
            If TransferError GoTo 2518lib.SkipGetAllTemperaturs_Single
            If `2518lib,Input1*256+`2518lib,Input2=0 GoTo 2518lib.SkipGetAllTemperaturs_Single_address
            If Whose<>`2518lib,Input1*256+`2518lib,Input2 Set `2518lib.FlagError=1
            If Whose<>`2518lib,Input1*256+`2518lib,Input2 GoTo 2518lib.SkipGetAllTemperaturs_Single
:2518lib.SkipGetAllTemperaturs_Single_address
            Set `2518lib.FlagError=0
            If TransferSize<>13 Set `2518lib.FlagError=2
            If 128+`2518lib.BCommand1<>`2518lib.BCommand4 Set `2518lib.FlagError=2
            If `2518lib.BCommand2<>`2518lib.BCommand5 Set `2518lib.FlagError=2
            If `2518lib.BCommand3<>`2518lib.BCommand6 Set `2518lib.FlagError=2
            If `2518lib.FlagError<>0 GoTo 2518lib.SkipGetAllTemperaturs_Single
            Set `2518lib.FlagError1=0
            Set `2518lib.FlagError2=0
            If InvalidTransfer4=1 Set  `2518lib.FlagError1=1
            If InvalidTransfer5=1 Set  `2518lib.FlagError1=`2518lib.FlagError1+2^1
            If InvalidTransfer6=1 Set  `2518lib.FlagError1=`2518lib.FlagError1+2^2
            If InvalidTransfer7=1 Set  `2518lib.FlagError1=`2518lib.FlagError1+2^3
            If InvalidTransfer8=1 Set  `2518lib.FlagError1=`2518lib.FlagError1+2^4
            If `2518lib.FlagError1<>0 Set `2518lib.FlagError=3
            If InvalidTransfer9=1 Set  `2518lib.FlagError2=1
            If InvalidTransfer10=1 Set  `2518lib.FlagError2=`2518lib.FlagError2+2^1
            If InvalidTransfer11=1 Set  `2518lib.FlagError2=`2518lib.FlagError2+2^2
            If InvalidTransfer12=1 Set  `2518lib.FlagError2=`2518lib.FlagError2+2^3
            If InvalidTransfer13=1 Set  `2518lib.FlagError2=`2518lib.FlagError2+2^4
            If `2518lib.FlagError2<>0 Set `2518lib.FlagError=3
:2518lib.SkipGetAllTemperaturs_Single
            Device `2518lib,DeviceAddress  //    
         CriticalSection End
Return //GetAllTemperaturs_Single



Alias `2518lib.CicleNumberDeviceDialog=>BMem90051

:2518Lib.GetAllTemperaturs
            If `2518lib.NumberDeviceDialog<1 Set `2518lib.NumberDeviceDialog=2
            For `2518lib.CicleNumberDeviceDialog=1 TO `2518lib.NumberDeviceDialog
              GoSub 2518lib.GetAllTemperaturs_Single
              If `2518lib.FlagError=0 Set `2518lib.CicleNumberDeviceDialog=`2518lib.NumberDeviceDialog+1
              If `2518lib.FlagError=3 Set `2518lib.CicleNumberDeviceDialog=`2518lib.NumberDeviceDialog+1
            Next `2518lib.CicleNumberDeviceDialog
:2518Lib.EndGetAllTemperaturs
Return //GetAllTemperaturs



